# This file has been automatically generated from a template file.
# Please make modifications to `templates/gRPC-C++.podspec.template`
# instead. This file can be regenerated from the template by running
# `tools/buildgen/generate_projects.sh`.

# gRPC C++ CocoaPods podspec
#
# Copyright 2017 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

Pod::Spec.new do |s|
  s.name     = 'gRPC-C++'
  # TODO (mxyan): use version that match gRPC version when pod is stabilized
  version = '1.52.2'
  s.version  = version
  s.summary  = 'gRPC C++ library'
  s.homepage = 'https://grpc.io'
  s.license  = 'Apache License, Version 2.0'
  s.authors  = { 'The gRPC contributors' => 'grpc-packages@google.com' }

  s.source = {
    :git => 'https://github.com/grpc/grpc.git',
    :tag => "v#{version}",
  }

  s.ios.deployment_target = '9.0'
  s.osx.deployment_target = '10.10'
  s.tvos.deployment_target = '10.0'

  s.requires_arc = false

  name = 'grpcpp'
  # Use `grpcpp` as framework name so that `#include <grpcpp/xxx.h>` works when built as
  # framework.
  s.module_name = name

  # Add include prefix `grpcpp` so that `#include <grpcpp/xxx.h>` works when built as static
  # library.
  s.header_dir = name

  s.pod_target_xcconfig = {
    'HEADER_SEARCH_PATHS' => '"$(inherited)" "$(PODS_TARGET_SRCROOT)/include"',
    'USER_HEADER_SEARCH_PATHS' => '"$(PODS_TARGET_SRCROOT)"'\
        ' "$(PODS_TARGET_SRCROOT)/src/core/ext/upb-generated"'\
        ' "$(PODS_TARGET_SRCROOT)/src/core/ext/upbdefs-generated"'\
        ' "$(PODS_TARGET_SRCROOT)/third_party/**"',
    'GCC_PREPROCESSOR_DEFINITIONS' => '"$(inherited)" "COCOAPODS=1"',
    'CLANG_WARN_STRICT_PROTOTYPES' => 'NO',
    'CLANG_WARN_DOCUMENTATION_COMMENTS' => 'NO',

    # If we don't set these two settings, `include/grpc/support/time.h` and
    # `src/core/lib/support/string.h` shadow the system `<time.h>` and `<string.h>`, breaking the
    # build.
    'USE_HEADERMAP' => 'NO',
    'ALWAYS_SEARCH_USER_PATHS' => 'NO',
    'CLANG_CXX_LANGUAGE_STANDARD' => 'c++14',
  }

  s.libraries = 'c++'
  s.compiler_flags = '-Wno-comma -Wno-unreachable-code -Wno-shorten-64-to-32'

  s.default_subspecs = 'Interface', 'Implementation'

  # Certificates, to be able to establish TLS connections:
  s.resource_bundles = { 'gRPCCertificates-Cpp' => ['etc/roots.pem'] }

  s.header_mappings_dir = 'include/grpcpp'

  s.subspec 'Interface' do |ss|
    ss.header_mappings_dir = 'include/grpcpp'

    ss.source_files = 'include/grpcpp/alarm.h',
                      'include/grpcpp/channel.h',
                      'include/grpcpp/client_context.h',
                      'include/grpcpp/completion_queue.h',
                      'include/grpcpp/create_channel.h',
                      'include/grpcpp/create_channel_binder.h',
                      'include/grpcpp/create_channel_posix.h',
                      'include/grpcpp/ext/call_metric_recorder.h',
                      'include/grpcpp/ext/health_check_service_server_builder_option.h',
                      'include/grpcpp/generic/async_generic_service.h',
                      'include/grpcpp/generic/generic_stub.h',
                      'include/grpcpp/grpcpp.h',
                      'include/grpcpp/health_check_service_interface.h',
                      'include/grpcpp/impl/call.h',
                      'include/grpcpp/impl/call_hook.h',
                      'include/grpcpp/impl/call_op_set.h',
                      'include/grpcpp/impl/call_op_set_interface.h',
                      'include/grpcpp/impl/channel_argument_option.h',
                      'include/grpcpp/impl/channel_interface.h',
                      'include/grpcpp/impl/client_unary_call.h',
                      'include/grpcpp/impl/codegen/async_generic_service.h',
                      'include/grpcpp/impl/codegen/async_stream.h',
                      'include/grpcpp/impl/codegen/async_unary_call.h',
                      'include/grpcpp/impl/codegen/byte_buffer.h',
                      'include/grpcpp/impl/codegen/call.h',
                      'include/grpcpp/impl/codegen/call_hook.h',
                      'include/grpcpp/impl/codegen/call_op_set.h',
                      'include/grpcpp/impl/codegen/call_op_set_interface.h',
                      'include/grpcpp/impl/codegen/callback_common.h',
                      'include/grpcpp/impl/codegen/channel_interface.h',
                      'include/grpcpp/impl/codegen/client_callback.h',
                      'include/grpcpp/impl/codegen/client_context.h',
                      'include/grpcpp/impl/codegen/client_interceptor.h',
                      'include/grpcpp/impl/codegen/client_unary_call.h',
                      'include/grpcpp/impl/codegen/completion_queue.h',
                      'include/grpcpp/impl/codegen/completion_queue_tag.h',
                      'include/grpcpp/impl/codegen/config.h',
                      'include/grpcpp/impl/codegen/create_auth_context.h',
                      'include/grpcpp/impl/codegen/delegating_channel.h',
                      'include/grpcpp/impl/codegen/intercepted_channel.h',
                      'include/grpcpp/impl/codegen/interceptor.h',
                      'include/grpcpp/impl/codegen/interceptor_common.h',
                      'include/grpcpp/impl/codegen/message_allocator.h',
                      'include/grpcpp/impl/codegen/metadata_map.h',
                      'include/grpcpp/impl/codegen/method_handler.h',
                      'include/grpcpp/impl/codegen/method_handler_impl.h',
                      'include/grpcpp/impl/codegen/rpc_method.h',
                      'include/grpcpp/impl/codegen/rpc_service_method.h',
                      'include/grpcpp/impl/codegen/security/auth_context.h',
                      'include/grpcpp/impl/codegen/serialization_traits.h',
                      'include/grpcpp/impl/codegen/server_callback.h',
                      'include/grpcpp/impl/codegen/server_callback_handlers.h',
                      'include/grpcpp/impl/codegen/server_context.h',
                      'include/grpcpp/impl/codegen/server_interceptor.h',
                      'include/grpcpp/impl/codegen/server_interface.h',
                      'include/grpcpp/impl/codegen/service_type.h',
                      'include/grpcpp/impl/codegen/slice.h',
                      'include/grpcpp/impl/codegen/status.h',
                      'include/grpcpp/impl/codegen/status_code_enum.h',
                      'include/grpcpp/impl/codegen/string_ref.h',
                      'include/grpcpp/impl/codegen/stub_options.h',
                      'include/grpcpp/impl/codegen/sync.h',
                      'include/grpcpp/impl/codegen/sync_stream.h',
                      'include/grpcpp/impl/codegen/time.h',
                      'include/grpcpp/impl/completion_queue_tag.h',
                      'include/grpcpp/impl/create_auth_context.h',
                      'include/grpcpp/impl/delegating_channel.h',
                      'include/grpcpp/impl/grpc_library.h',
                      'include/grpcpp/impl/intercepted_channel.h',
                      'include/grpcpp/impl/interceptor_common.h',
                      'include/grpcpp/impl/metadata_map.h',
                      'include/grpcpp/impl/method_handler_impl.h',
                      'include/grpcpp/impl/proto_utils.h',
                      'include/grpcpp/impl/rpc_method.h',
                      'include/grpcpp/impl/rpc_service_method.h',
                      'include/grpcpp/impl/serialization_traits.h',
                      'include/grpcpp/impl/server_builder_option.h',
                      'include/grpcpp/impl/server_builder_plugin.h',
                      'include/grpcpp/impl/server_callback_handlers.h',
                      'include/grpcpp/impl/server_initializer.h',
                      'include/grpcpp/impl/service_type.h',
                      'include/grpcpp/impl/status.h',
                      'include/grpcpp/impl/sync.h',
                      'include/grpcpp/resource_quota.h',
                      'include/grpcpp/security/auth_context.h',
                      'include/grpcpp/security/auth_metadata_processor.h',
                      'include/grpcpp/security/authorization_policy_provider.h',
                      'include/grpcpp/security/binder_credentials.h',
                      'include/grpcpp/security/binder_security_policy.h',
                      'include/grpcpp/security/credentials.h',
                      'include/grpcpp/security/server_credentials.h',
                      'include/grpcpp/security/tls_certificate_provider.h',
                      'include/grpcpp/security/tls_certificate_verifier.h',
                      'include/grpcpp/security/tls_credentials_options.h',
                      'include/grpcpp/server.h',
                      'include/grpcpp/server_builder.h',
                      'include/grpcpp/server_context.h',
                      'include/grpcpp/server_interface.h',
                      'include/grpcpp/server_posix.h',
                      'include/grpcpp/support/async_stream.h',
                      'include/grpcpp/support/async_unary_call.h',
                      'include/grpcpp/support/byte_buffer.h',
                      'include/grpcpp/support/callback_common.h',
                      'include/grpcpp/support/channel_arguments.h',
                      'include/grpcpp/support/client_callback.h',
                      'include/grpcpp/support/client_interceptor.h',
                      'include/grpcpp/support/config.h',
                      'include/grpcpp/support/interceptor.h',
                      'include/grpcpp/support/message_allocator.h',
                      'include/grpcpp/support/method_handler.h',
                      'include/grpcpp/support/proto_buffer_reader.h',
                      'include/grpcpp/support/proto_buffer_writer.h',
                      'include/grpcpp/support/server_callback.h',
                      'include/grpcpp/support/server_interceptor.h',
                      'include/grpcpp/support/slice.h',
                      'include/grpcpp/support/status.h',
                      'include/grpcpp/support/status_code_enum.h',
                      'include/grpcpp/support/string_ref.h',
                      'include/grpcpp/support/stub_options.h',
                      'include/grpcpp/support/sync_stream.h',
                      'include/grpcpp/support/time.h',
                      'include/grpcpp/support/validate_service_config.h',
                      'include/grpcpp/version_info.h',
                      'include/grpcpp/xds_server_builder.h'
  end

  s.subspec 'Implementation' do |ss|
    ss.header_mappings_dir = '.'
    ss.dependency "#{s.name}/Interface", version
    ss.dependency 'gRPC-Core', version
    abseil_version = '1.20220623.0'
    ss.dependency 'abseil/base/base', abseil_version
    ss.dependency 'abseil/base/core_headers', abseil_version
    ss.dependency 'abseil/cleanup/cleanup', abseil_version
    ss.dependency 'abseil/container/flat_hash_map', abseil_version
    ss.dependency 'abseil/container/flat_hash_set', abseil_version
    ss.dependency 'abseil/container/inlined_vector', abseil_version
    ss.dependency 'abseil/functional/any_invocable', abseil_version
    ss.dependency 'abseil/functional/bind_front', abseil_version
    ss.dependency 'abseil/functional/function_ref', abseil_version
    ss.dependency 'abseil/hash/hash', abseil_version
    ss.dependency 'abseil/memory/memory', abseil_version
    ss.dependency 'abseil/meta/type_traits', abseil_version
    ss.dependency 'abseil/random/random', abseil_version
    ss.dependency 'abseil/status/status', abseil_version
    ss.dependency 'abseil/status/statusor', abseil_version
    ss.dependency 'abseil/strings/cord', abseil_version
    ss.dependency 'abseil/strings/str_format', abseil_version
    ss.dependency 'abseil/strings/strings', abseil_version
    ss.dependency 'abseil/synchronization/synchronization', abseil_version
    ss.dependency 'abseil/time/time', abseil_version
    ss.dependency 'abseil/types/optional', abseil_version
    ss.dependency 'abseil/types/span', abseil_version
    ss.dependency 'abseil/types/variant', abseil_version
    ss.dependency 'abseil/utility/utility', abseil_version

    ss.source_files = 'src/core/ext/filters/channel_idle/channel_idle_filter.h',
                      'src/core/ext/filters/channel_idle/idle_filter_state.h',
                      'src/core/ext/filters/client_channel/backend_metric.h',
                      'src/core/ext/filters/client_channel/backup_poller.h',
                      'src/core/ext/filters/client_channel/client_channel.h',
                      'src/core/ext/filters/client_channel/client_channel_channelz.h',
                      'src/core/ext/filters/client_channel/client_channel_factory.h',
                      'src/core/ext/filters/client_channel/client_channel_service_config.h',
                      'src/core/ext/filters/client_channel/config_selector.h',
                      'src/core/ext/filters/client_channel/connector.h',
                      'src/core/ext/filters/client_channel/dynamic_filters.h',
                      'src/core/ext/filters/client_channel/global_subchannel_pool.h',
                      'src/core/ext/filters/client_channel/health/health_check_client.h',
                      'src/core/ext/filters/client_channel/http_proxy.h',
                      'src/core/ext/filters/client_channel/lb_call_state_internal.h',
                      'src/core/ext/filters/client_channel/lb_policy/address_filtering.h',
                      'src/core/ext/filters/client_channel/lb_policy/backend_metric_data.h',
                      'src/core/ext/filters/client_channel/lb_policy/child_policy_handler.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/client_load_reporting_filter.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_balancer_addresses.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_client_stats.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/load_balancer_api.h',
                      'src/core/ext/filters/client_channel/lb_policy/oob_backend_metric.h',
                      'src/core/ext/filters/client_channel/lb_policy/outlier_detection/outlier_detection.h',
                      'src/core/ext/filters/client_channel/lb_policy/ring_hash/ring_hash.h',
                      'src/core/ext/filters/client_channel/lb_policy/subchannel_list.h',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_attributes.h',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_channel_args.h',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_override_host.h',
                      'src/core/ext/filters/client_channel/local_subchannel_pool.h',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver.h',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper.h',
                      'src/core/ext/filters/client_channel/resolver/dns/dns_resolver_selection.h',
                      'src/core/ext/filters/client_channel/resolver/fake/fake_resolver.h',
                      'src/core/ext/filters/client_channel/resolver/polling_resolver.h',
                      'src/core/ext/filters/client_channel/resolver/xds/xds_resolver.h',
                      'src/core/ext/filters/client_channel/retry_filter.h',
                      'src/core/ext/filters/client_channel/retry_service_config.h',
                      'src/core/ext/filters/client_channel/retry_throttle.h',
                      'src/core/ext/filters/client_channel/subchannel.h',
                      'src/core/ext/filters/client_channel/subchannel_interface_internal.h',
                      'src/core/ext/filters/client_channel/subchannel_pool_interface.h',
                      'src/core/ext/filters/client_channel/subchannel_stream_client.h',
                      'src/core/ext/filters/deadline/deadline_filter.h',
                      'src/core/ext/filters/fault_injection/fault_injection_filter.h',
                      'src/core/ext/filters/fault_injection/fault_injection_service_config_parser.h',
                      'src/core/ext/filters/http/client/http_client_filter.h',
                      'src/core/ext/filters/http/client_authority_filter.h',
                      'src/core/ext/filters/http/message_compress/compression_filter.h',
                      'src/core/ext/filters/http/server/http_server_filter.h',
                      'src/core/ext/filters/message_size/message_size_filter.h',
                      'src/core/ext/filters/rbac/rbac_filter.h',
                      'src/core/ext/filters/rbac/rbac_service_config_parser.h',
                      'src/core/ext/filters/server_config_selector/server_config_selector.h',
                      'src/core/ext/filters/server_config_selector/server_config_selector_filter.h',
                      'src/core/ext/filters/stateful_session/stateful_session_filter.h',
                      'src/core/ext/filters/stateful_session/stateful_session_service_config_parser.h',
                      'src/core/ext/transport/binder/client/binder_connector.cc',
                      'src/core/ext/transport/binder/client/binder_connector.h',
                      'src/core/ext/transport/binder/client/channel_create.cc',
                      'src/core/ext/transport/binder/client/channel_create_impl.cc',
                      'src/core/ext/transport/binder/client/channel_create_impl.h',
                      'src/core/ext/transport/binder/client/connection_id_generator.cc',
                      'src/core/ext/transport/binder/client/connection_id_generator.h',
                      'src/core/ext/transport/binder/client/endpoint_binder_pool.cc',
                      'src/core/ext/transport/binder/client/endpoint_binder_pool.h',
                      'src/core/ext/transport/binder/client/jni_utils.cc',
                      'src/core/ext/transport/binder/client/jni_utils.h',
                      'src/core/ext/transport/binder/client/security_policy_setting.cc',
                      'src/core/ext/transport/binder/client/security_policy_setting.h',
                      'src/core/ext/transport/binder/security_policy/binder_security_policy.cc',
                      'src/core/ext/transport/binder/server/binder_server.cc',
                      'src/core/ext/transport/binder/server/binder_server.h',
                      'src/core/ext/transport/binder/server/binder_server_credentials.cc',
                      'src/core/ext/transport/binder/transport/binder_stream.h',
                      'src/core/ext/transport/binder/transport/binder_transport.cc',
                      'src/core/ext/transport/binder/transport/binder_transport.h',
                      'src/core/ext/transport/binder/utils/binder_auto_utils.h',
                      'src/core/ext/transport/binder/utils/ndk_binder.cc',
                      'src/core/ext/transport/binder/utils/ndk_binder.h',
                      'src/core/ext/transport/binder/utils/transport_stream_receiver.h',
                      'src/core/ext/transport/binder/utils/transport_stream_receiver_impl.cc',
                      'src/core/ext/transport/binder/utils/transport_stream_receiver_impl.h',
                      'src/core/ext/transport/binder/wire_format/binder.h',
                      'src/core/ext/transport/binder/wire_format/binder_android.cc',
                      'src/core/ext/transport/binder/wire_format/binder_android.h',
                      'src/core/ext/transport/binder/wire_format/binder_constants.cc',
                      'src/core/ext/transport/binder/wire_format/binder_constants.h',
                      'src/core/ext/transport/binder/wire_format/transaction.cc',
                      'src/core/ext/transport/binder/wire_format/transaction.h',
                      'src/core/ext/transport/binder/wire_format/wire_reader.h',
                      'src/core/ext/transport/binder/wire_format/wire_reader_impl.cc',
                      'src/core/ext/transport/binder/wire_format/wire_reader_impl.h',
                      'src/core/ext/transport/binder/wire_format/wire_writer.cc',
                      'src/core/ext/transport/binder/wire_format/wire_writer.h',
                      'src/core/ext/transport/chttp2/alpn/alpn.h',
                      'src/core/ext/transport/chttp2/client/chttp2_connector.h',
                      'src/core/ext/transport/chttp2/server/chttp2_server.h',
                      'src/core/ext/transport/chttp2/transport/bin_decoder.h',
                      'src/core/ext/transport/chttp2/transport/bin_encoder.h',
                      'src/core/ext/transport/chttp2/transport/chttp2_transport.h',
                      'src/core/ext/transport/chttp2/transport/context_list.h',
                      'src/core/ext/transport/chttp2/transport/decode_huff.h',
                      'src/core/ext/transport/chttp2/transport/flow_control.h',
                      'src/core/ext/transport/chttp2/transport/frame.h',
                      'src/core/ext/transport/chttp2/transport/frame_data.h',
                      'src/core/ext/transport/chttp2/transport/frame_goaway.h',
                      'src/core/ext/transport/chttp2/transport/frame_ping.h',
                      'src/core/ext/transport/chttp2/transport/frame_rst_stream.h',
                      'src/core/ext/transport/chttp2/transport/frame_settings.h',
                      'src/core/ext/transport/chttp2/transport/frame_window_update.h',
                      'src/core/ext/transport/chttp2/transport/hpack_constants.h',
                      'src/core/ext/transport/chttp2/transport/hpack_encoder.h',
                      'src/core/ext/transport/chttp2/transport/hpack_encoder_table.h',
                      'src/core/ext/transport/chttp2/transport/hpack_parser.h',
                      'src/core/ext/transport/chttp2/transport/hpack_parser_table.h',
                      'src/core/ext/transport/chttp2/transport/http2_settings.h',
                      'src/core/ext/transport/chttp2/transport/http_trace.h',
                      'src/core/ext/transport/chttp2/transport/huffsyms.h',
                      'src/core/ext/transport/chttp2/transport/internal.h',
                      'src/core/ext/transport/chttp2/transport/stream_map.h',
                      'src/core/ext/transport/chttp2/transport/varint.h',
                      'src/core/ext/transport/inproc/inproc_transport.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/certs.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/clusters.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/config_dump.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/config_dump_shared.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/init_dump.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/listeners.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/memory.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/metrics.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/mutex_stats.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/server_info.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/tap.upb.h',
                      'src/core/ext/upb-generated/envoy/annotations/deprecation.upb.h',
                      'src/core/ext/upb-generated/envoy/annotations/resource.upb.h',
                      'src/core/ext/upb-generated/envoy/config/accesslog/v3/accesslog.upb.h',
                      'src/core/ext/upb-generated/envoy/config/bootstrap/v3/bootstrap.upb.h',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/circuit_breaker.upb.h',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/cluster.upb.h',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/filter.upb.h',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/outlier_detection.upb.h',
                      'src/core/ext/upb-generated/envoy/config/common/matcher/v3/matcher.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/address.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/backoff.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/base.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/config_source.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/event_service_config.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/extension.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/grpc_method_list.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/grpc_service.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/health_check.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/http_uri.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/protocol.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/proxy_protocol.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/resolver.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/socket_option.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/substitution_format_string.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/udp_socket_config.upb.h',
                      'src/core/ext/upb-generated/envoy/config/endpoint/v3/endpoint.upb.h',
                      'src/core/ext/upb-generated/envoy/config/endpoint/v3/endpoint_components.upb.h',
                      'src/core/ext/upb-generated/envoy/config/endpoint/v3/load_report.upb.h',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/api_listener.upb.h',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/listener.upb.h',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/listener_components.upb.h',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/quic_config.upb.h',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/udp_listener_config.upb.h',
                      'src/core/ext/upb-generated/envoy/config/metrics/v3/metrics_service.upb.h',
                      'src/core/ext/upb-generated/envoy/config/metrics/v3/stats.upb.h',
                      'src/core/ext/upb-generated/envoy/config/overload/v3/overload.upb.h',
                      'src/core/ext/upb-generated/envoy/config/rbac/v3/rbac.upb.h',
                      'src/core/ext/upb-generated/envoy/config/route/v3/route.upb.h',
                      'src/core/ext/upb-generated/envoy/config/route/v3/route_components.upb.h',
                      'src/core/ext/upb-generated/envoy/config/route/v3/scoped_route.upb.h',
                      'src/core/ext/upb-generated/envoy/config/tap/v3/common.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/datadog.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/dynamic_ot.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/http_tracer.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/lightstep.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/opencensus.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/opentelemetry.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/service.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/skywalking.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/trace.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/xray.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/zipkin.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/clusters/aggregate/v3/cluster.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/common/fault/v3/fault.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/fault/v3/fault.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/rbac/v3/rbac.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/router/v3/router.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/stateful_session/v3/stateful_session.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/network/http_connection_manager/v3/http_connection_manager.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/http/stateful_session/cookie/v3/cookie.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/load_balancing_policies/ring_hash/v3/ring_hash.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/load_balancing_policies/wrr_locality/v3/wrr_locality.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/cert.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/common.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/secret.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/tls.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/tls_spiffe_validator_config.upb.h',
                      'src/core/ext/upb-generated/envoy/service/discovery/v3/ads.upb.h',
                      'src/core/ext/upb-generated/envoy/service/discovery/v3/discovery.upb.h',
                      'src/core/ext/upb-generated/envoy/service/load_stats/v3/lrs.upb.h',
                      'src/core/ext/upb-generated/envoy/service/status/v3/csds.upb.h',
                      'src/core/ext/upb-generated/envoy/type/http/v3/cookie.upb.h',
                      'src/core/ext/upb-generated/envoy/type/http/v3/path_transformation.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/http_inputs.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/metadata.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/node.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/number.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/path.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/regex.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/string.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/struct.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/value.upb.h',
                      'src/core/ext/upb-generated/envoy/type/metadata/v3/metadata.upb.h',
                      'src/core/ext/upb-generated/envoy/type/tracing/v3/custom_tag.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/hash_policy.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/http.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/http_status.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/percent.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/range.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/ratelimit_strategy.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/ratelimit_unit.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/semantic_version.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/token_bucket.upb.h',
                      'src/core/ext/upb-generated/google/api/annotations.upb.h',
                      'src/core/ext/upb-generated/google/api/expr/v1alpha1/checked.upb.h',
                      'src/core/ext/upb-generated/google/api/expr/v1alpha1/syntax.upb.h',
                      'src/core/ext/upb-generated/google/api/http.upb.h',
                      'src/core/ext/upb-generated/google/api/httpbody.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/any.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/descriptor.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/duration.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/empty.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/struct.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/timestamp.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/wrappers.upb.h',
                      'src/core/ext/upb-generated/google/rpc/status.upb.h',
                      'src/core/ext/upb-generated/opencensus/proto/trace/v1/trace_config.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/altscontext.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/handshaker.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/transport_security_common.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/health/v1/health.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/lb/v1/load_balancer.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/lookup/v1/rls.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/lookup/v1/rls_config.upb.h',
                      'src/core/ext/upb-generated/udpa/annotations/migrate.upb.h',
                      'src/core/ext/upb-generated/udpa/annotations/security.upb.h',
                      'src/core/ext/upb-generated/udpa/annotations/sensitive.upb.h',
                      'src/core/ext/upb-generated/udpa/annotations/status.upb.h',
                      'src/core/ext/upb-generated/udpa/annotations/versioning.upb.h',
                      'src/core/ext/upb-generated/validate/validate.upb.h',
                      'src/core/ext/upb-generated/xds/annotations/v3/migrate.upb.h',
                      'src/core/ext/upb-generated/xds/annotations/v3/security.upb.h',
                      'src/core/ext/upb-generated/xds/annotations/v3/sensitive.upb.h',
                      'src/core/ext/upb-generated/xds/annotations/v3/status.upb.h',
                      'src/core/ext/upb-generated/xds/annotations/v3/versioning.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/authority.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/cidr.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/collection_entry.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/context_params.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/extension.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/resource.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/resource_locator.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/resource_name.upb.h',
                      'src/core/ext/upb-generated/xds/data/orca/v3/orca_load_report.upb.h',
                      'src/core/ext/upb-generated/xds/service/orca/v3/orca.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/cel.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/domain.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/http_inputs.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/ip.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/matcher.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/range.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/regex.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/string.upb.h',
                      'src/core/ext/upb-generated/xds/type/v3/cel.upb.h',
                      'src/core/ext/upb-generated/xds/type/v3/range.upb.h',
                      'src/core/ext/upb-generated/xds/type/v3/typed_struct.upb.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/certs.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/clusters.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/config_dump.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/config_dump_shared.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/init_dump.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/listeners.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/memory.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/metrics.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/mutex_stats.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/server_info.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/tap.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/annotations/deprecation.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/annotations/resource.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/accesslog/v3/accesslog.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/bootstrap/v3/bootstrap.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/circuit_breaker.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/cluster.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/filter.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/outlier_detection.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/common/matcher/v3/matcher.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/address.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/backoff.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/base.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/config_source.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/event_service_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/extension.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/grpc_method_list.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/grpc_service.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/health_check.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/http_uri.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/protocol.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/proxy_protocol.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/resolver.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/socket_option.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/substitution_format_string.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/udp_socket_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/endpoint.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/endpoint_components.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/load_report.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/api_listener.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/listener.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/listener_components.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/quic_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/udp_listener_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/metrics/v3/metrics_service.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/metrics/v3/stats.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/overload/v3/overload.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/rbac/v3/rbac.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/route/v3/route.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/route/v3/route_components.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/route/v3/scoped_route.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/tap/v3/common.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/datadog.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/dynamic_ot.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/http_tracer.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/lightstep.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/opencensus.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/opentelemetry.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/service.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/skywalking.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/trace.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/xray.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/zipkin.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/clusters/aggregate/v3/cluster.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/common/fault/v3/fault.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/fault/v3/fault.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/rbac/v3/rbac.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/router/v3/router.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/stateful_session/v3/stateful_session.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/network/http_connection_manager/v3/http_connection_manager.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/http/stateful_session/cookie/v3/cookie.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/cert.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/common.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/secret.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/tls.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/tls_spiffe_validator_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/service/discovery/v3/ads.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/service/discovery/v3/discovery.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/service/load_stats/v3/lrs.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/service/status/v3/csds.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/http/v3/cookie.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/http/v3/path_transformation.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/http_inputs.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/metadata.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/node.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/number.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/path.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/regex.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/string.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/struct.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/value.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/metadata/v3/metadata.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/tracing/v3/custom_tag.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/hash_policy.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/http.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/http_status.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/percent.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/range.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/ratelimit_strategy.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/ratelimit_unit.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/semantic_version.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/token_bucket.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/api/annotations.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/api/expr/v1alpha1/checked.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/api/expr/v1alpha1/syntax.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/api/http.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/api/httpbody.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/any.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/descriptor.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/duration.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/empty.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/struct.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/timestamp.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/wrappers.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/rpc/status.upbdefs.h',
                      'src/core/ext/upbdefs-generated/opencensus/proto/trace/v1/trace_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/src/proto/grpc/lookup/v1/rls_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/udpa/annotations/migrate.upbdefs.h',
                      'src/core/ext/upbdefs-generated/udpa/annotations/security.upbdefs.h',
                      'src/core/ext/upbdefs-generated/udpa/annotations/sensitive.upbdefs.h',
                      'src/core/ext/upbdefs-generated/udpa/annotations/status.upbdefs.h',
                      'src/core/ext/upbdefs-generated/udpa/annotations/versioning.upbdefs.h',
                      'src/core/ext/upbdefs-generated/validate/validate.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/migrate.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/security.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/sensitive.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/status.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/versioning.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/authority.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/cidr.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/collection_entry.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/context_params.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/extension.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/resource.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/resource_locator.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/resource_name.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/cel.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/domain.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/http_inputs.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/ip.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/matcher.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/range.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/regex.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/string.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/v3/cel.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/v3/range.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/v3/typed_struct.upbdefs.h',
                      'src/core/ext/xds/certificate_provider_store.h',
                      'src/core/ext/xds/file_watcher_certificate_provider_factory.h',
                      'src/core/ext/xds/upb_utils.h',
                      'src/core/ext/xds/xds_api.h',
                      'src/core/ext/xds/xds_bootstrap.h',
                      'src/core/ext/xds/xds_bootstrap_grpc.h',
                      'src/core/ext/xds/xds_certificate_provider.h',
                      'src/core/ext/xds/xds_channel_args.h',
                      'src/core/ext/xds/xds_channel_stack_modifier.h',
                      'src/core/ext/xds/xds_client.h',
                      'src/core/ext/xds/xds_client_grpc.h',
                      'src/core/ext/xds/xds_client_stats.h',
                      'src/core/ext/xds/xds_cluster.h',
                      'src/core/ext/xds/xds_cluster_specifier_plugin.h',
                      'src/core/ext/xds/xds_common_types.h',
                      'src/core/ext/xds/xds_endpoint.h',
                      'src/core/ext/xds/xds_health_status.h',
                      'src/core/ext/xds/xds_http_fault_filter.h',
                      'src/core/ext/xds/xds_http_filters.h',
                      'src/core/ext/xds/xds_http_rbac_filter.h',
                      'src/core/ext/xds/xds_http_stateful_session_filter.h',
                      'src/core/ext/xds/xds_lb_policy_registry.h',
                      'src/core/ext/xds/xds_listener.h',
                      'src/core/ext/xds/xds_resource_type.h',
                      'src/core/ext/xds/xds_resource_type_impl.h',
                      'src/core/ext/xds/xds_route_config.h',
                      'src/core/ext/xds/xds_routing.h',
                      'src/core/ext/xds/xds_transport.h',
                      'src/core/ext/xds/xds_transport_grpc.h',
                      'src/core/lib/address_utils/parse_address.h',
                      'src/core/lib/address_utils/sockaddr_utils.h',
                      'src/core/lib/avl/avl.h',
                      'src/core/lib/backoff/backoff.h',
                      'src/core/lib/channel/call_finalization.h',
                      'src/core/lib/channel/call_tracer.h',
                      'src/core/lib/channel/channel_args.h',
                      'src/core/lib/channel/channel_args_preconditioning.h',
                      'src/core/lib/channel/channel_fwd.h',
                      'src/core/lib/channel/channel_stack.h',
                      'src/core/lib/channel/channel_stack_builder.h',
                      'src/core/lib/channel/channel_stack_builder_impl.h',
                      'src/core/lib/channel/channel_trace.h',
                      'src/core/lib/channel/channelz.h',
                      'src/core/lib/channel/channelz_registry.h',
                      'src/core/lib/channel/connected_channel.h',
                      'src/core/lib/channel/context.h',
                      'src/core/lib/channel/promise_based_filter.h',
                      'src/core/lib/channel/status_util.h',
                      'src/core/lib/compression/compression_internal.h',
                      'src/core/lib/compression/message_compress.h',
                      'src/core/lib/config/core_configuration.h',
                      'src/core/lib/debug/event_log.h',
                      'src/core/lib/debug/histogram_view.h',
                      'src/core/lib/debug/stats.h',
                      'src/core/lib/debug/stats_data.h',
                      'src/core/lib/debug/trace.h',
                      'src/core/lib/event_engine/channel_args_endpoint_config.h',
                      'src/core/lib/event_engine/common_closures.h',
                      'src/core/lib/event_engine/default_event_engine.h',
                      'src/core/lib/event_engine/default_event_engine_factory.h',
                      'src/core/lib/event_engine/executor/executor.h',
                      'src/core/lib/event_engine/forkable.h',
                      'src/core/lib/event_engine/handle_containers.h',
                      'src/core/lib/event_engine/poller.h',
                      'src/core/lib/event_engine/posix_engine/ev_epoll1_linux.h',
                      'src/core/lib/event_engine/posix_engine/ev_poll_posix.h',
                      'src/core/lib/event_engine/posix_engine/event_poller.h',
                      'src/core/lib/event_engine/posix_engine/event_poller_posix_default.h',
                      'src/core/lib/event_engine/posix_engine/internal_errqueue.h',
                      'src/core/lib/event_engine/posix_engine/lockfree_event.h',
                      'src/core/lib/event_engine/posix_engine/posix_endpoint.h',
                      'src/core/lib/event_engine/posix_engine/posix_engine.h',
                      'src/core/lib/event_engine/posix_engine/posix_engine_closure.h',
                      'src/core/lib/event_engine/posix_engine/posix_engine_listener.h',
                      'src/core/lib/event_engine/posix_engine/posix_engine_listener_utils.h',
                      'src/core/lib/event_engine/posix_engine/tcp_socket_utils.h',
                      'src/core/lib/event_engine/posix_engine/timer.h',
                      'src/core/lib/event_engine/posix_engine/timer_heap.h',
                      'src/core/lib/event_engine/posix_engine/timer_manager.h',
                      'src/core/lib/event_engine/posix_engine/traced_buffer_list.h',
                      'src/core/lib/event_engine/posix_engine/wakeup_fd_eventfd.h',
                      'src/core/lib/event_engine/posix_engine/wakeup_fd_pipe.h',
                      'src/core/lib/event_engine/posix_engine/wakeup_fd_posix.h',
                      'src/core/lib/event_engine/posix_engine/wakeup_fd_posix_default.h',
                      'src/core/lib/event_engine/socket_notifier.h',
                      'src/core/lib/event_engine/tcp_socket_utils.h',
                      'src/core/lib/event_engine/thread_pool.h',
                      'src/core/lib/event_engine/time_util.h',
                      'src/core/lib/event_engine/trace.h',
                      'src/core/lib/event_engine/utils.h',
                      'src/core/lib/event_engine/windows/iocp.h',
                      'src/core/lib/event_engine/windows/win_socket.h',
                      'src/core/lib/event_engine/windows/windows_engine.h',
                      'src/core/lib/experiments/config.h',
                      'src/core/lib/experiments/experiments.h',
                      'src/core/lib/gpr/alloc.h',
                      'src/core/lib/gpr/spinlock.h',
                      'src/core/lib/gpr/string.h',
                      'src/core/lib/gpr/time_precise.h',
                      'src/core/lib/gpr/tmpfile.h',
                      'src/core/lib/gpr/useful.h',
                      'src/core/lib/gprpp/atomic_utils.h',
                      'src/core/lib/gprpp/bitset.h',
                      'src/core/lib/gprpp/chunked_vector.h',
                      'src/core/lib/gprpp/construct_destruct.h',
                      'src/core/lib/gprpp/cpp_impl_of.h',
                      'src/core/lib/gprpp/crash.h',
                      'src/core/lib/gprpp/debug_location.h',
                      'src/core/lib/gprpp/dual_ref_counted.h',
                      'src/core/lib/gprpp/env.h',
                      'src/core/lib/gprpp/examine_stack.h',
                      'src/core/lib/gprpp/fork.h',
                      'src/core/lib/gprpp/global_config.h',
                      'src/core/lib/gprpp/global_config_custom.h',
                      'src/core/lib/gprpp/global_config_env.h',
                      'src/core/lib/gprpp/global_config_generic.h',
                      'src/core/lib/gprpp/host_port.h',
                      'src/core/lib/gprpp/load_file.h',
                      'src/core/lib/gprpp/manual_constructor.h',
                      'src/core/lib/gprpp/match.h',
                      'src/core/lib/gprpp/memory.h',
                      'src/core/lib/gprpp/mpscq.h',
                      'src/core/lib/gprpp/no_destruct.h',
                      'src/core/lib/gprpp/notification.h',
                      'src/core/lib/gprpp/orphanable.h',
                      'src/core/lib/gprpp/overload.h',
                      'src/core/lib/gprpp/packed_table.h',
                      'src/core/lib/gprpp/per_cpu.h',
                      'src/core/lib/gprpp/ref_counted.h',
                      'src/core/lib/gprpp/ref_counted_ptr.h',
                      'src/core/lib/gprpp/single_set_ptr.h',
                      'src/core/lib/gprpp/sorted_pack.h',
                      'src/core/lib/gprpp/stat.h',
                      'src/core/lib/gprpp/status_helper.h',
                      'src/core/lib/gprpp/strerror.h',
                      'src/core/lib/gprpp/sync.h',
                      'src/core/lib/gprpp/table.h',
                      'src/core/lib/gprpp/tchar.h',
                      'src/core/lib/gprpp/thd.h',
                      'src/core/lib/gprpp/time.h',
                      'src/core/lib/gprpp/time_averaged_stats.h',
                      'src/core/lib/gprpp/time_util.h',
                      'src/core/lib/gprpp/unique_type_name.h',
                      'src/core/lib/gprpp/validation_errors.h',
                      'src/core/lib/gprpp/work_serializer.h',
                      'src/core/lib/handshaker/proxy_mapper.h',
                      'src/core/lib/handshaker/proxy_mapper_registry.h',
                      'src/core/lib/http/format_request.h',
                      'src/core/lib/http/httpcli.h',
                      'src/core/lib/http/httpcli_ssl_credentials.h',
                      'src/core/lib/http/parser.h',
                      'src/core/lib/iomgr/block_annotate.h',
                      'src/core/lib/iomgr/buffer_list.h',
                      'src/core/lib/iomgr/call_combiner.h',
                      'src/core/lib/iomgr/cfstream_handle.h',
                      'src/core/lib/iomgr/closure.h',
                      'src/core/lib/iomgr/combiner.h',
                      'src/core/lib/iomgr/dynamic_annotations.h',
                      'src/core/lib/iomgr/endpoint.h',
                      'src/core/lib/iomgr/endpoint_cfstream.h',
                      'src/core/lib/iomgr/endpoint_pair.h',
                      'src/core/lib/iomgr/error.h',
                      'src/core/lib/iomgr/error_cfstream.h',
                      'src/core/lib/iomgr/ev_apple.h',
                      'src/core/lib/iomgr/ev_epoll1_linux.h',
                      'src/core/lib/iomgr/ev_poll_posix.h',
                      'src/core/lib/iomgr/ev_posix.h',
                      'src/core/lib/iomgr/exec_ctx.h',
                      'src/core/lib/iomgr/executor.h',
                      'src/core/lib/iomgr/gethostname.h',
                      'src/core/lib/iomgr/grpc_if_nametoindex.h',
                      'src/core/lib/iomgr/internal_errqueue.h',
                      'src/core/lib/iomgr/iocp_windows.h',
                      'src/core/lib/iomgr/iomgr.h',
                      'src/core/lib/iomgr/iomgr_fwd.h',
                      'src/core/lib/iomgr/iomgr_internal.h',
                      'src/core/lib/iomgr/load_file.h',
                      'src/core/lib/iomgr/lockfree_event.h',
                      'src/core/lib/iomgr/nameser.h',
                      'src/core/lib/iomgr/polling_entity.h',
                      'src/core/lib/iomgr/pollset.h',
                      'src/core/lib/iomgr/pollset_set.h',
                      'src/core/lib/iomgr/pollset_set_windows.h',
                      'src/core/lib/iomgr/pollset_windows.h',
                      'src/core/lib/iomgr/port.h',
                      'src/core/lib/iomgr/python_util.h',
                      'src/core/lib/iomgr/resolve_address.h',
                      'src/core/lib/iomgr/resolve_address_impl.h',
                      'src/core/lib/iomgr/resolve_address_posix.h',
                      'src/core/lib/iomgr/resolve_address_windows.h',
                      'src/core/lib/iomgr/resolved_address.h',
                      'src/core/lib/iomgr/sockaddr.h',
                      'src/core/lib/iomgr/sockaddr_posix.h',
                      'src/core/lib/iomgr/sockaddr_windows.h',
                      'src/core/lib/iomgr/socket_factory_posix.h',
                      'src/core/lib/iomgr/socket_mutator.h',
                      'src/core/lib/iomgr/socket_utils.h',
                      'src/core/lib/iomgr/socket_utils_posix.h',
                      'src/core/lib/iomgr/socket_windows.h',
                      'src/core/lib/iomgr/systemd_utils.h',
                      'src/core/lib/iomgr/tcp_client.h',
                      'src/core/lib/iomgr/tcp_client_posix.h',
                      'src/core/lib/iomgr/tcp_posix.h',
                      'src/core/lib/iomgr/tcp_server.h',
                      'src/core/lib/iomgr/tcp_server_utils_posix.h',
                      'src/core/lib/iomgr/tcp_windows.h',
                      'src/core/lib/iomgr/timer.h',
                      'src/core/lib/iomgr/timer_generic.h',
                      'src/core/lib/iomgr/timer_heap.h',
                      'src/core/lib/iomgr/timer_manager.h',
                      'src/core/lib/iomgr/unix_sockets_posix.h',
                      'src/core/lib/iomgr/wakeup_fd_pipe.h',
                      'src/core/lib/iomgr/wakeup_fd_posix.h',
                      'src/core/lib/json/json.h',
                      'src/core/lib/json/json_args.h',
                      'src/core/lib/json/json_channel_args.h',
                      'src/core/lib/json/json_object_loader.h',
                      'src/core/lib/json/json_util.h',
                      'src/core/lib/load_balancing/lb_policy.h',
                      'src/core/lib/load_balancing/lb_policy_factory.h',
                      'src/core/lib/load_balancing/lb_policy_registry.h',
                      'src/core/lib/load_balancing/subchannel_interface.h',
                      'src/core/lib/matchers/matchers.h',
                      'src/core/lib/promise/activity.h',
                      'src/core/lib/promise/arena_promise.h',
                      'src/core/lib/promise/context.h',
                      'src/core/lib/promise/detail/basic_seq.h',
                      'src/core/lib/promise/detail/promise_factory.h',
                      'src/core/lib/promise/detail/promise_like.h',
                      'src/core/lib/promise/detail/status.h',
                      'src/core/lib/promise/detail/switch.h',
                      'src/core/lib/promise/exec_ctx_wakeup_scheduler.h',
                      'src/core/lib/promise/for_each.h',
                      'src/core/lib/promise/intra_activity_waiter.h',
                      'src/core/lib/promise/latch.h',
                      'src/core/lib/promise/loop.h',
                      'src/core/lib/promise/map.h',
                      'src/core/lib/promise/map_pipe.h',
                      'src/core/lib/promise/pipe.h',
                      'src/core/lib/promise/poll.h',
                      'src/core/lib/promise/promise.h',
                      'src/core/lib/promise/race.h',
                      'src/core/lib/promise/seq.h',
                      'src/core/lib/promise/sleep.h',
                      'src/core/lib/promise/try_concurrently.h',
                      'src/core/lib/promise/try_seq.h',
                      'src/core/lib/resolver/resolver.h',
                      'src/core/lib/resolver/resolver_factory.h',
                      'src/core/lib/resolver/resolver_registry.h',
                      'src/core/lib/resolver/server_address.h',
                      'src/core/lib/resource_quota/api.h',
                      'src/core/lib/resource_quota/arena.h',
                      'src/core/lib/resource_quota/memory_quota.h',
                      'src/core/lib/resource_quota/periodic_update.h',
                      'src/core/lib/resource_quota/resource_quota.h',
                      'src/core/lib/resource_quota/thread_quota.h',
                      'src/core/lib/resource_quota/trace.h',
                      'src/core/lib/security/authorization/authorization_engine.h',
                      'src/core/lib/security/authorization/authorization_policy_provider.h',
                      'src/core/lib/security/authorization/evaluate_args.h',
                      'src/core/lib/security/authorization/grpc_authorization_engine.h',
                      'src/core/lib/security/authorization/grpc_server_authz_filter.h',
                      'src/core/lib/security/authorization/matchers.h',
                      'src/core/lib/security/authorization/rbac_policy.h',
                      'src/core/lib/security/certificate_provider/certificate_provider_factory.h',
                      'src/core/lib/security/certificate_provider/certificate_provider_registry.h',
                      'src/core/lib/security/context/security_context.h',
                      'src/core/lib/security/credentials/alts/alts_credentials.h',
                      'src/core/lib/security/credentials/alts/check_gcp_environment.h',
                      'src/core/lib/security/credentials/alts/grpc_alts_credentials_options.h',
                      'src/core/lib/security/credentials/call_creds_util.h',
                      'src/core/lib/security/credentials/channel_creds_registry.h',
                      'src/core/lib/security/credentials/composite/composite_credentials.h',
                      'src/core/lib/security/credentials/credentials.h',
                      'src/core/lib/security/credentials/external/aws_external_account_credentials.h',
                      'src/core/lib/security/credentials/external/aws_request_signer.h',
                      'src/core/lib/security/credentials/external/external_account_credentials.h',
                      'src/core/lib/security/credentials/external/file_external_account_credentials.h',
                      'src/core/lib/security/credentials/external/url_external_account_credentials.h',
                      'src/core/lib/security/credentials/fake/fake_credentials.h',
                      'src/core/lib/security/credentials/google_default/google_default_credentials.h',
                      'src/core/lib/security/credentials/iam/iam_credentials.h',
                      'src/core/lib/security/credentials/insecure/insecure_credentials.h',
                      'src/core/lib/security/credentials/jwt/json_token.h',
                      'src/core/lib/security/credentials/jwt/jwt_credentials.h',
                      'src/core/lib/security/credentials/jwt/jwt_verifier.h',
                      'src/core/lib/security/credentials/local/local_credentials.h',
                      'src/core/lib/security/credentials/oauth2/oauth2_credentials.h',
                      'src/core/lib/security/credentials/plugin/plugin_credentials.h',
                      'src/core/lib/security/credentials/ssl/ssl_credentials.h',
                      'src/core/lib/security/credentials/tls/grpc_tls_certificate_distributor.h',
                      'src/core/lib/security/credentials/tls/grpc_tls_certificate_provider.h',
                      'src/core/lib/security/credentials/tls/grpc_tls_certificate_verifier.h',
                      'src/core/lib/security/credentials/tls/grpc_tls_credentials_options.h',
                      'src/core/lib/security/credentials/tls/tls_credentials.h',
                      'src/core/lib/security/credentials/tls/tls_utils.h',
                      'src/core/lib/security/credentials/xds/xds_credentials.h',
                      'src/core/lib/security/security_connector/alts/alts_security_connector.h',
                      'src/core/lib/security/security_connector/fake/fake_security_connector.h',
                      'src/core/lib/security/security_connector/insecure/insecure_security_connector.h',
                      'src/core/lib/security/security_connector/load_system_roots.h',
                      'src/core/lib/security/security_connector/load_system_roots_supported.h',
                      'src/core/lib/security/security_connector/local/local_security_connector.h',
                      'src/core/lib/security/security_connector/security_connector.h',
                      'src/core/lib/security/security_connector/ssl/ssl_security_connector.h',
                      'src/core/lib/security/security_connector/ssl_utils.h',
                      'src/core/lib/security/security_connector/ssl_utils_config.h',
                      'src/core/lib/security/security_connector/tls/tls_security_connector.h',
                      'src/core/lib/security/transport/auth_filters.h',
                      'src/core/lib/security/transport/secure_endpoint.h',
                      'src/core/lib/security/transport/security_handshaker.h',
                      'src/core/lib/security/transport/tsi_error.h',
                      'src/core/lib/security/util/json_util.h',
                      'src/core/lib/service_config/service_config.h',
                      'src/core/lib/service_config/service_config_call_data.h',
                      'src/core/lib/service_config/service_config_impl.h',
                      'src/core/lib/service_config/service_config_parser.h',
                      'src/core/lib/slice/b64.h',
                      'src/core/lib/slice/percent_encoding.h',
                      'src/core/lib/slice/slice.h',
                      'src/core/lib/slice/slice_buffer.h',
                      'src/core/lib/slice/slice_internal.h',
                      'src/core/lib/slice/slice_refcount.h',
                      'src/core/lib/slice/slice_string_helpers.h',
                      'src/core/lib/surface/api_trace.h',
                      'src/core/lib/surface/builtins.h',
                      'src/core/lib/surface/call.h',
                      'src/core/lib/surface/call_test_only.h',
                      'src/core/lib/surface/call_trace.h',
                      'src/core/lib/surface/channel.h',
                      'src/core/lib/surface/channel_init.h',
                      'src/core/lib/surface/channel_stack_type.h',
                      'src/core/lib/surface/completion_queue.h',
                      'src/core/lib/surface/completion_queue_factory.h',
                      'src/core/lib/surface/event_string.h',
                      'src/core/lib/surface/init.h',
                      'src/core/lib/surface/init_internally.h',
                      'src/core/lib/surface/lame_client.h',
                      'src/core/lib/surface/server.h',
                      'src/core/lib/surface/validate_metadata.h',
                      'src/core/lib/transport/bdp_estimator.h',
                      'src/core/lib/transport/connectivity_state.h',
                      'src/core/lib/transport/error_utils.h',
                      'src/core/lib/transport/handshaker.h',
                      'src/core/lib/transport/handshaker_factory.h',
                      'src/core/lib/transport/handshaker_registry.h',
                      'src/core/lib/transport/http2_errors.h',
                      'src/core/lib/transport/http_connect_handshaker.h',
                      'src/core/lib/transport/metadata_batch.h',
                      'src/core/lib/transport/parsed_metadata.h',
                      'src/core/lib/transport/pid_controller.h',
                      'src/core/lib/transport/status_conversion.h',
                      'src/core/lib/transport/tcp_connect_handshaker.h',
                      'src/core/lib/transport/timeout_encoding.h',
                      'src/core/lib/transport/transport.h',
                      'src/core/lib/transport/transport_fwd.h',
                      'src/core/lib/transport/transport_impl.h',
                      'src/core/lib/uri/uri_parser.h',
                      'src/core/tsi/alts/crypt/gsec.h',
                      'src/core/tsi/alts/frame_protector/alts_counter.h',
                      'src/core/tsi/alts/frame_protector/alts_crypter.h',
                      'src/core/tsi/alts/frame_protector/alts_frame_protector.h',
                      'src/core/tsi/alts/frame_protector/alts_record_protocol_crypter_common.h',
                      'src/core/tsi/alts/frame_protector/frame_handler.h',
                      'src/core/tsi/alts/handshaker/alts_handshaker_client.h',
                      'src/core/tsi/alts/handshaker/alts_shared_resource.h',
                      'src/core/tsi/alts/handshaker/alts_tsi_handshaker.h',
                      'src/core/tsi/alts/handshaker/alts_tsi_handshaker_private.h',
                      'src/core/tsi/alts/handshaker/alts_tsi_utils.h',
                      'src/core/tsi/alts/handshaker/transport_security_common_api.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_integrity_only_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_privacy_integrity_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol_common.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_iovec_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_zero_copy_grpc_protector.h',
                      'src/core/tsi/fake_transport_security.h',
                      'src/core/tsi/local_transport_security.h',
                      'src/core/tsi/ssl/key_logging/ssl_key_logging.h',
                      'src/core/tsi/ssl/session_cache/ssl_session.h',
                      'src/core/tsi/ssl/session_cache/ssl_session_cache.h',
                      'src/core/tsi/ssl_transport_security.h',
                      'src/core/tsi/ssl_transport_security_utils.h',
                      'src/core/tsi/ssl_types.h',
                      'src/core/tsi/transport_security.h',
                      'src/core/tsi/transport_security_grpc.h',
                      'src/core/tsi/transport_security_interface.h',
                      'src/cpp/client/channel_cc.cc',
                      'src/cpp/client/client_callback.cc',
                      'src/cpp/client/client_context.cc',
                      'src/cpp/client/client_interceptor.cc',
                      'src/cpp/client/create_channel.cc',
                      'src/cpp/client/create_channel_internal.cc',
                      'src/cpp/client/create_channel_internal.h',
                      'src/cpp/client/create_channel_posix.cc',
                      'src/cpp/client/insecure_credentials.cc',
                      'src/cpp/client/secure_credentials.cc',
                      'src/cpp/client/secure_credentials.h',
                      'src/cpp/client/xds_credentials.cc',
                      'src/cpp/common/alarm.cc',
                      'src/cpp/common/auth_property_iterator.cc',
                      'src/cpp/common/channel_arguments.cc',
                      'src/cpp/common/channel_filter.cc',
                      'src/cpp/common/channel_filter.h',
                      'src/cpp/common/completion_queue_cc.cc',
                      'src/cpp/common/resource_quota_cc.cc',
                      'src/cpp/common/rpc_method.cc',
                      'src/cpp/common/secure_auth_context.cc',
                      'src/cpp/common/secure_auth_context.h',
                      'src/cpp/common/secure_channel_arguments.cc',
                      'src/cpp/common/secure_create_auth_context.cc',
                      'src/cpp/common/tls_certificate_provider.cc',
                      'src/cpp/common/tls_certificate_verifier.cc',
                      'src/cpp/common/tls_credentials_options.cc',
                      'src/cpp/common/validate_service_config.cc',
                      'src/cpp/common/version_cc.cc',
                      'src/cpp/server/async_generic_service.cc',
                      'src/cpp/server/channel_argument_option.cc',
                      'src/cpp/server/create_default_thread_pool.cc',
                      'src/cpp/server/dynamic_thread_pool.h',
                      'src/cpp/server/external_connection_acceptor_impl.cc',
                      'src/cpp/server/external_connection_acceptor_impl.h',
                      'src/cpp/server/health/default_health_check_service.cc',
                      'src/cpp/server/health/default_health_check_service.h',
                      'src/cpp/server/health/health_check_service.cc',
                      'src/cpp/server/health/health_check_service_server_builder_option.cc',
                      'src/cpp/server/insecure_server_credentials.cc',
                      'src/cpp/server/orca/call_metric_recorder.cc',
                      'src/cpp/server/secure_server_credentials.cc',
                      'src/cpp/server/secure_server_credentials.h',
                      'src/cpp/server/server_builder.cc',
                      'src/cpp/server/server_callback.cc',
                      'src/cpp/server/server_cc.cc',
                      'src/cpp/server/server_context.cc',
                      'src/cpp/server/server_posix.cc',
                      'src/cpp/server/thread_pool_interface.h',
                      'src/cpp/server/xds_server_credentials.cc',
                      'src/cpp/thread_manager/thread_manager.cc',
                      'src/cpp/thread_manager/thread_manager.h',
                      'src/cpp/util/byte_buffer_cc.cc',
                      'src/cpp/util/status.cc',
                      'src/cpp/util/string_ref.cc',
                      'src/cpp/util/time_cc.cc',
                      'third_party/re2/re2/bitmap256.h',
                      'third_party/re2/re2/filtered_re2.h',
                      'third_party/re2/re2/pod_array.h',
                      'third_party/re2/re2/prefilter.h',
                      'third_party/re2/re2/prefilter_tree.h',
                      'third_party/re2/re2/prog.h',
                      'third_party/re2/re2/re2.h',
                      'third_party/re2/re2/regexp.h',
                      'third_party/re2/re2/set.h',
                      'third_party/re2/re2/sparse_array.h',
                      'third_party/re2/re2/sparse_set.h',
                      'third_party/re2/re2/stringpiece.h',
                      'third_party/re2/re2/unicode_casefold.h',
                      'third_party/re2/re2/unicode_groups.h',
                      'third_party/re2/re2/walker-inl.h',
                      'third_party/re2/util/benchmark.h',
                      'third_party/re2/util/flags.h',
                      'third_party/re2/util/logging.h',
                      'third_party/re2/util/malloc_counter.h',
                      'third_party/re2/util/mix.h',
                      'third_party/re2/util/mutex.h',
                      'third_party/re2/util/pcre.h',
                      'third_party/re2/util/strutil.h',
                      'third_party/re2/util/test.h',
                      'third_party/re2/util/utf.h',
                      'third_party/re2/util/util.h',
                      'third_party/upb/third_party/utf8_range/utf8_range.h',
                      'third_party/upb/upb/arena.h',
                      'third_party/upb/upb/array.h',
                      'third_party/upb/upb/collections.h',
                      'third_party/upb/upb/decode.h',
                      'third_party/upb/upb/decode_fast.h',
                      'third_party/upb/upb/def.h',
                      'third_party/upb/upb/def.hpp',
                      'third_party/upb/upb/encode.h',
                      'third_party/upb/upb/extension_registry.h',
                      'third_party/upb/upb/internal/decode.h',
                      'third_party/upb/upb/internal/table.h',
                      'third_party/upb/upb/internal/upb.h',
                      'third_party/upb/upb/internal/vsnprintf_compat.h',
                      'third_party/upb/upb/json_decode.h',
                      'third_party/upb/upb/json_encode.h',
                      'third_party/upb/upb/map.h',
                      'third_party/upb/upb/message_value.h',
                      'third_party/upb/upb/mini_table.h',
                      'third_party/upb/upb/mini_table.hpp',
                      'third_party/upb/upb/msg.h',
                      'third_party/upb/upb/msg_internal.h',
                      'third_party/upb/upb/port_def.inc',
                      'third_party/upb/upb/port_undef.inc',
                      'third_party/upb/upb/reflection.h',
                      'third_party/upb/upb/reflection.hpp',
                      'third_party/upb/upb/status.h',
                      'third_party/upb/upb/table_internal.h',
                      'third_party/upb/upb/text_encode.h',
                      'third_party/upb/upb/upb.h',
                      'third_party/upb/upb/upb.hpp',
                      'third_party/xxhash/xxhash.h'

    ss.private_header_files = 'src/core/ext/filters/channel_idle/channel_idle_filter.h',
                              'src/core/ext/filters/channel_idle/idle_filter_state.h',
                              'src/core/ext/filters/client_channel/backend_metric.h',
                              'src/core/ext/filters/client_channel/backup_poller.h',
                              'src/core/ext/filters/client_channel/client_channel.h',
                              'src/core/ext/filters/client_channel/client_channel_channelz.h',
                              'src/core/ext/filters/client_channel/client_channel_factory.h',
                              'src/core/ext/filters/client_channel/client_channel_service_config.h',
                              'src/core/ext/filters/client_channel/config_selector.h',
                              'src/core/ext/filters/client_channel/connector.h',
                              'src/core/ext/filters/client_channel/dynamic_filters.h',
                              'src/core/ext/filters/client_channel/global_subchannel_pool.h',
                              'src/core/ext/filters/client_channel/health/health_check_client.h',
                              'src/core/ext/filters/client_channel/http_proxy.h',
                              'src/core/ext/filters/client_channel/lb_call_state_internal.h',
                              'src/core/ext/filters/client_channel/lb_policy/address_filtering.h',
                              'src/core/ext/filters/client_channel/lb_policy/backend_metric_data.h',
                              'src/core/ext/filters/client_channel/lb_policy/child_policy_handler.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/client_load_reporting_filter.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_balancer_addresses.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_client_stats.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/load_balancer_api.h',
                              'src/core/ext/filters/client_channel/lb_policy/oob_backend_metric.h',
                              'src/core/ext/filters/client_channel/lb_policy/outlier_detection/outlier_detection.h',
                              'src/core/ext/filters/client_channel/lb_policy/ring_hash/ring_hash.h',
                              'src/core/ext/filters/client_channel/lb_policy/subchannel_list.h',
                              'src/core/ext/filters/client_channel/lb_policy/xds/xds_attributes.h',
                              'src/core/ext/filters/client_channel/lb_policy/xds/xds_channel_args.h',
                              'src/core/ext/filters/client_channel/lb_policy/xds/xds_override_host.h',
                              'src/core/ext/filters/client_channel/local_subchannel_pool.h',
                              'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver.h',
                              'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper.h',
                              'src/core/ext/filters/client_channel/resolver/dns/dns_resolver_selection.h',
                              'src/core/ext/filters/client_channel/resolver/fake/fake_resolver.h',
                              'src/core/ext/filters/client_channel/resolver/polling_resolver.h',
                              'src/core/ext/filters/client_channel/resolver/xds/xds_resolver.h',
                              'src/core/ext/filters/client_channel/retry_filter.h',
                              'src/core/ext/filters/client_channel/retry_service_config.h',
                              'src/core/ext/filters/client_channel/retry_throttle.h',
                              'src/core/ext/filters/client_channel/subchannel.h',
                              'src/core/ext/filters/client_channel/subchannel_interface_internal.h',
                              'src/core/ext/filters/client_channel/subchannel_pool_interface.h',
                              'src/core/ext/filters/client_channel/subchannel_stream_client.h',
                              'src/core/ext/filters/deadline/deadline_filter.h',
                              'src/core/ext/filters/fault_injection/fault_injection_filter.h',
                              'src/core/ext/filters/fault_injection/fault_injection_service_config_parser.h',
                              'src/core/ext/filters/http/client/http_client_filter.h',
                              'src/core/ext/filters/http/client_authority_filter.h',
                              'src/core/ext/filters/http/message_compress/compression_filter.h',
                              'src/core/ext/filters/http/server/http_server_filter.h',
                              'src/core/ext/filters/message_size/message_size_filter.h',
                              'src/core/ext/filters/rbac/rbac_filter.h',
                              'src/core/ext/filters/rbac/rbac_service_config_parser.h',
                              'src/core/ext/filters/server_config_selector/server_config_selector.h',
                              'src/core/ext/filters/server_config_selector/server_config_selector_filter.h',
                              'src/core/ext/filters/stateful_session/stateful_session_filter.h',
                              'src/core/ext/filters/stateful_session/stateful_session_service_config_parser.h',
                              'src/core/ext/transport/binder/client/binder_connector.h',
                              'src/core/ext/transport/binder/client/channel_create_impl.h',
                              'src/core/ext/transport/binder/client/connection_id_generator.h',
                              'src/core/ext/transport/binder/client/endpoint_binder_pool.h',
                              'src/core/ext/transport/binder/client/jni_utils.h',
                              'src/core/ext/transport/binder/client/security_policy_setting.h',
                              'src/core/ext/transport/binder/server/binder_server.h',
                              'src/core/ext/transport/binder/transport/binder_stream.h',
                              'src/core/ext/transport/binder/transport/binder_transport.h',
                              'src/core/ext/transport/binder/utils/binder_auto_utils.h',
                              'src/core/ext/transport/binder/utils/ndk_binder.h',
                              'src/core/ext/transport/binder/utils/transport_stream_receiver.h',
                              'src/core/ext/transport/binder/utils/transport_stream_receiver_impl.h',
                              'src/core/ext/transport/binder/wire_format/binder.h',
                              'src/core/ext/transport/binder/wire_format/binder_android.h',
                              'src/core/ext/transport/binder/wire_format/binder_constants.h',
                              'src/core/ext/transport/binder/wire_format/transaction.h',
                              'src/core/ext/transport/binder/wire_format/wire_reader.h',
                              'src/core/ext/transport/binder/wire_format/wire_reader_impl.h',
                              'src/core/ext/transport/binder/wire_format/wire_writer.h',
                              'src/core/ext/transport/chttp2/alpn/alpn.h',
                              'src/core/ext/transport/chttp2/client/chttp2_connector.h',
                              'src/core/ext/transport/chttp2/server/chttp2_server.h',
                              'src/core/ext/transport/chttp2/transport/bin_decoder.h',
                              'src/core/ext/transport/chttp2/transport/bin_encoder.h',
                              'src/core/ext/transport/chttp2/transport/chttp2_transport.h',
                              'src/core/ext/transport/chttp2/transport/context_list.h',
                              'src/core/ext/transport/chttp2/transport/decode_huff.h',
                              'src/core/ext/transport/chttp2/transport/flow_control.h',
                              'src/core/ext/transport/chttp2/transport/frame.h',
                              'src/core/ext/transport/chttp2/transport/frame_data.h',
                              'src/core/ext/transport/chttp2/transport/frame_goaway.h',
                              'src/core/ext/transport/chttp2/transport/frame_ping.h',
                              'src/core/ext/transport/chttp2/transport/frame_rst_stream.h',
                              'src/core/ext/transport/chttp2/transport/frame_settings.h',
                              'src/core/ext/transport/chttp2/transport/frame_window_update.h',
                              'src/core/ext/transport/chttp2/transport/hpack_constants.h',
                              'src/core/ext/transport/chttp2/transport/hpack_encoder.h',
                              'src/core/ext/transport/chttp2/transport/hpack_encoder_table.h',
                              'src/core/ext/transport/chttp2/transport/hpack_parser.h',
                              'src/core/ext/transport/chttp2/transport/hpack_parser_table.h',
                              'src/core/ext/transport/chttp2/transport/http2_settings.h',
                              'src/core/ext/transport/chttp2/transport/http_trace.h',
                              'src/core/ext/transport/chttp2/transport/huffsyms.h',
                              'src/core/ext/transport/chttp2/transport/internal.h',
                              'src/core/ext/transport/chttp2/transport/stream_map.h',
                              'src/core/ext/transport/chttp2/transport/varint.h',
                              'src/core/ext/transport/inproc/inproc_transport.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/certs.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/clusters.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/config_dump.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/config_dump_shared.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/init_dump.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/listeners.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/memory.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/metrics.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/mutex_stats.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/server_info.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/tap.upb.h',
                              'src/core/ext/upb-generated/envoy/annotations/deprecation.upb.h',
                              'src/core/ext/upb-generated/envoy/annotations/resource.upb.h',
                              'src/core/ext/upb-generated/envoy/config/accesslog/v3/accesslog.upb.h',
                              'src/core/ext/upb-generated/envoy/config/bootstrap/v3/bootstrap.upb.h',
                              'src/core/ext/upb-generated/envoy/config/cluster/v3/circuit_breaker.upb.h',
                              'src/core/ext/upb-generated/envoy/config/cluster/v3/cluster.upb.h',
                              'src/core/ext/upb-generated/envoy/config/cluster/v3/filter.upb.h',
                              'src/core/ext/upb-generated/envoy/config/cluster/v3/outlier_detection.upb.h',
                              'src/core/ext/upb-generated/envoy/config/common/matcher/v3/matcher.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/address.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/backoff.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/base.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/config_source.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/event_service_config.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/extension.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/grpc_method_list.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/grpc_service.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/health_check.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/http_uri.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/protocol.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/proxy_protocol.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/resolver.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/socket_option.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/substitution_format_string.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/udp_socket_config.upb.h',
                              'src/core/ext/upb-generated/envoy/config/endpoint/v3/endpoint.upb.h',
                              'src/core/ext/upb-generated/envoy/config/endpoint/v3/endpoint_components.upb.h',
                              'src/core/ext/upb-generated/envoy/config/endpoint/v3/load_report.upb.h',
                              'src/core/ext/upb-generated/envoy/config/listener/v3/api_listener.upb.h',
                              'src/core/ext/upb-generated/envoy/config/listener/v3/listener.upb.h',
                              'src/core/ext/upb-generated/envoy/config/listener/v3/listener_components.upb.h',
                              'src/core/ext/upb-generated/envoy/config/listener/v3/quic_config.upb.h',
                              'src/core/ext/upb-generated/envoy/config/listener/v3/udp_listener_config.upb.h',
                              'src/core/ext/upb-generated/envoy/config/metrics/v3/metrics_service.upb.h',
                              'src/core/ext/upb-generated/envoy/config/metrics/v3/stats.upb.h',
                              'src/core/ext/upb-generated/envoy/config/overload/v3/overload.upb.h',
                              'src/core/ext/upb-generated/envoy/config/rbac/v3/rbac.upb.h',
                              'src/core/ext/upb-generated/envoy/config/route/v3/route.upb.h',
                              'src/core/ext/upb-generated/envoy/config/route/v3/route_components.upb.h',
                              'src/core/ext/upb-generated/envoy/config/route/v3/scoped_route.upb.h',
                              'src/core/ext/upb-generated/envoy/config/tap/v3/common.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/datadog.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/dynamic_ot.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/http_tracer.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/lightstep.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/opencensus.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/opentelemetry.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/service.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/skywalking.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/trace.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/xray.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/zipkin.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/clusters/aggregate/v3/cluster.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/common/fault/v3/fault.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/http/fault/v3/fault.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/http/rbac/v3/rbac.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/http/router/v3/router.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/http/stateful_session/v3/stateful_session.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/network/http_connection_manager/v3/http_connection_manager.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/http/stateful_session/cookie/v3/cookie.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/load_balancing_policies/ring_hash/v3/ring_hash.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/load_balancing_policies/wrr_locality/v3/wrr_locality.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/cert.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/common.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/secret.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/tls.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/tls_spiffe_validator_config.upb.h',
                              'src/core/ext/upb-generated/envoy/service/discovery/v3/ads.upb.h',
                              'src/core/ext/upb-generated/envoy/service/discovery/v3/discovery.upb.h',
                              'src/core/ext/upb-generated/envoy/service/load_stats/v3/lrs.upb.h',
                              'src/core/ext/upb-generated/envoy/service/status/v3/csds.upb.h',
                              'src/core/ext/upb-generated/envoy/type/http/v3/cookie.upb.h',
                              'src/core/ext/upb-generated/envoy/type/http/v3/path_transformation.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/http_inputs.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/metadata.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/node.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/number.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/path.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/regex.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/string.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/struct.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/value.upb.h',
                              'src/core/ext/upb-generated/envoy/type/metadata/v3/metadata.upb.h',
                              'src/core/ext/upb-generated/envoy/type/tracing/v3/custom_tag.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/hash_policy.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/http.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/http_status.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/percent.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/range.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/ratelimit_strategy.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/ratelimit_unit.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/semantic_version.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/token_bucket.upb.h',
                              'src/core/ext/upb-generated/google/api/annotations.upb.h',
                              'src/core/ext/upb-generated/google/api/expr/v1alpha1/checked.upb.h',
                              'src/core/ext/upb-generated/google/api/expr/v1alpha1/syntax.upb.h',
                              'src/core/ext/upb-generated/google/api/http.upb.h',
                              'src/core/ext/upb-generated/google/api/httpbody.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/any.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/descriptor.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/duration.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/empty.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/struct.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/timestamp.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/wrappers.upb.h',
                              'src/core/ext/upb-generated/google/rpc/status.upb.h',
                              'src/core/ext/upb-generated/opencensus/proto/trace/v1/trace_config.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/gcp/altscontext.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/gcp/handshaker.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/gcp/transport_security_common.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/health/v1/health.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/lb/v1/load_balancer.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/lookup/v1/rls.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/lookup/v1/rls_config.upb.h',
                              'src/core/ext/upb-generated/udpa/annotations/migrate.upb.h',
                              'src/core/ext/upb-generated/udpa/annotations/security.upb.h',
                              'src/core/ext/upb-generated/udpa/annotations/sensitive.upb.h',
                              'src/core/ext/upb-generated/udpa/annotations/status.upb.h',
                              'src/core/ext/upb-generated/udpa/annotations/versioning.upb.h',
                              'src/core/ext/upb-generated/validate/validate.upb.h',
                              'src/core/ext/upb-generated/xds/annotations/v3/migrate.upb.h',
                              'src/core/ext/upb-generated/xds/annotations/v3/security.upb.h',
                              'src/core/ext/upb-generated/xds/annotations/v3/sensitive.upb.h',
                              'src/core/ext/upb-generated/xds/annotations/v3/status.upb.h',
                              'src/core/ext/upb-generated/xds/annotations/v3/versioning.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/authority.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/cidr.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/collection_entry.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/context_params.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/extension.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/resource.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/resource_locator.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/resource_name.upb.h',
                              'src/core/ext/upb-generated/xds/data/orca/v3/orca_load_report.upb.h',
                              'src/core/ext/upb-generated/xds/service/orca/v3/orca.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/cel.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/domain.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/http_inputs.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/ip.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/matcher.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/range.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/regex.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/string.upb.h',
                              'src/core/ext/upb-generated/xds/type/v3/cel.upb.h',
                              'src/core/ext/upb-generated/xds/type/v3/range.upb.h',
                              'src/core/ext/upb-generated/xds/type/v3/typed_struct.upb.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/certs.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/clusters.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/config_dump.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/config_dump_shared.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/init_dump.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/listeners.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/memory.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/metrics.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/mutex_stats.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/server_info.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/tap.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/annotations/deprecation.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/annotations/resource.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/accesslog/v3/accesslog.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/bootstrap/v3/bootstrap.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/circuit_breaker.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/cluster.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/filter.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/outlier_detection.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/common/matcher/v3/matcher.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/address.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/backoff.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/base.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/config_source.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/event_service_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/extension.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/grpc_method_list.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/grpc_service.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/health_check.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/http_uri.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/protocol.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/proxy_protocol.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/resolver.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/socket_option.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/substitution_format_string.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/udp_socket_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/endpoint.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/endpoint_components.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/load_report.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/listener/v3/api_listener.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/listener/v3/listener.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/listener/v3/listener_components.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/listener/v3/quic_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/listener/v3/udp_listener_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/metrics/v3/metrics_service.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/metrics/v3/stats.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/overload/v3/overload.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/rbac/v3/rbac.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/route/v3/route.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/route/v3/route_components.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/route/v3/scoped_route.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/tap/v3/common.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/datadog.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/dynamic_ot.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/http_tracer.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/lightstep.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/opencensus.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/opentelemetry.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/service.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/skywalking.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/trace.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/xray.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/zipkin.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/clusters/aggregate/v3/cluster.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/common/fault/v3/fault.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/fault/v3/fault.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/rbac/v3/rbac.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/router/v3/router.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/stateful_session/v3/stateful_session.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/network/http_connection_manager/v3/http_connection_manager.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/http/stateful_session/cookie/v3/cookie.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/cert.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/common.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/secret.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/tls.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/tls_spiffe_validator_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/service/discovery/v3/ads.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/service/discovery/v3/discovery.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/service/load_stats/v3/lrs.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/service/status/v3/csds.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/http/v3/cookie.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/http/v3/path_transformation.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/http_inputs.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/metadata.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/node.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/number.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/path.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/regex.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/string.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/struct.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/value.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/metadata/v3/metadata.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/tracing/v3/custom_tag.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/hash_policy.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/http.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/http_status.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/percent.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/range.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/ratelimit_strategy.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/ratelimit_unit.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/semantic_version.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/token_bucket.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/api/annotations.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/api/expr/v1alpha1/checked.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/api/expr/v1alpha1/syntax.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/api/http.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/api/httpbody.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/any.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/descriptor.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/duration.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/empty.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/struct.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/timestamp.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/wrappers.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/rpc/status.upbdefs.h',
                              'src/core/ext/upbdefs-generated/opencensus/proto/trace/v1/trace_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/src/proto/grpc/lookup/v1/rls_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/udpa/annotations/migrate.upbdefs.h',
                              'src/core/ext/upbdefs-generated/udpa/annotations/security.upbdefs.h',
                              'src/core/ext/upbdefs-generated/udpa/annotations/sensitive.upbdefs.h',
                              'src/core/ext/upbdefs-generated/udpa/annotations/status.upbdefs.h',
                              'src/core/ext/upbdefs-generated/udpa/annotations/versioning.upbdefs.h',
                              'src/core/ext/upbdefs-generated/validate/validate.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/annotations/v3/migrate.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/annotations/v3/security.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/annotations/v3/sensitive.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/annotations/v3/status.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/annotations/v3/versioning.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/authority.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/cidr.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/collection_entry.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/context_params.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/extension.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/resource.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/resource_locator.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/resource_name.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/cel.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/domain.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/http_inputs.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/ip.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/matcher.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/range.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/regex.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/string.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/v3/cel.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/v3/range.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/v3/typed_struct.upbdefs.h',
                              'src/core/ext/xds/certificate_provider_store.h',
                              'src/core/ext/xds/file_watcher_certificate_provider_factory.h',
                              'src/core/ext/xds/upb_utils.h',
                              'src/core/ext/xds/xds_api.h',
                              'src/core/ext/xds/xds_bootstrap.h',
                              'src/core/ext/xds/xds_bootstrap_grpc.h',
                              'src/core/ext/xds/xds_certificate_provider.h',
                              'src/core/ext/xds/xds_channel_args.h',
                              'src/core/ext/xds/xds_channel_stack_modifier.h',
                              'src/core/ext/xds/xds_client.h',
                              'src/core/ext/xds/xds_client_grpc.h',
                              'src/core/ext/xds/xds_client_stats.h',
                              'src/core/ext/xds/xds_cluster.h',
                              'src/core/ext/xds/xds_cluster_specifier_plugin.h',
                              'src/core/ext/xds/xds_common_types.h',
                              'src/core/ext/xds/xds_endpoint.h',
                              'src/core/ext/xds/xds_health_status.h',
                              'src/core/ext/xds/xds_http_fault_filter.h',
                              'src/core/ext/xds/xds_http_filters.h',
                              'src/core/ext/xds/xds_http_rbac_filter.h',
                              'src/core/ext/xds/xds_http_stateful_session_filter.h',
                              'src/core/ext/xds/xds_lb_policy_registry.h',
                              'src/core/ext/xds/xds_listener.h',
                              'src/core/ext/xds/xds_resource_type.h',
                              'src/core/ext/xds/xds_resource_type_impl.h',
                              'src/core/ext/xds/xds_route_config.h',
                              'src/core/ext/xds/xds_routing.h',
                              'src/core/ext/xds/xds_transport.h',
                              'src/core/ext/xds/xds_transport_grpc.h',
                              'src/core/lib/address_utils/parse_address.h',
                              'src/core/lib/address_utils/sockaddr_utils.h',
                              'src/core/lib/avl/avl.h',
                              'src/core/lib/backoff/backoff.h',
                              'src/core/lib/channel/call_finalization.h',
                              'src/core/lib/channel/call_tracer.h',
                              'src/core/lib/channel/channel_args.h',
                              'src/core/lib/channel/channel_args_preconditioning.h',
                              'src/core/lib/channel/channel_fwd.h',
                              'src/core/lib/channel/channel_stack.h',
                              'src/core/lib/channel/channel_stack_builder.h',
                              'src/core/lib/channel/channel_stack_builder_impl.h',
                              'src/core/lib/channel/channel_trace.h',
                              'src/core/lib/channel/channelz.h',
                              'src/core/lib/channel/channelz_registry.h',
                              'src/core/lib/channel/connected_channel.h',
                              'src/core/lib/channel/context.h',
                              'src/core/lib/channel/promise_based_filter.h',
                              'src/core/lib/channel/status_util.h',
                              'src/core/lib/compression/compression_internal.h',
                              'src/core/lib/compression/message_compress.h',
                              'src/core/lib/config/core_configuration.h',
                              'src/core/lib/debug/event_log.h',
                              'src/core/lib/debug/histogram_view.h',
                              'src/core/lib/debug/stats.h',
                              'src/core/lib/debug/stats_data.h',
                              'src/core/lib/debug/trace.h',
                              'src/core/lib/event_engine/channel_args_endpoint_config.h',
                              'src/core/lib/event_engine/common_closures.h',
                              'src/core/lib/event_engine/default_event_engine.h',
                              'src/core/lib/event_engine/default_event_engine_factory.h',
                              'src/core/lib/event_engine/executor/executor.h',
                              'src/core/lib/event_engine/forkable.h',
                              'src/core/lib/event_engine/handle_containers.h',
                              'src/core/lib/event_engine/poller.h',
                              'src/core/lib/event_engine/posix_engine/ev_epoll1_linux.h',
                              'src/core/lib/event_engine/posix_engine/ev_poll_posix.h',
                              'src/core/lib/event_engine/posix_engine/event_poller.h',
                              'src/core/lib/event_engine/posix_engine/event_poller_posix_default.h',
                              'src/core/lib/event_engine/posix_engine/internal_errqueue.h',
                              'src/core/lib/event_engine/posix_engine/lockfree_event.h',
                              'src/core/lib/event_engine/posix_engine/posix_endpoint.h',
                              'src/core/lib/event_engine/posix_engine/posix_engine.h',
                              'src/core/lib/event_engine/posix_engine/posix_engine_closure.h',
                              'src/core/lib/event_engine/posix_engine/posix_engine_listener.h',
                              'src/core/lib/event_engine/posix_engine/posix_engine_listener_utils.h',
                              'src/core/lib/event_engine/posix_engine/tcp_socket_utils.h',
                              'src/core/lib/event_engine/posix_engine/timer.h',
                              'src/core/lib/event_engine/posix_engine/timer_heap.h',
                              'src/core/lib/event_engine/posix_engine/timer_manager.h',
                              'src/core/lib/event_engine/posix_engine/traced_buffer_list.h',
                              'src/core/lib/event_engine/posix_engine/wakeup_fd_eventfd.h',
                              'src/core/lib/event_engine/posix_engine/wakeup_fd_pipe.h',
                              'src/core/lib/event_engine/posix_engine/wakeup_fd_posix.h',
                              'src/core/lib/event_engine/posix_engine/wakeup_fd_posix_default.h',
                              'src/core/lib/event_engine/socket_notifier.h',
                              'src/core/lib/event_engine/tcp_socket_utils.h',
                              'src/core/lib/event_engine/thread_pool.h',
                              'src/core/lib/event_engine/time_util.h',
                              'src/core/lib/event_engine/trace.h',
                              'src/core/lib/event_engine/utils.h',
                              'src/core/lib/event_engine/windows/iocp.h',
                              'src/core/lib/event_engine/windows/win_socket.h',
                              'src/core/lib/event_engine/windows/windows_engine.h',
                              'src/core/lib/experiments/config.h',
                              'src/core/lib/experiments/experiments.h',
                              'src/core/lib/gpr/alloc.h',
                              'src/core/lib/gpr/spinlock.h',
                              'src/core/lib/gpr/string.h',
                              'src/core/lib/gpr/time_precise.h',
                              'src/core/lib/gpr/tmpfile.h',
                              'src/core/lib/gpr/useful.h',
                              'src/core/lib/gprpp/atomic_utils.h',
                              'src/core/lib/gprpp/bitset.h',
                              'src/core/lib/gprpp/chunked_vector.h',
                              'src/core/lib/gprpp/construct_destruct.h',
                              'src/core/lib/gprpp/cpp_impl_of.h',
                              'src/core/lib/gprpp/crash.h',
                              'src/core/lib/gprpp/debug_location.h',
                              'src/core/lib/gprpp/dual_ref_counted.h',
                              'src/core/lib/gprpp/env.h',
                              'src/core/lib/gprpp/examine_stack.h',
                              'src/core/lib/gprpp/fork.h',
                              'src/core/lib/gprpp/global_config.h',
                              'src/core/lib/gprpp/global_config_custom.h',
                              'src/core/lib/gprpp/global_config_env.h',
                              'src/core/lib/gprpp/global_config_generic.h',
                              'src/core/lib/gprpp/host_port.h',
                              'src/core/lib/gprpp/load_file.h',
                              'src/core/lib/gprpp/manual_constructor.h',
                              'src/core/lib/gprpp/match.h',
                              'src/core/lib/gprpp/memory.h',
                              'src/core/lib/gprpp/mpscq.h',
                              'src/core/lib/gprpp/no_destruct.h',
                              'src/core/lib/gprpp/notification.h',
                              'src/core/lib/gprpp/orphanable.h',
                              'src/core/lib/gprpp/overload.h',
                              'src/core/lib/gprpp/packed_table.h',
                              'src/core/lib/gprpp/per_cpu.h',
                              'src/core/lib/gprpp/ref_counted.h',
                              'src/core/lib/gprpp/ref_counted_ptr.h',
                              'src/core/lib/gprpp/single_set_ptr.h',
                              'src/core/lib/gprpp/sorted_pack.h',
                              'src/core/lib/gprpp/stat.h',
                              'src/core/lib/gprpp/status_helper.h',
                              'src/core/lib/gprpp/strerror.h',
                              'src/core/lib/gprpp/sync.h',
                              'src/core/lib/gprpp/table.h',
                              'src/core/lib/gprpp/tchar.h',
                              'src/core/lib/gprpp/thd.h',
                              'src/core/lib/gprpp/time.h',
                              'src/core/lib/gprpp/time_averaged_stats.h',
                              'src/core/lib/gprpp/time_util.h',
                              'src/core/lib/gprpp/unique_type_name.h',
                              'src/core/lib/gprpp/validation_errors.h',
                              'src/core/lib/gprpp/work_serializer.h',
                              'src/core/lib/handshaker/proxy_mapper.h',
                              'src/core/lib/handshaker/proxy_mapper_registry.h',
                              'src/core/lib/http/format_request.h',
                              'src/core/lib/http/httpcli.h',
                              'src/core/lib/http/httpcli_ssl_credentials.h',
                              'src/core/lib/http/parser.h',
                              'src/core/lib/iomgr/block_annotate.h',
                              'src/core/lib/iomgr/buffer_list.h',
                              'src/core/lib/iomgr/call_combiner.h',
                              'src/core/lib/iomgr/cfstream_handle.h',
                              'src/core/lib/iomgr/closure.h',
                              'src/core/lib/iomgr/combiner.h',
                              'src/core/lib/iomgr/dynamic_annotations.h',
                              'src/core/lib/iomgr/endpoint.h',
                              'src/core/lib/iomgr/endpoint_cfstream.h',
                              'src/core/lib/iomgr/endpoint_pair.h',
                              'src/core/lib/iomgr/error.h',
                              'src/core/lib/iomgr/error_cfstream.h',
                              'src/core/lib/iomgr/ev_apple.h',
                              'src/core/lib/iomgr/ev_epoll1_linux.h',
                              'src/core/lib/iomgr/ev_poll_posix.h',
                              'src/core/lib/iomgr/ev_posix.h',
                              'src/core/lib/iomgr/exec_ctx.h',
                              'src/core/lib/iomgr/executor.h',
                              'src/core/lib/iomgr/gethostname.h',
                              'src/core/lib/iomgr/grpc_if_nametoindex.h',
                              'src/core/lib/iomgr/internal_errqueue.h',
                              'src/core/lib/iomgr/iocp_windows.h',
                              'src/core/lib/iomgr/iomgr.h',
                              'src/core/lib/iomgr/iomgr_fwd.h',
                              'src/core/lib/iomgr/iomgr_internal.h',
                              'src/core/lib/iomgr/load_file.h',
                              'src/core/lib/iomgr/lockfree_event.h',
                              'src/core/lib/iomgr/nameser.h',
                              'src/core/lib/iomgr/polling_entity.h',
                              'src/core/lib/iomgr/pollset.h',
                              'src/core/lib/iomgr/pollset_set.h',
                              'src/core/lib/iomgr/pollset_set_windows.h',
                              'src/core/lib/iomgr/pollset_windows.h',
                              'src/core/lib/iomgr/port.h',
                              'src/core/lib/iomgr/python_util.h',
                              'src/core/lib/iomgr/resolve_address.h',
                              'src/core/lib/iomgr/resolve_address_impl.h',
                              'src/core/lib/iomgr/resolve_address_posix.h',
                              'src/core/lib/iomgr/resolve_address_windows.h',
                              'src/core/lib/iomgr/resolved_address.h',
                              'src/core/lib/iomgr/sockaddr.h',
                              'src/core/lib/iomgr/sockaddr_posix.h',
                              'src/core/lib/iomgr/sockaddr_windows.h',
                              'src/core/lib/iomgr/socket_factory_posix.h',
                              'src/core/lib/iomgr/socket_mutator.h',
                              'src/core/lib/iomgr/socket_utils.h',
                              'src/core/lib/iomgr/socket_utils_posix.h',
                              'src/core/lib/iomgr/socket_windows.h',
                              'src/core/lib/iomgr/systemd_utils.h',
                              'src/core/lib/iomgr/tcp_client.h',
                              'src/core/lib/iomgr/tcp_client_posix.h',
                              'src/core/lib/iomgr/tcp_posix.h',
                              'src/core/lib/iomgr/tcp_server.h',
                              'src/core/lib/iomgr/tcp_server_utils_posix.h',
                              'src/core/lib/iomgr/tcp_windows.h',
                              'src/core/lib/iomgr/timer.h',
                              'src/core/lib/iomgr/timer_generic.h',
                              'src/core/lib/iomgr/timer_heap.h',
                              'src/core/lib/iomgr/timer_manager.h',
                              'src/core/lib/iomgr/unix_sockets_posix.h',
                              'src/core/lib/iomgr/wakeup_fd_pipe.h',
                              'src/core/lib/iomgr/wakeup_fd_posix.h',
                              'src/core/lib/json/json.h',
                              'src/core/lib/json/json_args.h',
                              'src/core/lib/json/json_channel_args.h',
                              'src/core/lib/json/json_object_loader.h',
                              'src/core/lib/json/json_util.h',
                              'src/core/lib/load_balancing/lb_policy.h',
                              'src/core/lib/load_balancing/lb_policy_factory.h',
                              'src/core/lib/load_balancing/lb_policy_registry.h',
                              'src/core/lib/load_balancing/subchannel_interface.h',
                              'src/core/lib/matchers/matchers.h',
                              'src/core/lib/promise/activity.h',
                              'src/core/lib/promise/arena_promise.h',
                              'src/core/lib/promise/context.h',
                              'src/core/lib/promise/detail/basic_seq.h',
                              'src/core/lib/promise/detail/promise_factory.h',
                              'src/core/lib/promise/detail/promise_like.h',
                              'src/core/lib/promise/detail/status.h',
                              'src/core/lib/promise/detail/switch.h',
                              'src/core/lib/promise/exec_ctx_wakeup_scheduler.h',
                              'src/core/lib/promise/for_each.h',
                              'src/core/lib/promise/intra_activity_waiter.h',
                              'src/core/lib/promise/latch.h',
                              'src/core/lib/promise/loop.h',
                              'src/core/lib/promise/map.h',
                              'src/core/lib/promise/map_pipe.h',
                              'src/core/lib/promise/pipe.h',
                              'src/core/lib/promise/poll.h',
                              'src/core/lib/promise/promise.h',
                              'src/core/lib/promise/race.h',
                              'src/core/lib/promise/seq.h',
                              'src/core/lib/promise/sleep.h',
                              'src/core/lib/promise/try_concurrently.h',
                              'src/core/lib/promise/try_seq.h',
                              'src/core/lib/resolver/resolver.h',
                              'src/core/lib/resolver/resolver_factory.h',
                              'src/core/lib/resolver/resolver_registry.h',
                              'src/core/lib/resolver/server_address.h',
                              'src/core/lib/resource_quota/api.h',
                              'src/core/lib/resource_quota/arena.h',
                              'src/core/lib/resource_quota/memory_quota.h',
                              'src/core/lib/resource_quota/periodic_update.h',
                              'src/core/lib/resource_quota/resource_quota.h',
                              'src/core/lib/resource_quota/thread_quota.h',
                              'src/core/lib/resource_quota/trace.h',
                              'src/core/lib/security/authorization/authorization_engine.h',
                              'src/core/lib/security/authorization/authorization_policy_provider.h',
                              'src/core/lib/security/authorization/evaluate_args.h',
                              'src/core/lib/security/authorization/grpc_authorization_engine.h',
                              'src/core/lib/security/authorization/grpc_server_authz_filter.h',
                              'src/core/lib/security/authorization/matchers.h',
                              'src/core/lib/security/authorization/rbac_policy.h',
                              'src/core/lib/security/certificate_provider/certificate_provider_factory.h',
                              'src/core/lib/security/certificate_provider/certificate_provider_registry.h',
                              'src/core/lib/security/context/security_context.h',
                              'src/core/lib/security/credentials/alts/alts_credentials.h',
                              'src/core/lib/security/credentials/alts/check_gcp_environment.h',
                              'src/core/lib/security/credentials/alts/grpc_alts_credentials_options.h',
                              'src/core/lib/security/credentials/call_creds_util.h',
                              'src/core/lib/security/credentials/channel_creds_registry.h',
                              'src/core/lib/security/credentials/composite/composite_credentials.h',
                              'src/core/lib/security/credentials/credentials.h',
                              'src/core/lib/security/credentials/external/aws_external_account_credentials.h',
                              'src/core/lib/security/credentials/external/aws_request_signer.h',
                              'src/core/lib/security/credentials/external/external_account_credentials.h',
                              'src/core/lib/security/credentials/external/file_external_account_credentials.h',
                              'src/core/lib/security/credentials/external/url_external_account_credentials.h',
                              'src/core/lib/security/credentials/fake/fake_credentials.h',
                              'src/core/lib/security/credentials/google_default/google_default_credentials.h',
                              'src/core/lib/security/credentials/iam/iam_credentials.h',
                              'src/core/lib/security/credentials/insecure/insecure_credentials.h',
                              'src/core/lib/security/credentials/jwt/json_token.h',
                              'src/core/lib/security/credentials/jwt/jwt_credentials.h',
                              'src/core/lib/security/credentials/jwt/jwt_verifier.h',
                              'src/core/lib/security/credentials/local/local_credentials.h',
                              'src/core/lib/security/credentials/oauth2/oauth2_credentials.h',
                              'src/core/lib/security/credentials/plugin/plugin_credentials.h',
                              'src/core/lib/security/credentials/ssl/ssl_credentials.h',
                              'src/core/lib/security/credentials/tls/grpc_tls_certificate_distributor.h',
                              'src/core/lib/security/credentials/tls/grpc_tls_certificate_provider.h',
                              'src/core/lib/security/credentials/tls/grpc_tls_certificate_verifier.h',
                              'src/core/lib/security/credentials/tls/grpc_tls_credentials_options.h',
                              'src/core/lib/security/credentials/tls/tls_credentials.h',
                              'src/core/lib/security/credentials/tls/tls_utils.h',
                              'src/core/lib/security/credentials/xds/xds_credentials.h',
                              'src/core/lib/security/security_connector/alts/alts_security_connector.h',
                              'src/core/lib/security/security_connector/fake/fake_security_connector.h',
                              'src/core/lib/security/security_connector/insecure/insecure_security_connector.h',
                              'src/core/lib/security/security_connector/load_system_roots.h',
                              'src/core/lib/security/security_connector/load_system_roots_supported.h',
                              'src/core/lib/security/security_connector/local/local_security_connector.h',
                              'src/core/lib/security/security_connector/security_connector.h',
                              'src/core/lib/security/security_connector/ssl/ssl_security_connector.h',
                              'src/core/lib/security/security_connector/ssl_utils.h',
                              'src/core/lib/security/security_connector/ssl_utils_config.h',
                              'src/core/lib/security/security_connector/tls/tls_security_connector.h',
                              'src/core/lib/security/transport/auth_filters.h',
                              'src/core/lib/security/transport/secure_endpoint.h',
                              'src/core/lib/security/transport/security_handshaker.h',
                              'src/core/lib/security/transport/tsi_error.h',
                              'src/core/lib/security/util/json_util.h',
                              'src/core/lib/service_config/service_config.h',
                              'src/core/lib/service_config/service_config_call_data.h',
                              'src/core/lib/service_config/service_config_impl.h',
                              'src/core/lib/service_config/service_config_parser.h',
                              'src/core/lib/slice/b64.h',
                              'src/core/lib/slice/percent_encoding.h',
                              'src/core/lib/slice/slice.h',
                              'src/core/lib/slice/slice_buffer.h',
                              'src/core/lib/slice/slice_internal.h',
                              'src/core/lib/slice/slice_refcount.h',
                              'src/core/lib/slice/slice_string_helpers.h',
                              'src/core/lib/surface/api_trace.h',
                              'src/core/lib/surface/builtins.h',
                              'src/core/lib/surface/call.h',
                              'src/core/lib/surface/call_test_only.h',
                              'src/core/lib/surface/call_trace.h',
                              'src/core/lib/surface/channel.h',
                              'src/core/lib/surface/channel_init.h',
                              'src/core/lib/surface/channel_stack_type.h',
                              'src/core/lib/surface/completion_queue.h',
                              'src/core/lib/surface/completion_queue_factory.h',
                              'src/core/lib/surface/event_string.h',
                              'src/core/lib/surface/init.h',
                              'src/core/lib/surface/init_internally.h',
                              'src/core/lib/surface/lame_client.h',
                              'src/core/lib/surface/server.h',
                              'src/core/lib/surface/validate_metadata.h',
                              'src/core/lib/transport/bdp_estimator.h',
                              'src/core/lib/transport/connectivity_state.h',
                              'src/core/lib/transport/error_utils.h',
                              'src/core/lib/transport/handshaker.h',
                              'src/core/lib/transport/handshaker_factory.h',
                              'src/core/lib/transport/handshaker_registry.h',
                              'src/core/lib/transport/http2_errors.h',
                              'src/core/lib/transport/http_connect_handshaker.h',
                              'src/core/lib/transport/metadata_batch.h',
                              'src/core/lib/transport/parsed_metadata.h',
                              'src/core/lib/transport/pid_controller.h',
                              'src/core/lib/transport/status_conversion.h',
                              'src/core/lib/transport/tcp_connect_handshaker.h',
                              'src/core/lib/transport/timeout_encoding.h',
                              'src/core/lib/transport/transport.h',
                              'src/core/lib/transport/transport_fwd.h',
                              'src/core/lib/transport/transport_impl.h',
                              'src/core/lib/uri/uri_parser.h',
                              'src/core/tsi/alts/crypt/gsec.h',
                              'src/core/tsi/alts/frame_protector/alts_counter.h',
                              'src/core/tsi/alts/frame_protector/alts_crypter.h',
                              'src/core/tsi/alts/frame_protector/alts_frame_protector.h',
                              'src/core/tsi/alts/frame_protector/alts_record_protocol_crypter_common.h',
                              'src/core/tsi/alts/frame_protector/frame_handler.h',
                              'src/core/tsi/alts/handshaker/alts_handshaker_client.h',
                              'src/core/tsi/alts/handshaker/alts_shared_resource.h',
                              'src/core/tsi/alts/handshaker/alts_tsi_handshaker.h',
                              'src/core/tsi/alts/handshaker/alts_tsi_handshaker_private.h',
                              'src/core/tsi/alts/handshaker/alts_tsi_utils.h',
                              'src/core/tsi/alts/handshaker/transport_security_common_api.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_integrity_only_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_privacy_integrity_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol_common.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_iovec_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_zero_copy_grpc_protector.h',
                              'src/core/tsi/fake_transport_security.h',
                              'src/core/tsi/local_transport_security.h',
                              'src/core/tsi/ssl/key_logging/ssl_key_logging.h',
                              'src/core/tsi/ssl/session_cache/ssl_session.h',
                              'src/core/tsi/ssl/session_cache/ssl_session_cache.h',
                              'src/core/tsi/ssl_transport_security.h',
                              'src/core/tsi/ssl_transport_security_utils.h',
                              'src/core/tsi/ssl_types.h',
                              'src/core/tsi/transport_security.h',
                              'src/core/tsi/transport_security_grpc.h',
                              'src/core/tsi/transport_security_interface.h',
                              'src/cpp/client/create_channel_internal.h',
                              'src/cpp/client/secure_credentials.h',
                              'src/cpp/common/channel_filter.h',
                              'src/cpp/common/secure_auth_context.h',
                              'src/cpp/server/dynamic_thread_pool.h',
                              'src/cpp/server/external_connection_acceptor_impl.h',
                              'src/cpp/server/health/default_health_check_service.h',
                              'src/cpp/server/secure_server_credentials.h',
                              'src/cpp/server/thread_pool_interface.h',
                              'src/cpp/thread_manager/thread_manager.h',
                              'third_party/re2/re2/bitmap256.h',
                              'third_party/re2/re2/filtered_re2.h',
                              'third_party/re2/re2/pod_array.h',
                              'third_party/re2/re2/prefilter.h',
                              'third_party/re2/re2/prefilter_tree.h',
                              'third_party/re2/re2/prog.h',
                              'third_party/re2/re2/re2.h',
                              'third_party/re2/re2/regexp.h',
                              'third_party/re2/re2/set.h',
                              'third_party/re2/re2/sparse_array.h',
                              'third_party/re2/re2/sparse_set.h',
                              'third_party/re2/re2/stringpiece.h',
                              'third_party/re2/re2/unicode_casefold.h',
                              'third_party/re2/re2/unicode_groups.h',
                              'third_party/re2/re2/walker-inl.h',
                              'third_party/re2/util/benchmark.h',
                              'third_party/re2/util/flags.h',
                              'third_party/re2/util/logging.h',
                              'third_party/re2/util/malloc_counter.h',
                              'third_party/re2/util/mix.h',
                              'third_party/re2/util/mutex.h',
                              'third_party/re2/util/pcre.h',
                              'third_party/re2/util/strutil.h',
                              'third_party/re2/util/test.h',
                              'third_party/re2/util/utf.h',
                              'third_party/re2/util/util.h',
                              'third_party/upb/third_party/utf8_range/utf8_range.h',
                              'third_party/upb/upb/arena.h',
                              'third_party/upb/upb/array.h',
                              'third_party/upb/upb/collections.h',
                              'third_party/upb/upb/decode.h',
                              'third_party/upb/upb/decode_fast.h',
                              'third_party/upb/upb/def.h',
                              'third_party/upb/upb/def.hpp',
                              'third_party/upb/upb/encode.h',
                              'third_party/upb/upb/extension_registry.h',
                              'third_party/upb/upb/internal/decode.h',
                              'third_party/upb/upb/internal/table.h',
                              'third_party/upb/upb/internal/upb.h',
                              'third_party/upb/upb/internal/vsnprintf_compat.h',
                              'third_party/upb/upb/json_decode.h',
                              'third_party/upb/upb/json_encode.h',
                              'third_party/upb/upb/map.h',
                              'third_party/upb/upb/message_value.h',
                              'third_party/upb/upb/mini_table.h',
                              'third_party/upb/upb/mini_table.hpp',
                              'third_party/upb/upb/msg.h',
                              'third_party/upb/upb/msg_internal.h',
                              'third_party/upb/upb/port_def.inc',
                              'third_party/upb/upb/port_undef.inc',
                              'third_party/upb/upb/reflection.h',
                              'third_party/upb/upb/reflection.hpp',
                              'third_party/upb/upb/status.h',
                              'third_party/upb/upb/table_internal.h',
                              'third_party/upb/upb/text_encode.h',
                              'third_party/upb/upb/upb.h',
                              'third_party/upb/upb/upb.hpp',
                              'third_party/xxhash/xxhash.h'
  end

  s.subspec 'Protobuf' do |ss|
    ss.header_mappings_dir = 'include/grpcpp'
    ss.dependency "#{s.name}/Interface", version

    ss.source_files = 'include/grpcpp/impl/codegen/config_protobuf.h',
                      'include/grpcpp/impl/codegen/proto_buffer_reader.h',
                      'include/grpcpp/impl/codegen/proto_buffer_writer.h',
                      'include/grpcpp/impl/codegen/proto_utils.h'
  end

  s.subspec 'Cronet-Interface' do |ss|
    ss.header_mappings_dir = 'include/grpcpp'
    ss.public_header_files = "include/grpcpp/security/cronet_credentials.h",
                             "include/grpcpp/security/cronet_credentials_impl.h"
    ss.source_files = "include/grpcpp/security/cronet_credentials.h",
                      "include/grpcpp/security/cronet_credentials_impl.h"
  end

  s.subspec 'Cronet-Implementation' do |ss|
    ss.header_mappings_dir = '.'
    ss.dependency "#{s.name}/Cronet-Interface", version
    ss.dependency "#{s.name}/Implementation", version

    ss.dependency 'gRPC-Core/Cronet-Implementation', version

    ss.source_files = "src/cpp/client/cronet_credentials.cc"
  end

  # patch include of openssl to openssl_grpc
  s.prepare_command = <<-END_OF_COMMAND
    set -e
    find src/core -type f \\( -path '*.h' -or -path '*.cc' \\) -print0 | xargs -0 -L1 sed -E -i'.grpc_back' 's;#include <openssl/(.*)>;#if COCOAPODS==1\\\n  #include <openssl_grpc/\\1>\\\n#else\\\n  #include <openssl/\\1>\\\n#endif;g'
    find src/core/ -type f -name '*.grpc_back' -print0 | xargs -0 rm
  END_OF_COMMAND
end
