# This file has been automatically generated from a template file.
# Please make modifications to `templates/gRPC-Core.podspec.template`
# instead. This file can be regenerated from the template by running
# `tools/buildgen/generate_projects.sh`.

# gRPC Core CocoaPods podspec
#
# Copyright 2015 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

Pod::Spec.new do |s|
  s.name     = 'gRPC-Core'
  version = '1.52.2'
  s.version  = version
  s.summary  = 'Core cross-platform gRPC library, written in C'
  s.homepage = 'https://grpc.io'
  s.license  = 'Apache License, Version 2.0'
  s.authors  = { 'The gRPC contributors' => 'grpc-packages@google.com' }

  s.source = {
    :git => 'https://github.com/grpc/grpc.git',
    :tag => "v#{version}",
    :submodules => true,
  }

  # gRPC podspecs depend on fix for https://github.com/CocoaPods/CocoaPods/issues/6024,
  # which was released in Cocoapods v1.2.0.
  s.cocoapods_version = '>= 1.2.0'

  s.ios.deployment_target = '9.0'
  s.osx.deployment_target = '10.10'
  s.tvos.deployment_target = '10.0'
  s.watchos.deployment_target = '4.0'

  s.requires_arc = false

  name = 'grpc'
  abseil_version = '1.20220623.0'

  # When creating a dynamic framework, name it grpc.framework instead of gRPC-Core.framework.
  # This lets users write their includes like `#include <grpc/grpc.h>` as opposed to `#include
  # <gRPC-Core/grpc.h>`.
  s.module_name = name

  # When creating a dynamic framework, copy the headers under `include/grpc/` into the root of
  # the `Headers/` directory of the framework (i.e., not under `Headers/include/grpc`).
  #
  # TODO(jcanizales): Debug why this doesn't work on macOS.
  s.header_mappings_dir = 'include/grpc'

  # The above has an undesired effect when creating a static library: It forces users to write
  # includes like `#include <gRPC-Core/grpc.h>`. `s.header_dir` adds a path prefix to that, and
  # because Cocoapods lets omit the pod name when including headers of static libraries, the
  # following lets users write `#include <grpc/grpc.h>`.
  s.header_dir = name

  # The module map created automatically by Cocoapods doesn't work for C libraries like gRPC-Core.
  s.module_map = 'include/grpc/module.modulemap'

  # To compile the library, we need the user headers search path (quoted includes) to point to the
  # root of the repo, third_party/** and two upb generated directories, and the system headers
  # search path (angled includes) to point to `include/`.
  s.pod_target_xcconfig = {
    'HEADER_SEARCH_PATHS' => '"$(inherited)" "$(PODS_TARGET_SRCROOT)/include"',
    'USER_HEADER_SEARCH_PATHS' => '"$(PODS_TARGET_SRCROOT)"'\
        ' "$(PODS_TARGET_SRCROOT)/src/core/ext/upb-generated"'\
        ' "$(PODS_TARGET_SRCROOT)/src/core/ext/upbdefs-generated"'\
        ' "$(PODS_TARGET_SRCROOT)/third_party/**"',
    # If we don't set these two settings, `include/grpc/support/time.h` and
    # `src/core/lib/gpr/string.h` shadow the system `<time.h>` and `<string.h>`, breaking the
    # build.
    'USE_HEADERMAP' => 'NO',
    'ALWAYS_SEARCH_USER_PATHS' => 'NO',
    'GCC_PREPROCESSOR_DEFINITIONS' => '"$(inherited)" "COCOAPODS=1"',
    'CLANG_WARN_STRICT_PROTOTYPES' => 'NO',
    'CLANG_CXX_LANGUAGE_STANDARD' => 'c++14',
  }

  s.default_subspecs = 'Interface', 'Implementation'
  s.compiler_flags = '-DGRPC_ARES=0 -Wno-comma'
  s.libraries = 'c++'

  # Like many other C libraries, gRPC-Core has its public headers under `include/<libname>/` and its
  # sources and private headers in other directories outside `include/`. Cocoapods' linter doesn't
  # allow any header to be listed outside the `header_mappings_dir` (even though doing so works in
  # practice). Because we need our `header_mappings_dir` to be `include/grpc/` for the reason
  # mentioned above, we work around the linter limitation by dividing the pod into two subspecs, one
  # for public headers and the other for implementation. Each gets its own `header_mappings_dir`,
  # making the linter happy.
  #
  # The list of source files is generated by a template: `templates/gRPC-Core.podspec.template`. It
  # can be regenerated from the template by running `tools/buildgen/generate_projects.sh`.
  s.subspec 'Interface' do |ss|
    ss.header_mappings_dir = 'include/grpc'

    ss.source_files = 'include/grpc/byte_buffer.h',
                      'include/grpc/byte_buffer_reader.h',
                      'include/grpc/census.h',
                      'include/grpc/compression.h',
                      'include/grpc/event_engine/endpoint_config.h',
                      'include/grpc/event_engine/event_engine.h',
                      'include/grpc/event_engine/internal/memory_allocator_impl.h',
                      'include/grpc/event_engine/internal/slice_cast.h',
                      'include/grpc/event_engine/memory_allocator.h',
                      'include/grpc/event_engine/memory_request.h',
                      'include/grpc/event_engine/port.h',
                      'include/grpc/event_engine/slice.h',
                      'include/grpc/event_engine/slice_buffer.h',
                      'include/grpc/fork.h',
                      'include/grpc/grpc.h',
                      'include/grpc/grpc_posix.h',
                      'include/grpc/grpc_security.h',
                      'include/grpc/grpc_security_constants.h',
                      'include/grpc/impl/codegen/atm.h',
                      'include/grpc/impl/codegen/atm_gcc_atomic.h',
                      'include/grpc/impl/codegen/atm_gcc_sync.h',
                      'include/grpc/impl/codegen/atm_windows.h',
                      'include/grpc/impl/codegen/byte_buffer.h',
                      'include/grpc/impl/codegen/byte_buffer_reader.h',
                      'include/grpc/impl/codegen/compression_types.h',
                      'include/grpc/impl/codegen/connectivity_state.h',
                      'include/grpc/impl/codegen/fork.h',
                      'include/grpc/impl/codegen/gpr_types.h',
                      'include/grpc/impl/codegen/grpc_types.h',
                      'include/grpc/impl/codegen/log.h',
                      'include/grpc/impl/codegen/port_platform.h',
                      'include/grpc/impl/codegen/propagation_bits.h',
                      'include/grpc/impl/codegen/slice.h',
                      'include/grpc/impl/codegen/status.h',
                      'include/grpc/impl/codegen/sync.h',
                      'include/grpc/impl/codegen/sync_abseil.h',
                      'include/grpc/impl/codegen/sync_custom.h',
                      'include/grpc/impl/codegen/sync_generic.h',
                      'include/grpc/impl/codegen/sync_posix.h',
                      'include/grpc/impl/codegen/sync_windows.h',
                      'include/grpc/impl/compression_types.h',
                      'include/grpc/impl/connectivity_state.h',
                      'include/grpc/impl/grpc_types.h',
                      'include/grpc/impl/propagation_bits.h',
                      'include/grpc/impl/slice_type.h',
                      'include/grpc/load_reporting.h',
                      'include/grpc/slice.h',
                      'include/grpc/slice_buffer.h',
                      'include/grpc/status.h',
                      'include/grpc/support/alloc.h',
                      'include/grpc/support/atm.h',
                      'include/grpc/support/atm_gcc_atomic.h',
                      'include/grpc/support/atm_gcc_sync.h',
                      'include/grpc/support/atm_windows.h',
                      'include/grpc/support/cpu.h',
                      'include/grpc/support/log.h',
                      'include/grpc/support/log_windows.h',
                      'include/grpc/support/port_platform.h',
                      'include/grpc/support/string_util.h',
                      'include/grpc/support/sync.h',
                      'include/grpc/support/sync_abseil.h',
                      'include/grpc/support/sync_custom.h',
                      'include/grpc/support/sync_generic.h',
                      'include/grpc/support/sync_posix.h',
                      'include/grpc/support/sync_windows.h',
                      'include/grpc/support/thd_id.h',
                      'include/grpc/support/time.h',
                      'include/grpc/support/workaround_list.h'
  end
  s.subspec 'Implementation' do |ss|
    ss.header_mappings_dir = '.'
    ss.libraries = 'z'
    ss.dependency "#{s.name}/Interface", version
    ss.dependency 'BoringSSL-GRPC', '0.0.25'
    ss.dependency 'abseil/base/base', abseil_version
    ss.dependency 'abseil/base/core_headers', abseil_version
    ss.dependency 'abseil/cleanup/cleanup', abseil_version
    ss.dependency 'abseil/container/flat_hash_map', abseil_version
    ss.dependency 'abseil/container/flat_hash_set', abseil_version
    ss.dependency 'abseil/container/inlined_vector', abseil_version
    ss.dependency 'abseil/functional/any_invocable', abseil_version
    ss.dependency 'abseil/functional/bind_front', abseil_version
    ss.dependency 'abseil/functional/function_ref', abseil_version
    ss.dependency 'abseil/hash/hash', abseil_version
    ss.dependency 'abseil/memory/memory', abseil_version
    ss.dependency 'abseil/meta/type_traits', abseil_version
    ss.dependency 'abseil/random/random', abseil_version
    ss.dependency 'abseil/status/status', abseil_version
    ss.dependency 'abseil/status/statusor', abseil_version
    ss.dependency 'abseil/strings/cord', abseil_version
    ss.dependency 'abseil/strings/str_format', abseil_version
    ss.dependency 'abseil/strings/strings', abseil_version
    ss.dependency 'abseil/synchronization/synchronization', abseil_version
    ss.dependency 'abseil/time/time', abseil_version
    ss.dependency 'abseil/types/optional', abseil_version
    ss.dependency 'abseil/types/span', abseil_version
    ss.dependency 'abseil/types/variant', abseil_version
    ss.dependency 'abseil/utility/utility', abseil_version
    ss.compiler_flags = '-DBORINGSSL_PREFIX=GRPC -Wno-unreachable-code -Wno-shorten-64-to-32'

    ss.source_files = 'src/core/ext/filters/census/grpc_context.cc',
                      'src/core/ext/filters/channel_idle/channel_idle_filter.cc',
                      'src/core/ext/filters/channel_idle/channel_idle_filter.h',
                      'src/core/ext/filters/channel_idle/idle_filter_state.cc',
                      'src/core/ext/filters/channel_idle/idle_filter_state.h',
                      'src/core/ext/filters/client_channel/backend_metric.cc',
                      'src/core/ext/filters/client_channel/backend_metric.h',
                      'src/core/ext/filters/client_channel/backup_poller.cc',
                      'src/core/ext/filters/client_channel/backup_poller.h',
                      'src/core/ext/filters/client_channel/channel_connectivity.cc',
                      'src/core/ext/filters/client_channel/client_channel.cc',
                      'src/core/ext/filters/client_channel/client_channel.h',
                      'src/core/ext/filters/client_channel/client_channel_channelz.cc',
                      'src/core/ext/filters/client_channel/client_channel_channelz.h',
                      'src/core/ext/filters/client_channel/client_channel_factory.cc',
                      'src/core/ext/filters/client_channel/client_channel_factory.h',
                      'src/core/ext/filters/client_channel/client_channel_plugin.cc',
                      'src/core/ext/filters/client_channel/client_channel_service_config.cc',
                      'src/core/ext/filters/client_channel/client_channel_service_config.h',
                      'src/core/ext/filters/client_channel/config_selector.cc',
                      'src/core/ext/filters/client_channel/config_selector.h',
                      'src/core/ext/filters/client_channel/connector.h',
                      'src/core/ext/filters/client_channel/dynamic_filters.cc',
                      'src/core/ext/filters/client_channel/dynamic_filters.h',
                      'src/core/ext/filters/client_channel/global_subchannel_pool.cc',
                      'src/core/ext/filters/client_channel/global_subchannel_pool.h',
                      'src/core/ext/filters/client_channel/health/health_check_client.cc',
                      'src/core/ext/filters/client_channel/health/health_check_client.h',
                      'src/core/ext/filters/client_channel/http_proxy.cc',
                      'src/core/ext/filters/client_channel/http_proxy.h',
                      'src/core/ext/filters/client_channel/lb_call_state_internal.h',
                      'src/core/ext/filters/client_channel/lb_policy/address_filtering.cc',
                      'src/core/ext/filters/client_channel/lb_policy/address_filtering.h',
                      'src/core/ext/filters/client_channel/lb_policy/backend_metric_data.h',
                      'src/core/ext/filters/client_channel/lb_policy/child_policy_handler.cc',
                      'src/core/ext/filters/client_channel/lb_policy/child_policy_handler.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/client_load_reporting_filter.cc',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/client_load_reporting_filter.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb.cc',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_balancer_addresses.cc',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_balancer_addresses.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_client_stats.cc',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_client_stats.h',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/load_balancer_api.cc',
                      'src/core/ext/filters/client_channel/lb_policy/grpclb/load_balancer_api.h',
                      'src/core/ext/filters/client_channel/lb_policy/oob_backend_metric.cc',
                      'src/core/ext/filters/client_channel/lb_policy/oob_backend_metric.h',
                      'src/core/ext/filters/client_channel/lb_policy/outlier_detection/outlier_detection.cc',
                      'src/core/ext/filters/client_channel/lb_policy/outlier_detection/outlier_detection.h',
                      'src/core/ext/filters/client_channel/lb_policy/pick_first/pick_first.cc',
                      'src/core/ext/filters/client_channel/lb_policy/priority/priority.cc',
                      'src/core/ext/filters/client_channel/lb_policy/ring_hash/ring_hash.cc',
                      'src/core/ext/filters/client_channel/lb_policy/ring_hash/ring_hash.h',
                      'src/core/ext/filters/client_channel/lb_policy/rls/rls.cc',
                      'src/core/ext/filters/client_channel/lb_policy/round_robin/round_robin.cc',
                      'src/core/ext/filters/client_channel/lb_policy/subchannel_list.h',
                      'src/core/ext/filters/client_channel/lb_policy/weighted_target/weighted_target.cc',
                      'src/core/ext/filters/client_channel/lb_policy/xds/cds.cc',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_attributes.cc',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_attributes.h',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_channel_args.h',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_cluster_impl.cc',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_cluster_manager.cc',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_cluster_resolver.cc',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_override_host.cc',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_override_host.h',
                      'src/core/ext/filters/client_channel/lb_policy/xds/xds_wrr_locality.cc',
                      'src/core/ext/filters/client_channel/local_subchannel_pool.cc',
                      'src/core/ext/filters/client_channel/local_subchannel_pool.h',
                      'src/core/ext/filters/client_channel/resolver/binder/binder_resolver.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/dns_resolver_ares.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver.h',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver_posix.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver_windows.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper.h',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper_posix.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper_windows.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/dns_resolver_selection.cc',
                      'src/core/ext/filters/client_channel/resolver/dns/dns_resolver_selection.h',
                      'src/core/ext/filters/client_channel/resolver/dns/native/dns_resolver.cc',
                      'src/core/ext/filters/client_channel/resolver/fake/fake_resolver.cc',
                      'src/core/ext/filters/client_channel/resolver/fake/fake_resolver.h',
                      'src/core/ext/filters/client_channel/resolver/google_c2p/google_c2p_resolver.cc',
                      'src/core/ext/filters/client_channel/resolver/polling_resolver.cc',
                      'src/core/ext/filters/client_channel/resolver/polling_resolver.h',
                      'src/core/ext/filters/client_channel/resolver/sockaddr/sockaddr_resolver.cc',
                      'src/core/ext/filters/client_channel/resolver/xds/xds_resolver.cc',
                      'src/core/ext/filters/client_channel/resolver/xds/xds_resolver.h',
                      'src/core/ext/filters/client_channel/retry_filter.cc',
                      'src/core/ext/filters/client_channel/retry_filter.h',
                      'src/core/ext/filters/client_channel/retry_service_config.cc',
                      'src/core/ext/filters/client_channel/retry_service_config.h',
                      'src/core/ext/filters/client_channel/retry_throttle.cc',
                      'src/core/ext/filters/client_channel/retry_throttle.h',
                      'src/core/ext/filters/client_channel/service_config_channel_arg_filter.cc',
                      'src/core/ext/filters/client_channel/subchannel.cc',
                      'src/core/ext/filters/client_channel/subchannel.h',
                      'src/core/ext/filters/client_channel/subchannel_interface_internal.h',
                      'src/core/ext/filters/client_channel/subchannel_pool_interface.cc',
                      'src/core/ext/filters/client_channel/subchannel_pool_interface.h',
                      'src/core/ext/filters/client_channel/subchannel_stream_client.cc',
                      'src/core/ext/filters/client_channel/subchannel_stream_client.h',
                      'src/core/ext/filters/deadline/deadline_filter.cc',
                      'src/core/ext/filters/deadline/deadline_filter.h',
                      'src/core/ext/filters/fault_injection/fault_injection_filter.cc',
                      'src/core/ext/filters/fault_injection/fault_injection_filter.h',
                      'src/core/ext/filters/fault_injection/fault_injection_service_config_parser.cc',
                      'src/core/ext/filters/fault_injection/fault_injection_service_config_parser.h',
                      'src/core/ext/filters/http/client/http_client_filter.cc',
                      'src/core/ext/filters/http/client/http_client_filter.h',
                      'src/core/ext/filters/http/client_authority_filter.cc',
                      'src/core/ext/filters/http/client_authority_filter.h',
                      'src/core/ext/filters/http/http_filters_plugin.cc',
                      'src/core/ext/filters/http/message_compress/compression_filter.cc',
                      'src/core/ext/filters/http/message_compress/compression_filter.h',
                      'src/core/ext/filters/http/server/http_server_filter.cc',
                      'src/core/ext/filters/http/server/http_server_filter.h',
                      'src/core/ext/filters/message_size/message_size_filter.cc',
                      'src/core/ext/filters/message_size/message_size_filter.h',
                      'src/core/ext/filters/rbac/rbac_filter.cc',
                      'src/core/ext/filters/rbac/rbac_filter.h',
                      'src/core/ext/filters/rbac/rbac_service_config_parser.cc',
                      'src/core/ext/filters/rbac/rbac_service_config_parser.h',
                      'src/core/ext/filters/server_config_selector/server_config_selector.h',
                      'src/core/ext/filters/server_config_selector/server_config_selector_filter.cc',
                      'src/core/ext/filters/server_config_selector/server_config_selector_filter.h',
                      'src/core/ext/filters/stateful_session/stateful_session_filter.cc',
                      'src/core/ext/filters/stateful_session/stateful_session_filter.h',
                      'src/core/ext/filters/stateful_session/stateful_session_service_config_parser.cc',
                      'src/core/ext/filters/stateful_session/stateful_session_service_config_parser.h',
                      'src/core/ext/transport/chttp2/alpn/alpn.cc',
                      'src/core/ext/transport/chttp2/alpn/alpn.h',
                      'src/core/ext/transport/chttp2/client/chttp2_connector.cc',
                      'src/core/ext/transport/chttp2/client/chttp2_connector.h',
                      'src/core/ext/transport/chttp2/server/chttp2_server.cc',
                      'src/core/ext/transport/chttp2/server/chttp2_server.h',
                      'src/core/ext/transport/chttp2/transport/bin_decoder.cc',
                      'src/core/ext/transport/chttp2/transport/bin_decoder.h',
                      'src/core/ext/transport/chttp2/transport/bin_encoder.cc',
                      'src/core/ext/transport/chttp2/transport/bin_encoder.h',
                      'src/core/ext/transport/chttp2/transport/chttp2_transport.cc',
                      'src/core/ext/transport/chttp2/transport/chttp2_transport.h',
                      'src/core/ext/transport/chttp2/transport/context_list.cc',
                      'src/core/ext/transport/chttp2/transport/context_list.h',
                      'src/core/ext/transport/chttp2/transport/decode_huff.cc',
                      'src/core/ext/transport/chttp2/transport/decode_huff.h',
                      'src/core/ext/transport/chttp2/transport/flow_control.cc',
                      'src/core/ext/transport/chttp2/transport/flow_control.h',
                      'src/core/ext/transport/chttp2/transport/frame.h',
                      'src/core/ext/transport/chttp2/transport/frame_data.cc',
                      'src/core/ext/transport/chttp2/transport/frame_data.h',
                      'src/core/ext/transport/chttp2/transport/frame_goaway.cc',
                      'src/core/ext/transport/chttp2/transport/frame_goaway.h',
                      'src/core/ext/transport/chttp2/transport/frame_ping.cc',
                      'src/core/ext/transport/chttp2/transport/frame_ping.h',
                      'src/core/ext/transport/chttp2/transport/frame_rst_stream.cc',
                      'src/core/ext/transport/chttp2/transport/frame_rst_stream.h',
                      'src/core/ext/transport/chttp2/transport/frame_settings.cc',
                      'src/core/ext/transport/chttp2/transport/frame_settings.h',
                      'src/core/ext/transport/chttp2/transport/frame_window_update.cc',
                      'src/core/ext/transport/chttp2/transport/frame_window_update.h',
                      'src/core/ext/transport/chttp2/transport/hpack_constants.h',
                      'src/core/ext/transport/chttp2/transport/hpack_encoder.cc',
                      'src/core/ext/transport/chttp2/transport/hpack_encoder.h',
                      'src/core/ext/transport/chttp2/transport/hpack_encoder_table.cc',
                      'src/core/ext/transport/chttp2/transport/hpack_encoder_table.h',
                      'src/core/ext/transport/chttp2/transport/hpack_parser.cc',
                      'src/core/ext/transport/chttp2/transport/hpack_parser.h',
                      'src/core/ext/transport/chttp2/transport/hpack_parser_table.cc',
                      'src/core/ext/transport/chttp2/transport/hpack_parser_table.h',
                      'src/core/ext/transport/chttp2/transport/http2_settings.cc',
                      'src/core/ext/transport/chttp2/transport/http2_settings.h',
                      'src/core/ext/transport/chttp2/transport/http_trace.cc',
                      'src/core/ext/transport/chttp2/transport/http_trace.h',
                      'src/core/ext/transport/chttp2/transport/huffsyms.cc',
                      'src/core/ext/transport/chttp2/transport/huffsyms.h',
                      'src/core/ext/transport/chttp2/transport/internal.h',
                      'src/core/ext/transport/chttp2/transport/parsing.cc',
                      'src/core/ext/transport/chttp2/transport/stream_lists.cc',
                      'src/core/ext/transport/chttp2/transport/stream_map.cc',
                      'src/core/ext/transport/chttp2/transport/stream_map.h',
                      'src/core/ext/transport/chttp2/transport/varint.cc',
                      'src/core/ext/transport/chttp2/transport/varint.h',
                      'src/core/ext/transport/chttp2/transport/writing.cc',
                      'src/core/ext/transport/inproc/inproc_plugin.cc',
                      'src/core/ext/transport/inproc/inproc_transport.cc',
                      'src/core/ext/transport/inproc/inproc_transport.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/certs.upb.c',
                      'src/core/ext/upb-generated/envoy/admin/v3/certs.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/clusters.upb.c',
                      'src/core/ext/upb-generated/envoy/admin/v3/clusters.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/config_dump.upb.c',
                      'src/core/ext/upb-generated/envoy/admin/v3/config_dump.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/config_dump_shared.upb.c',
                      'src/core/ext/upb-generated/envoy/admin/v3/config_dump_shared.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/init_dump.upb.c',
                      'src/core/ext/upb-generated/envoy/admin/v3/init_dump.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/listeners.upb.c',
                      'src/core/ext/upb-generated/envoy/admin/v3/listeners.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/memory.upb.c',
                      'src/core/ext/upb-generated/envoy/admin/v3/memory.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/metrics.upb.c',
                      'src/core/ext/upb-generated/envoy/admin/v3/metrics.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/mutex_stats.upb.c',
                      'src/core/ext/upb-generated/envoy/admin/v3/mutex_stats.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/server_info.upb.c',
                      'src/core/ext/upb-generated/envoy/admin/v3/server_info.upb.h',
                      'src/core/ext/upb-generated/envoy/admin/v3/tap.upb.c',
                      'src/core/ext/upb-generated/envoy/admin/v3/tap.upb.h',
                      'src/core/ext/upb-generated/envoy/annotations/deprecation.upb.c',
                      'src/core/ext/upb-generated/envoy/annotations/deprecation.upb.h',
                      'src/core/ext/upb-generated/envoy/annotations/resource.upb.c',
                      'src/core/ext/upb-generated/envoy/annotations/resource.upb.h',
                      'src/core/ext/upb-generated/envoy/config/accesslog/v3/accesslog.upb.c',
                      'src/core/ext/upb-generated/envoy/config/accesslog/v3/accesslog.upb.h',
                      'src/core/ext/upb-generated/envoy/config/bootstrap/v3/bootstrap.upb.c',
                      'src/core/ext/upb-generated/envoy/config/bootstrap/v3/bootstrap.upb.h',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/circuit_breaker.upb.c',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/circuit_breaker.upb.h',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/cluster.upb.c',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/cluster.upb.h',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/filter.upb.c',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/filter.upb.h',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/outlier_detection.upb.c',
                      'src/core/ext/upb-generated/envoy/config/cluster/v3/outlier_detection.upb.h',
                      'src/core/ext/upb-generated/envoy/config/common/matcher/v3/matcher.upb.c',
                      'src/core/ext/upb-generated/envoy/config/common/matcher/v3/matcher.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/address.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/address.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/backoff.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/backoff.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/base.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/base.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/config_source.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/config_source.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/event_service_config.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/event_service_config.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/extension.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/extension.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/grpc_method_list.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/grpc_method_list.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/grpc_service.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/grpc_service.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/health_check.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/health_check.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/http_uri.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/http_uri.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/protocol.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/protocol.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/proxy_protocol.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/proxy_protocol.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/resolver.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/resolver.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/socket_option.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/socket_option.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/substitution_format_string.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/substitution_format_string.upb.h',
                      'src/core/ext/upb-generated/envoy/config/core/v3/udp_socket_config.upb.c',
                      'src/core/ext/upb-generated/envoy/config/core/v3/udp_socket_config.upb.h',
                      'src/core/ext/upb-generated/envoy/config/endpoint/v3/endpoint.upb.c',
                      'src/core/ext/upb-generated/envoy/config/endpoint/v3/endpoint.upb.h',
                      'src/core/ext/upb-generated/envoy/config/endpoint/v3/endpoint_components.upb.c',
                      'src/core/ext/upb-generated/envoy/config/endpoint/v3/endpoint_components.upb.h',
                      'src/core/ext/upb-generated/envoy/config/endpoint/v3/load_report.upb.c',
                      'src/core/ext/upb-generated/envoy/config/endpoint/v3/load_report.upb.h',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/api_listener.upb.c',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/api_listener.upb.h',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/listener.upb.c',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/listener.upb.h',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/listener_components.upb.c',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/listener_components.upb.h',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/quic_config.upb.c',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/quic_config.upb.h',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/udp_listener_config.upb.c',
                      'src/core/ext/upb-generated/envoy/config/listener/v3/udp_listener_config.upb.h',
                      'src/core/ext/upb-generated/envoy/config/metrics/v3/metrics_service.upb.c',
                      'src/core/ext/upb-generated/envoy/config/metrics/v3/metrics_service.upb.h',
                      'src/core/ext/upb-generated/envoy/config/metrics/v3/stats.upb.c',
                      'src/core/ext/upb-generated/envoy/config/metrics/v3/stats.upb.h',
                      'src/core/ext/upb-generated/envoy/config/overload/v3/overload.upb.c',
                      'src/core/ext/upb-generated/envoy/config/overload/v3/overload.upb.h',
                      'src/core/ext/upb-generated/envoy/config/rbac/v3/rbac.upb.c',
                      'src/core/ext/upb-generated/envoy/config/rbac/v3/rbac.upb.h',
                      'src/core/ext/upb-generated/envoy/config/route/v3/route.upb.c',
                      'src/core/ext/upb-generated/envoy/config/route/v3/route.upb.h',
                      'src/core/ext/upb-generated/envoy/config/route/v3/route_components.upb.c',
                      'src/core/ext/upb-generated/envoy/config/route/v3/route_components.upb.h',
                      'src/core/ext/upb-generated/envoy/config/route/v3/scoped_route.upb.c',
                      'src/core/ext/upb-generated/envoy/config/route/v3/scoped_route.upb.h',
                      'src/core/ext/upb-generated/envoy/config/tap/v3/common.upb.c',
                      'src/core/ext/upb-generated/envoy/config/tap/v3/common.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/datadog.upb.c',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/datadog.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/dynamic_ot.upb.c',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/dynamic_ot.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/http_tracer.upb.c',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/http_tracer.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/lightstep.upb.c',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/lightstep.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/opencensus.upb.c',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/opencensus.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/opentelemetry.upb.c',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/opentelemetry.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/service.upb.c',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/service.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/skywalking.upb.c',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/skywalking.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/trace.upb.c',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/trace.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/xray.upb.c',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/xray.upb.h',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/zipkin.upb.c',
                      'src/core/ext/upb-generated/envoy/config/trace/v3/zipkin.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/clusters/aggregate/v3/cluster.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/clusters/aggregate/v3/cluster.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/common/fault/v3/fault.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/filters/common/fault/v3/fault.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/fault/v3/fault.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/fault/v3/fault.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/rbac/v3/rbac.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/rbac/v3/rbac.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/router/v3/router.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/router/v3/router.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/stateful_session/v3/stateful_session.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/filters/http/stateful_session/v3/stateful_session.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/filters/network/http_connection_manager/v3/http_connection_manager.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/filters/network/http_connection_manager/v3/http_connection_manager.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/http/stateful_session/cookie/v3/cookie.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/http/stateful_session/cookie/v3/cookie.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/load_balancing_policies/ring_hash/v3/ring_hash.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/load_balancing_policies/ring_hash/v3/ring_hash.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/load_balancing_policies/wrr_locality/v3/wrr_locality.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/load_balancing_policies/wrr_locality/v3/wrr_locality.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/cert.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/cert.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/common.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/common.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/secret.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/secret.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/tls.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/tls.upb.h',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/tls_spiffe_validator_config.upb.c',
                      'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/tls_spiffe_validator_config.upb.h',
                      'src/core/ext/upb-generated/envoy/service/discovery/v3/ads.upb.c',
                      'src/core/ext/upb-generated/envoy/service/discovery/v3/ads.upb.h',
                      'src/core/ext/upb-generated/envoy/service/discovery/v3/discovery.upb.c',
                      'src/core/ext/upb-generated/envoy/service/discovery/v3/discovery.upb.h',
                      'src/core/ext/upb-generated/envoy/service/load_stats/v3/lrs.upb.c',
                      'src/core/ext/upb-generated/envoy/service/load_stats/v3/lrs.upb.h',
                      'src/core/ext/upb-generated/envoy/service/status/v3/csds.upb.c',
                      'src/core/ext/upb-generated/envoy/service/status/v3/csds.upb.h',
                      'src/core/ext/upb-generated/envoy/type/http/v3/cookie.upb.c',
                      'src/core/ext/upb-generated/envoy/type/http/v3/cookie.upb.h',
                      'src/core/ext/upb-generated/envoy/type/http/v3/path_transformation.upb.c',
                      'src/core/ext/upb-generated/envoy/type/http/v3/path_transformation.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/http_inputs.upb.c',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/http_inputs.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/metadata.upb.c',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/metadata.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/node.upb.c',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/node.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/number.upb.c',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/number.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/path.upb.c',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/path.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/regex.upb.c',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/regex.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/string.upb.c',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/string.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/struct.upb.c',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/struct.upb.h',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/value.upb.c',
                      'src/core/ext/upb-generated/envoy/type/matcher/v3/value.upb.h',
                      'src/core/ext/upb-generated/envoy/type/metadata/v3/metadata.upb.c',
                      'src/core/ext/upb-generated/envoy/type/metadata/v3/metadata.upb.h',
                      'src/core/ext/upb-generated/envoy/type/tracing/v3/custom_tag.upb.c',
                      'src/core/ext/upb-generated/envoy/type/tracing/v3/custom_tag.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/hash_policy.upb.c',
                      'src/core/ext/upb-generated/envoy/type/v3/hash_policy.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/http.upb.c',
                      'src/core/ext/upb-generated/envoy/type/v3/http.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/http_status.upb.c',
                      'src/core/ext/upb-generated/envoy/type/v3/http_status.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/percent.upb.c',
                      'src/core/ext/upb-generated/envoy/type/v3/percent.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/range.upb.c',
                      'src/core/ext/upb-generated/envoy/type/v3/range.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/ratelimit_strategy.upb.c',
                      'src/core/ext/upb-generated/envoy/type/v3/ratelimit_strategy.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/ratelimit_unit.upb.c',
                      'src/core/ext/upb-generated/envoy/type/v3/ratelimit_unit.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/semantic_version.upb.c',
                      'src/core/ext/upb-generated/envoy/type/v3/semantic_version.upb.h',
                      'src/core/ext/upb-generated/envoy/type/v3/token_bucket.upb.c',
                      'src/core/ext/upb-generated/envoy/type/v3/token_bucket.upb.h',
                      'src/core/ext/upb-generated/google/api/annotations.upb.c',
                      'src/core/ext/upb-generated/google/api/annotations.upb.h',
                      'src/core/ext/upb-generated/google/api/expr/v1alpha1/checked.upb.c',
                      'src/core/ext/upb-generated/google/api/expr/v1alpha1/checked.upb.h',
                      'src/core/ext/upb-generated/google/api/expr/v1alpha1/syntax.upb.c',
                      'src/core/ext/upb-generated/google/api/expr/v1alpha1/syntax.upb.h',
                      'src/core/ext/upb-generated/google/api/http.upb.c',
                      'src/core/ext/upb-generated/google/api/http.upb.h',
                      'src/core/ext/upb-generated/google/api/httpbody.upb.c',
                      'src/core/ext/upb-generated/google/api/httpbody.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/any.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/any.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/descriptor.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/descriptor.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/duration.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/duration.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/empty.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/empty.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/struct.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/struct.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/timestamp.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/timestamp.upb.h',
                      'src/core/ext/upb-generated/google/protobuf/wrappers.upb.c',
                      'src/core/ext/upb-generated/google/protobuf/wrappers.upb.h',
                      'src/core/ext/upb-generated/google/rpc/status.upb.c',
                      'src/core/ext/upb-generated/google/rpc/status.upb.h',
                      'src/core/ext/upb-generated/opencensus/proto/trace/v1/trace_config.upb.c',
                      'src/core/ext/upb-generated/opencensus/proto/trace/v1/trace_config.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/altscontext.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/altscontext.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/handshaker.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/handshaker.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/transport_security_common.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/gcp/transport_security_common.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/health/v1/health.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/health/v1/health.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/lb/v1/load_balancer.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/lb/v1/load_balancer.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/lookup/v1/rls.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/lookup/v1/rls.upb.h',
                      'src/core/ext/upb-generated/src/proto/grpc/lookup/v1/rls_config.upb.c',
                      'src/core/ext/upb-generated/src/proto/grpc/lookup/v1/rls_config.upb.h',
                      'src/core/ext/upb-generated/udpa/annotations/migrate.upb.c',
                      'src/core/ext/upb-generated/udpa/annotations/migrate.upb.h',
                      'src/core/ext/upb-generated/udpa/annotations/security.upb.c',
                      'src/core/ext/upb-generated/udpa/annotations/security.upb.h',
                      'src/core/ext/upb-generated/udpa/annotations/sensitive.upb.c',
                      'src/core/ext/upb-generated/udpa/annotations/sensitive.upb.h',
                      'src/core/ext/upb-generated/udpa/annotations/status.upb.c',
                      'src/core/ext/upb-generated/udpa/annotations/status.upb.h',
                      'src/core/ext/upb-generated/udpa/annotations/versioning.upb.c',
                      'src/core/ext/upb-generated/udpa/annotations/versioning.upb.h',
                      'src/core/ext/upb-generated/validate/validate.upb.c',
                      'src/core/ext/upb-generated/validate/validate.upb.h',
                      'src/core/ext/upb-generated/xds/annotations/v3/migrate.upb.c',
                      'src/core/ext/upb-generated/xds/annotations/v3/migrate.upb.h',
                      'src/core/ext/upb-generated/xds/annotations/v3/security.upb.c',
                      'src/core/ext/upb-generated/xds/annotations/v3/security.upb.h',
                      'src/core/ext/upb-generated/xds/annotations/v3/sensitive.upb.c',
                      'src/core/ext/upb-generated/xds/annotations/v3/sensitive.upb.h',
                      'src/core/ext/upb-generated/xds/annotations/v3/status.upb.c',
                      'src/core/ext/upb-generated/xds/annotations/v3/status.upb.h',
                      'src/core/ext/upb-generated/xds/annotations/v3/versioning.upb.c',
                      'src/core/ext/upb-generated/xds/annotations/v3/versioning.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/authority.upb.c',
                      'src/core/ext/upb-generated/xds/core/v3/authority.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/cidr.upb.c',
                      'src/core/ext/upb-generated/xds/core/v3/cidr.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/collection_entry.upb.c',
                      'src/core/ext/upb-generated/xds/core/v3/collection_entry.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/context_params.upb.c',
                      'src/core/ext/upb-generated/xds/core/v3/context_params.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/extension.upb.c',
                      'src/core/ext/upb-generated/xds/core/v3/extension.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/resource.upb.c',
                      'src/core/ext/upb-generated/xds/core/v3/resource.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/resource_locator.upb.c',
                      'src/core/ext/upb-generated/xds/core/v3/resource_locator.upb.h',
                      'src/core/ext/upb-generated/xds/core/v3/resource_name.upb.c',
                      'src/core/ext/upb-generated/xds/core/v3/resource_name.upb.h',
                      'src/core/ext/upb-generated/xds/data/orca/v3/orca_load_report.upb.c',
                      'src/core/ext/upb-generated/xds/data/orca/v3/orca_load_report.upb.h',
                      'src/core/ext/upb-generated/xds/service/orca/v3/orca.upb.c',
                      'src/core/ext/upb-generated/xds/service/orca/v3/orca.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/cel.upb.c',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/cel.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/domain.upb.c',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/domain.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/http_inputs.upb.c',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/http_inputs.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/ip.upb.c',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/ip.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/matcher.upb.c',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/matcher.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/range.upb.c',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/range.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/regex.upb.c',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/regex.upb.h',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/string.upb.c',
                      'src/core/ext/upb-generated/xds/type/matcher/v3/string.upb.h',
                      'src/core/ext/upb-generated/xds/type/v3/cel.upb.c',
                      'src/core/ext/upb-generated/xds/type/v3/cel.upb.h',
                      'src/core/ext/upb-generated/xds/type/v3/range.upb.c',
                      'src/core/ext/upb-generated/xds/type/v3/range.upb.h',
                      'src/core/ext/upb-generated/xds/type/v3/typed_struct.upb.c',
                      'src/core/ext/upb-generated/xds/type/v3/typed_struct.upb.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/certs.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/certs.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/clusters.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/clusters.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/config_dump.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/config_dump.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/config_dump_shared.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/config_dump_shared.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/init_dump.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/init_dump.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/listeners.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/listeners.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/memory.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/memory.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/metrics.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/metrics.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/mutex_stats.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/mutex_stats.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/server_info.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/server_info.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/tap.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/admin/v3/tap.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/annotations/deprecation.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/annotations/deprecation.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/annotations/resource.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/annotations/resource.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/accesslog/v3/accesslog.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/accesslog/v3/accesslog.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/bootstrap/v3/bootstrap.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/bootstrap/v3/bootstrap.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/circuit_breaker.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/circuit_breaker.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/cluster.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/cluster.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/filter.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/filter.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/outlier_detection.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/outlier_detection.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/common/matcher/v3/matcher.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/common/matcher/v3/matcher.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/address.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/address.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/backoff.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/backoff.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/base.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/base.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/config_source.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/config_source.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/event_service_config.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/event_service_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/extension.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/extension.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/grpc_method_list.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/grpc_method_list.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/grpc_service.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/grpc_service.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/health_check.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/health_check.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/http_uri.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/http_uri.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/protocol.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/protocol.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/proxy_protocol.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/proxy_protocol.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/resolver.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/resolver.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/socket_option.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/socket_option.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/substitution_format_string.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/substitution_format_string.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/udp_socket_config.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/core/v3/udp_socket_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/endpoint.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/endpoint.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/endpoint_components.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/endpoint_components.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/load_report.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/load_report.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/api_listener.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/api_listener.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/listener.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/listener.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/listener_components.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/listener_components.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/quic_config.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/quic_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/udp_listener_config.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/listener/v3/udp_listener_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/metrics/v3/metrics_service.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/metrics/v3/metrics_service.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/metrics/v3/stats.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/metrics/v3/stats.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/overload/v3/overload.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/overload/v3/overload.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/rbac/v3/rbac.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/rbac/v3/rbac.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/route/v3/route.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/route/v3/route.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/route/v3/route_components.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/route/v3/route_components.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/route/v3/scoped_route.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/route/v3/scoped_route.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/tap/v3/common.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/tap/v3/common.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/datadog.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/datadog.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/dynamic_ot.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/dynamic_ot.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/http_tracer.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/http_tracer.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/lightstep.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/lightstep.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/opencensus.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/opencensus.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/opentelemetry.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/opentelemetry.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/service.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/service.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/skywalking.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/skywalking.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/trace.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/trace.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/xray.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/xray.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/zipkin.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/config/trace/v3/zipkin.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/clusters/aggregate/v3/cluster.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/clusters/aggregate/v3/cluster.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/common/fault/v3/fault.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/common/fault/v3/fault.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/fault/v3/fault.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/fault/v3/fault.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/rbac/v3/rbac.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/rbac/v3/rbac.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/router/v3/router.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/router/v3/router.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/stateful_session/v3/stateful_session.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/stateful_session/v3/stateful_session.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/network/http_connection_manager/v3/http_connection_manager.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/filters/network/http_connection_manager/v3/http_connection_manager.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/http/stateful_session/cookie/v3/cookie.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/http/stateful_session/cookie/v3/cookie.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/cert.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/cert.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/common.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/common.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/secret.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/secret.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/tls.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/tls.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/tls_spiffe_validator_config.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/tls_spiffe_validator_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/service/discovery/v3/ads.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/service/discovery/v3/ads.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/service/discovery/v3/discovery.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/service/discovery/v3/discovery.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/service/load_stats/v3/lrs.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/service/load_stats/v3/lrs.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/service/status/v3/csds.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/service/status/v3/csds.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/http/v3/cookie.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/http/v3/cookie.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/http/v3/path_transformation.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/http/v3/path_transformation.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/http_inputs.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/http_inputs.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/metadata.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/metadata.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/node.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/node.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/number.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/number.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/path.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/path.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/regex.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/regex.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/string.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/string.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/struct.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/struct.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/value.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/value.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/metadata/v3/metadata.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/metadata/v3/metadata.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/tracing/v3/custom_tag.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/tracing/v3/custom_tag.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/hash_policy.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/hash_policy.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/http.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/http.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/http_status.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/http_status.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/percent.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/percent.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/range.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/range.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/ratelimit_strategy.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/ratelimit_strategy.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/ratelimit_unit.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/ratelimit_unit.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/semantic_version.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/semantic_version.upbdefs.h',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/token_bucket.upbdefs.c',
                      'src/core/ext/upbdefs-generated/envoy/type/v3/token_bucket.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/api/annotations.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/api/annotations.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/api/expr/v1alpha1/checked.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/api/expr/v1alpha1/checked.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/api/expr/v1alpha1/syntax.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/api/expr/v1alpha1/syntax.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/api/http.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/api/http.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/api/httpbody.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/api/httpbody.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/any.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/protobuf/any.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/descriptor.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/protobuf/descriptor.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/duration.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/protobuf/duration.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/empty.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/protobuf/empty.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/struct.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/protobuf/struct.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/timestamp.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/protobuf/timestamp.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/protobuf/wrappers.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/protobuf/wrappers.upbdefs.h',
                      'src/core/ext/upbdefs-generated/google/rpc/status.upbdefs.c',
                      'src/core/ext/upbdefs-generated/google/rpc/status.upbdefs.h',
                      'src/core/ext/upbdefs-generated/opencensus/proto/trace/v1/trace_config.upbdefs.c',
                      'src/core/ext/upbdefs-generated/opencensus/proto/trace/v1/trace_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/src/proto/grpc/lookup/v1/rls_config.upbdefs.c',
                      'src/core/ext/upbdefs-generated/src/proto/grpc/lookup/v1/rls_config.upbdefs.h',
                      'src/core/ext/upbdefs-generated/udpa/annotations/migrate.upbdefs.c',
                      'src/core/ext/upbdefs-generated/udpa/annotations/migrate.upbdefs.h',
                      'src/core/ext/upbdefs-generated/udpa/annotations/security.upbdefs.c',
                      'src/core/ext/upbdefs-generated/udpa/annotations/security.upbdefs.h',
                      'src/core/ext/upbdefs-generated/udpa/annotations/sensitive.upbdefs.c',
                      'src/core/ext/upbdefs-generated/udpa/annotations/sensitive.upbdefs.h',
                      'src/core/ext/upbdefs-generated/udpa/annotations/status.upbdefs.c',
                      'src/core/ext/upbdefs-generated/udpa/annotations/status.upbdefs.h',
                      'src/core/ext/upbdefs-generated/udpa/annotations/versioning.upbdefs.c',
                      'src/core/ext/upbdefs-generated/udpa/annotations/versioning.upbdefs.h',
                      'src/core/ext/upbdefs-generated/validate/validate.upbdefs.c',
                      'src/core/ext/upbdefs-generated/validate/validate.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/migrate.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/migrate.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/security.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/security.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/sensitive.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/sensitive.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/status.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/status.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/versioning.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/annotations/v3/versioning.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/authority.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/core/v3/authority.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/cidr.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/core/v3/cidr.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/collection_entry.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/core/v3/collection_entry.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/context_params.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/core/v3/context_params.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/extension.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/core/v3/extension.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/resource.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/core/v3/resource.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/resource_locator.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/core/v3/resource_locator.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/core/v3/resource_name.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/core/v3/resource_name.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/cel.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/cel.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/domain.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/domain.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/http_inputs.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/http_inputs.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/ip.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/ip.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/matcher.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/matcher.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/range.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/range.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/regex.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/regex.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/string.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/type/matcher/v3/string.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/v3/cel.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/type/v3/cel.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/v3/range.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/type/v3/range.upbdefs.h',
                      'src/core/ext/upbdefs-generated/xds/type/v3/typed_struct.upbdefs.c',
                      'src/core/ext/upbdefs-generated/xds/type/v3/typed_struct.upbdefs.h',
                      'src/core/ext/xds/certificate_provider_store.cc',
                      'src/core/ext/xds/certificate_provider_store.h',
                      'src/core/ext/xds/file_watcher_certificate_provider_factory.cc',
                      'src/core/ext/xds/file_watcher_certificate_provider_factory.h',
                      'src/core/ext/xds/upb_utils.h',
                      'src/core/ext/xds/xds_api.cc',
                      'src/core/ext/xds/xds_api.h',
                      'src/core/ext/xds/xds_bootstrap.cc',
                      'src/core/ext/xds/xds_bootstrap.h',
                      'src/core/ext/xds/xds_bootstrap_grpc.cc',
                      'src/core/ext/xds/xds_bootstrap_grpc.h',
                      'src/core/ext/xds/xds_certificate_provider.cc',
                      'src/core/ext/xds/xds_certificate_provider.h',
                      'src/core/ext/xds/xds_channel_args.h',
                      'src/core/ext/xds/xds_channel_stack_modifier.cc',
                      'src/core/ext/xds/xds_channel_stack_modifier.h',
                      'src/core/ext/xds/xds_client.cc',
                      'src/core/ext/xds/xds_client.h',
                      'src/core/ext/xds/xds_client_grpc.cc',
                      'src/core/ext/xds/xds_client_grpc.h',
                      'src/core/ext/xds/xds_client_stats.cc',
                      'src/core/ext/xds/xds_client_stats.h',
                      'src/core/ext/xds/xds_cluster.cc',
                      'src/core/ext/xds/xds_cluster.h',
                      'src/core/ext/xds/xds_cluster_specifier_plugin.cc',
                      'src/core/ext/xds/xds_cluster_specifier_plugin.h',
                      'src/core/ext/xds/xds_common_types.cc',
                      'src/core/ext/xds/xds_common_types.h',
                      'src/core/ext/xds/xds_endpoint.cc',
                      'src/core/ext/xds/xds_endpoint.h',
                      'src/core/ext/xds/xds_health_status.cc',
                      'src/core/ext/xds/xds_health_status.h',
                      'src/core/ext/xds/xds_http_fault_filter.cc',
                      'src/core/ext/xds/xds_http_fault_filter.h',
                      'src/core/ext/xds/xds_http_filters.cc',
                      'src/core/ext/xds/xds_http_filters.h',
                      'src/core/ext/xds/xds_http_rbac_filter.cc',
                      'src/core/ext/xds/xds_http_rbac_filter.h',
                      'src/core/ext/xds/xds_http_stateful_session_filter.cc',
                      'src/core/ext/xds/xds_http_stateful_session_filter.h',
                      'src/core/ext/xds/xds_lb_policy_registry.cc',
                      'src/core/ext/xds/xds_lb_policy_registry.h',
                      'src/core/ext/xds/xds_listener.cc',
                      'src/core/ext/xds/xds_listener.h',
                      'src/core/ext/xds/xds_resource_type.h',
                      'src/core/ext/xds/xds_resource_type_impl.h',
                      'src/core/ext/xds/xds_route_config.cc',
                      'src/core/ext/xds/xds_route_config.h',
                      'src/core/ext/xds/xds_routing.cc',
                      'src/core/ext/xds/xds_routing.h',
                      'src/core/ext/xds/xds_server_config_fetcher.cc',
                      'src/core/ext/xds/xds_transport.h',
                      'src/core/ext/xds/xds_transport_grpc.cc',
                      'src/core/ext/xds/xds_transport_grpc.h',
                      'src/core/lib/address_utils/parse_address.cc',
                      'src/core/lib/address_utils/parse_address.h',
                      'src/core/lib/address_utils/sockaddr_utils.cc',
                      'src/core/lib/address_utils/sockaddr_utils.h',
                      'src/core/lib/avl/avl.h',
                      'src/core/lib/backoff/backoff.cc',
                      'src/core/lib/backoff/backoff.h',
                      'src/core/lib/channel/call_finalization.h',
                      'src/core/lib/channel/call_tracer.h',
                      'src/core/lib/channel/channel_args.cc',
                      'src/core/lib/channel/channel_args.h',
                      'src/core/lib/channel/channel_args_preconditioning.cc',
                      'src/core/lib/channel/channel_args_preconditioning.h',
                      'src/core/lib/channel/channel_fwd.h',
                      'src/core/lib/channel/channel_stack.cc',
                      'src/core/lib/channel/channel_stack.h',
                      'src/core/lib/channel/channel_stack_builder.cc',
                      'src/core/lib/channel/channel_stack_builder.h',
                      'src/core/lib/channel/channel_stack_builder_impl.cc',
                      'src/core/lib/channel/channel_stack_builder_impl.h',
                      'src/core/lib/channel/channel_trace.cc',
                      'src/core/lib/channel/channel_trace.h',
                      'src/core/lib/channel/channelz.cc',
                      'src/core/lib/channel/channelz.h',
                      'src/core/lib/channel/channelz_registry.cc',
                      'src/core/lib/channel/channelz_registry.h',
                      'src/core/lib/channel/connected_channel.cc',
                      'src/core/lib/channel/connected_channel.h',
                      'src/core/lib/channel/context.h',
                      'src/core/lib/channel/promise_based_filter.cc',
                      'src/core/lib/channel/promise_based_filter.h',
                      'src/core/lib/channel/status_util.cc',
                      'src/core/lib/channel/status_util.h',
                      'src/core/lib/compression/compression.cc',
                      'src/core/lib/compression/compression_internal.cc',
                      'src/core/lib/compression/compression_internal.h',
                      'src/core/lib/compression/message_compress.cc',
                      'src/core/lib/compression/message_compress.h',
                      'src/core/lib/config/core_configuration.cc',
                      'src/core/lib/config/core_configuration.h',
                      'src/core/lib/debug/event_log.cc',
                      'src/core/lib/debug/event_log.h',
                      'src/core/lib/debug/histogram_view.cc',
                      'src/core/lib/debug/histogram_view.h',
                      'src/core/lib/debug/stats.cc',
                      'src/core/lib/debug/stats.h',
                      'src/core/lib/debug/stats_data.cc',
                      'src/core/lib/debug/stats_data.h',
                      'src/core/lib/debug/trace.cc',
                      'src/core/lib/debug/trace.h',
                      'src/core/lib/event_engine/channel_args_endpoint_config.cc',
                      'src/core/lib/event_engine/channel_args_endpoint_config.h',
                      'src/core/lib/event_engine/common_closures.h',
                      'src/core/lib/event_engine/default_event_engine.cc',
                      'src/core/lib/event_engine/default_event_engine.h',
                      'src/core/lib/event_engine/default_event_engine_factory.cc',
                      'src/core/lib/event_engine/default_event_engine_factory.h',
                      'src/core/lib/event_engine/executor/executor.h',
                      'src/core/lib/event_engine/forkable.cc',
                      'src/core/lib/event_engine/forkable.h',
                      'src/core/lib/event_engine/handle_containers.h',
                      'src/core/lib/event_engine/memory_allocator.cc',
                      'src/core/lib/event_engine/poller.h',
                      'src/core/lib/event_engine/posix_engine/ev_epoll1_linux.cc',
                      'src/core/lib/event_engine/posix_engine/ev_epoll1_linux.h',
                      'src/core/lib/event_engine/posix_engine/ev_poll_posix.cc',
                      'src/core/lib/event_engine/posix_engine/ev_poll_posix.h',
                      'src/core/lib/event_engine/posix_engine/event_poller.h',
                      'src/core/lib/event_engine/posix_engine/event_poller_posix_default.cc',
                      'src/core/lib/event_engine/posix_engine/event_poller_posix_default.h',
                      'src/core/lib/event_engine/posix_engine/internal_errqueue.cc',
                      'src/core/lib/event_engine/posix_engine/internal_errqueue.h',
                      'src/core/lib/event_engine/posix_engine/lockfree_event.cc',
                      'src/core/lib/event_engine/posix_engine/lockfree_event.h',
                      'src/core/lib/event_engine/posix_engine/posix_endpoint.cc',
                      'src/core/lib/event_engine/posix_engine/posix_endpoint.h',
                      'src/core/lib/event_engine/posix_engine/posix_engine.cc',
                      'src/core/lib/event_engine/posix_engine/posix_engine.h',
                      'src/core/lib/event_engine/posix_engine/posix_engine_closure.h',
                      'src/core/lib/event_engine/posix_engine/posix_engine_listener.cc',
                      'src/core/lib/event_engine/posix_engine/posix_engine_listener.h',
                      'src/core/lib/event_engine/posix_engine/posix_engine_listener_utils.cc',
                      'src/core/lib/event_engine/posix_engine/posix_engine_listener_utils.h',
                      'src/core/lib/event_engine/posix_engine/tcp_socket_utils.cc',
                      'src/core/lib/event_engine/posix_engine/tcp_socket_utils.h',
                      'src/core/lib/event_engine/posix_engine/timer.cc',
                      'src/core/lib/event_engine/posix_engine/timer.h',
                      'src/core/lib/event_engine/posix_engine/timer_heap.cc',
                      'src/core/lib/event_engine/posix_engine/timer_heap.h',
                      'src/core/lib/event_engine/posix_engine/timer_manager.cc',
                      'src/core/lib/event_engine/posix_engine/timer_manager.h',
                      'src/core/lib/event_engine/posix_engine/traced_buffer_list.cc',
                      'src/core/lib/event_engine/posix_engine/traced_buffer_list.h',
                      'src/core/lib/event_engine/posix_engine/wakeup_fd_eventfd.cc',
                      'src/core/lib/event_engine/posix_engine/wakeup_fd_eventfd.h',
                      'src/core/lib/event_engine/posix_engine/wakeup_fd_pipe.cc',
                      'src/core/lib/event_engine/posix_engine/wakeup_fd_pipe.h',
                      'src/core/lib/event_engine/posix_engine/wakeup_fd_posix.h',
                      'src/core/lib/event_engine/posix_engine/wakeup_fd_posix_default.cc',
                      'src/core/lib/event_engine/posix_engine/wakeup_fd_posix_default.h',
                      'src/core/lib/event_engine/resolved_address.cc',
                      'src/core/lib/event_engine/slice.cc',
                      'src/core/lib/event_engine/slice_buffer.cc',
                      'src/core/lib/event_engine/socket_notifier.h',
                      'src/core/lib/event_engine/tcp_socket_utils.cc',
                      'src/core/lib/event_engine/tcp_socket_utils.h',
                      'src/core/lib/event_engine/thread_pool.cc',
                      'src/core/lib/event_engine/thread_pool.h',
                      'src/core/lib/event_engine/time_util.cc',
                      'src/core/lib/event_engine/time_util.h',
                      'src/core/lib/event_engine/trace.cc',
                      'src/core/lib/event_engine/trace.h',
                      'src/core/lib/event_engine/utils.cc',
                      'src/core/lib/event_engine/utils.h',
                      'src/core/lib/event_engine/windows/iocp.cc',
                      'src/core/lib/event_engine/windows/iocp.h',
                      'src/core/lib/event_engine/windows/win_socket.cc',
                      'src/core/lib/event_engine/windows/win_socket.h',
                      'src/core/lib/event_engine/windows/windows_engine.cc',
                      'src/core/lib/event_engine/windows/windows_engine.h',
                      'src/core/lib/experiments/config.cc',
                      'src/core/lib/experiments/config.h',
                      'src/core/lib/experiments/experiments.cc',
                      'src/core/lib/experiments/experiments.h',
                      'src/core/lib/gpr/alloc.cc',
                      'src/core/lib/gpr/alloc.h',
                      'src/core/lib/gpr/atm.cc',
                      'src/core/lib/gpr/cpu_iphone.cc',
                      'src/core/lib/gpr/cpu_linux.cc',
                      'src/core/lib/gpr/cpu_posix.cc',
                      'src/core/lib/gpr/cpu_windows.cc',
                      'src/core/lib/gpr/log.cc',
                      'src/core/lib/gpr/log_android.cc',
                      'src/core/lib/gpr/log_linux.cc',
                      'src/core/lib/gpr/log_posix.cc',
                      'src/core/lib/gpr/log_windows.cc',
                      'src/core/lib/gpr/spinlock.h',
                      'src/core/lib/gpr/string.cc',
                      'src/core/lib/gpr/string.h',
                      'src/core/lib/gpr/string_posix.cc',
                      'src/core/lib/gpr/string_util_windows.cc',
                      'src/core/lib/gpr/string_windows.cc',
                      'src/core/lib/gpr/sync.cc',
                      'src/core/lib/gpr/sync_abseil.cc',
                      'src/core/lib/gpr/sync_posix.cc',
                      'src/core/lib/gpr/sync_windows.cc',
                      'src/core/lib/gpr/time.cc',
                      'src/core/lib/gpr/time_posix.cc',
                      'src/core/lib/gpr/time_precise.cc',
                      'src/core/lib/gpr/time_precise.h',
                      'src/core/lib/gpr/time_windows.cc',
                      'src/core/lib/gpr/tmpfile.h',
                      'src/core/lib/gpr/tmpfile_msys.cc',
                      'src/core/lib/gpr/tmpfile_posix.cc',
                      'src/core/lib/gpr/tmpfile_windows.cc',
                      'src/core/lib/gpr/useful.h',
                      'src/core/lib/gpr/wrap_memcpy.cc',
                      'src/core/lib/gprpp/atomic_utils.h',
                      'src/core/lib/gprpp/bitset.h',
                      'src/core/lib/gprpp/chunked_vector.h',
                      'src/core/lib/gprpp/construct_destruct.h',
                      'src/core/lib/gprpp/cpp_impl_of.h',
                      'src/core/lib/gprpp/crash.cc',
                      'src/core/lib/gprpp/crash.h',
                      'src/core/lib/gprpp/debug_location.h',
                      'src/core/lib/gprpp/dual_ref_counted.h',
                      'src/core/lib/gprpp/env.h',
                      'src/core/lib/gprpp/env_linux.cc',
                      'src/core/lib/gprpp/env_posix.cc',
                      'src/core/lib/gprpp/env_windows.cc',
                      'src/core/lib/gprpp/examine_stack.cc',
                      'src/core/lib/gprpp/examine_stack.h',
                      'src/core/lib/gprpp/fork.cc',
                      'src/core/lib/gprpp/fork.h',
                      'src/core/lib/gprpp/global_config.h',
                      'src/core/lib/gprpp/global_config_custom.h',
                      'src/core/lib/gprpp/global_config_env.cc',
                      'src/core/lib/gprpp/global_config_env.h',
                      'src/core/lib/gprpp/global_config_generic.h',
                      'src/core/lib/gprpp/host_port.cc',
                      'src/core/lib/gprpp/host_port.h',
                      'src/core/lib/gprpp/load_file.cc',
                      'src/core/lib/gprpp/load_file.h',
                      'src/core/lib/gprpp/manual_constructor.h',
                      'src/core/lib/gprpp/match.h',
                      'src/core/lib/gprpp/memory.h',
                      'src/core/lib/gprpp/mpscq.cc',
                      'src/core/lib/gprpp/mpscq.h',
                      'src/core/lib/gprpp/no_destruct.h',
                      'src/core/lib/gprpp/notification.h',
                      'src/core/lib/gprpp/orphanable.h',
                      'src/core/lib/gprpp/overload.h',
                      'src/core/lib/gprpp/packed_table.h',
                      'src/core/lib/gprpp/per_cpu.h',
                      'src/core/lib/gprpp/ref_counted.h',
                      'src/core/lib/gprpp/ref_counted_ptr.h',
                      'src/core/lib/gprpp/single_set_ptr.h',
                      'src/core/lib/gprpp/sorted_pack.h',
                      'src/core/lib/gprpp/stat.h',
                      'src/core/lib/gprpp/stat_posix.cc',
                      'src/core/lib/gprpp/stat_windows.cc',
                      'src/core/lib/gprpp/status_helper.cc',
                      'src/core/lib/gprpp/status_helper.h',
                      'src/core/lib/gprpp/strerror.cc',
                      'src/core/lib/gprpp/strerror.h',
                      'src/core/lib/gprpp/sync.h',
                      'src/core/lib/gprpp/table.h',
                      'src/core/lib/gprpp/tchar.cc',
                      'src/core/lib/gprpp/tchar.h',
                      'src/core/lib/gprpp/thd.h',
                      'src/core/lib/gprpp/thd_posix.cc',
                      'src/core/lib/gprpp/thd_windows.cc',
                      'src/core/lib/gprpp/time.cc',
                      'src/core/lib/gprpp/time.h',
                      'src/core/lib/gprpp/time_averaged_stats.cc',
                      'src/core/lib/gprpp/time_averaged_stats.h',
                      'src/core/lib/gprpp/time_util.cc',
                      'src/core/lib/gprpp/time_util.h',
                      'src/core/lib/gprpp/unique_type_name.h',
                      'src/core/lib/gprpp/validation_errors.cc',
                      'src/core/lib/gprpp/validation_errors.h',
                      'src/core/lib/gprpp/work_serializer.cc',
                      'src/core/lib/gprpp/work_serializer.h',
                      'src/core/lib/handshaker/proxy_mapper.h',
                      'src/core/lib/handshaker/proxy_mapper_registry.cc',
                      'src/core/lib/handshaker/proxy_mapper_registry.h',
                      'src/core/lib/http/format_request.cc',
                      'src/core/lib/http/format_request.h',
                      'src/core/lib/http/httpcli.cc',
                      'src/core/lib/http/httpcli.h',
                      'src/core/lib/http/httpcli_security_connector.cc',
                      'src/core/lib/http/httpcli_ssl_credentials.h',
                      'src/core/lib/http/parser.cc',
                      'src/core/lib/http/parser.h',
                      'src/core/lib/iomgr/block_annotate.h',
                      'src/core/lib/iomgr/buffer_list.cc',
                      'src/core/lib/iomgr/buffer_list.h',
                      'src/core/lib/iomgr/call_combiner.cc',
                      'src/core/lib/iomgr/call_combiner.h',
                      'src/core/lib/iomgr/cfstream_handle.cc',
                      'src/core/lib/iomgr/cfstream_handle.h',
                      'src/core/lib/iomgr/closure.h',
                      'src/core/lib/iomgr/combiner.cc',
                      'src/core/lib/iomgr/combiner.h',
                      'src/core/lib/iomgr/dualstack_socket_posix.cc',
                      'src/core/lib/iomgr/dynamic_annotations.h',
                      'src/core/lib/iomgr/endpoint.cc',
                      'src/core/lib/iomgr/endpoint.h',
                      'src/core/lib/iomgr/endpoint_cfstream.cc',
                      'src/core/lib/iomgr/endpoint_cfstream.h',
                      'src/core/lib/iomgr/endpoint_pair.h',
                      'src/core/lib/iomgr/endpoint_pair_posix.cc',
                      'src/core/lib/iomgr/endpoint_pair_windows.cc',
                      'src/core/lib/iomgr/error.cc',
                      'src/core/lib/iomgr/error.h',
                      'src/core/lib/iomgr/error_cfstream.cc',
                      'src/core/lib/iomgr/error_cfstream.h',
                      'src/core/lib/iomgr/ev_apple.cc',
                      'src/core/lib/iomgr/ev_apple.h',
                      'src/core/lib/iomgr/ev_epoll1_linux.cc',
                      'src/core/lib/iomgr/ev_epoll1_linux.h',
                      'src/core/lib/iomgr/ev_poll_posix.cc',
                      'src/core/lib/iomgr/ev_poll_posix.h',
                      'src/core/lib/iomgr/ev_posix.cc',
                      'src/core/lib/iomgr/ev_posix.h',
                      'src/core/lib/iomgr/ev_windows.cc',
                      'src/core/lib/iomgr/exec_ctx.cc',
                      'src/core/lib/iomgr/exec_ctx.h',
                      'src/core/lib/iomgr/executor.cc',
                      'src/core/lib/iomgr/executor.h',
                      'src/core/lib/iomgr/fork_posix.cc',
                      'src/core/lib/iomgr/fork_windows.cc',
                      'src/core/lib/iomgr/gethostname.h',
                      'src/core/lib/iomgr/gethostname_fallback.cc',
                      'src/core/lib/iomgr/gethostname_host_name_max.cc',
                      'src/core/lib/iomgr/gethostname_sysconf.cc',
                      'src/core/lib/iomgr/grpc_if_nametoindex.h',
                      'src/core/lib/iomgr/grpc_if_nametoindex_posix.cc',
                      'src/core/lib/iomgr/grpc_if_nametoindex_unsupported.cc',
                      'src/core/lib/iomgr/internal_errqueue.cc',
                      'src/core/lib/iomgr/internal_errqueue.h',
                      'src/core/lib/iomgr/iocp_windows.cc',
                      'src/core/lib/iomgr/iocp_windows.h',
                      'src/core/lib/iomgr/iomgr.cc',
                      'src/core/lib/iomgr/iomgr.h',
                      'src/core/lib/iomgr/iomgr_fwd.h',
                      'src/core/lib/iomgr/iomgr_internal.cc',
                      'src/core/lib/iomgr/iomgr_internal.h',
                      'src/core/lib/iomgr/iomgr_posix.cc',
                      'src/core/lib/iomgr/iomgr_posix_cfstream.cc',
                      'src/core/lib/iomgr/iomgr_windows.cc',
                      'src/core/lib/iomgr/load_file.cc',
                      'src/core/lib/iomgr/load_file.h',
                      'src/core/lib/iomgr/lockfree_event.cc',
                      'src/core/lib/iomgr/lockfree_event.h',
                      'src/core/lib/iomgr/nameser.h',
                      'src/core/lib/iomgr/polling_entity.cc',
                      'src/core/lib/iomgr/polling_entity.h',
                      'src/core/lib/iomgr/pollset.cc',
                      'src/core/lib/iomgr/pollset.h',
                      'src/core/lib/iomgr/pollset_set.cc',
                      'src/core/lib/iomgr/pollset_set.h',
                      'src/core/lib/iomgr/pollset_set_windows.cc',
                      'src/core/lib/iomgr/pollset_set_windows.h',
                      'src/core/lib/iomgr/pollset_windows.cc',
                      'src/core/lib/iomgr/pollset_windows.h',
                      'src/core/lib/iomgr/port.h',
                      'src/core/lib/iomgr/python_util.h',
                      'src/core/lib/iomgr/resolve_address.cc',
                      'src/core/lib/iomgr/resolve_address.h',
                      'src/core/lib/iomgr/resolve_address_impl.h',
                      'src/core/lib/iomgr/resolve_address_posix.cc',
                      'src/core/lib/iomgr/resolve_address_posix.h',
                      'src/core/lib/iomgr/resolve_address_windows.cc',
                      'src/core/lib/iomgr/resolve_address_windows.h',
                      'src/core/lib/iomgr/resolved_address.h',
                      'src/core/lib/iomgr/sockaddr.h',
                      'src/core/lib/iomgr/sockaddr_posix.h',
                      'src/core/lib/iomgr/sockaddr_utils_posix.cc',
                      'src/core/lib/iomgr/sockaddr_windows.h',
                      'src/core/lib/iomgr/socket_factory_posix.cc',
                      'src/core/lib/iomgr/socket_factory_posix.h',
                      'src/core/lib/iomgr/socket_mutator.cc',
                      'src/core/lib/iomgr/socket_mutator.h',
                      'src/core/lib/iomgr/socket_utils.h',
                      'src/core/lib/iomgr/socket_utils_common_posix.cc',
                      'src/core/lib/iomgr/socket_utils_linux.cc',
                      'src/core/lib/iomgr/socket_utils_posix.cc',
                      'src/core/lib/iomgr/socket_utils_posix.h',
                      'src/core/lib/iomgr/socket_utils_windows.cc',
                      'src/core/lib/iomgr/socket_windows.cc',
                      'src/core/lib/iomgr/socket_windows.h',
                      'src/core/lib/iomgr/systemd_utils.cc',
                      'src/core/lib/iomgr/systemd_utils.h',
                      'src/core/lib/iomgr/tcp_client.cc',
                      'src/core/lib/iomgr/tcp_client.h',
                      'src/core/lib/iomgr/tcp_client_cfstream.cc',
                      'src/core/lib/iomgr/tcp_client_posix.cc',
                      'src/core/lib/iomgr/tcp_client_posix.h',
                      'src/core/lib/iomgr/tcp_client_windows.cc',
                      'src/core/lib/iomgr/tcp_posix.cc',
                      'src/core/lib/iomgr/tcp_posix.h',
                      'src/core/lib/iomgr/tcp_server.cc',
                      'src/core/lib/iomgr/tcp_server.h',
                      'src/core/lib/iomgr/tcp_server_posix.cc',
                      'src/core/lib/iomgr/tcp_server_utils_posix.h',
                      'src/core/lib/iomgr/tcp_server_utils_posix_common.cc',
                      'src/core/lib/iomgr/tcp_server_utils_posix_ifaddrs.cc',
                      'src/core/lib/iomgr/tcp_server_utils_posix_noifaddrs.cc',
                      'src/core/lib/iomgr/tcp_server_windows.cc',
                      'src/core/lib/iomgr/tcp_windows.cc',
                      'src/core/lib/iomgr/tcp_windows.h',
                      'src/core/lib/iomgr/timer.cc',
                      'src/core/lib/iomgr/timer.h',
                      'src/core/lib/iomgr/timer_generic.cc',
                      'src/core/lib/iomgr/timer_generic.h',
                      'src/core/lib/iomgr/timer_heap.cc',
                      'src/core/lib/iomgr/timer_heap.h',
                      'src/core/lib/iomgr/timer_manager.cc',
                      'src/core/lib/iomgr/timer_manager.h',
                      'src/core/lib/iomgr/unix_sockets_posix.cc',
                      'src/core/lib/iomgr/unix_sockets_posix.h',
                      'src/core/lib/iomgr/unix_sockets_posix_noop.cc',
                      'src/core/lib/iomgr/wakeup_fd_eventfd.cc',
                      'src/core/lib/iomgr/wakeup_fd_nospecial.cc',
                      'src/core/lib/iomgr/wakeup_fd_pipe.cc',
                      'src/core/lib/iomgr/wakeup_fd_pipe.h',
                      'src/core/lib/iomgr/wakeup_fd_posix.cc',
                      'src/core/lib/iomgr/wakeup_fd_posix.h',
                      'src/core/lib/json/json.h',
                      'src/core/lib/json/json_args.h',
                      'src/core/lib/json/json_channel_args.h',
                      'src/core/lib/json/json_object_loader.cc',
                      'src/core/lib/json/json_object_loader.h',
                      'src/core/lib/json/json_reader.cc',
                      'src/core/lib/json/json_util.cc',
                      'src/core/lib/json/json_util.h',
                      'src/core/lib/json/json_writer.cc',
                      'src/core/lib/load_balancing/lb_policy.cc',
                      'src/core/lib/load_balancing/lb_policy.h',
                      'src/core/lib/load_balancing/lb_policy_factory.h',
                      'src/core/lib/load_balancing/lb_policy_registry.cc',
                      'src/core/lib/load_balancing/lb_policy_registry.h',
                      'src/core/lib/load_balancing/subchannel_interface.h',
                      'src/core/lib/matchers/matchers.cc',
                      'src/core/lib/matchers/matchers.h',
                      'src/core/lib/promise/activity.cc',
                      'src/core/lib/promise/activity.h',
                      'src/core/lib/promise/arena_promise.h',
                      'src/core/lib/promise/context.h',
                      'src/core/lib/promise/detail/basic_seq.h',
                      'src/core/lib/promise/detail/promise_factory.h',
                      'src/core/lib/promise/detail/promise_like.h',
                      'src/core/lib/promise/detail/status.h',
                      'src/core/lib/promise/detail/switch.h',
                      'src/core/lib/promise/exec_ctx_wakeup_scheduler.h',
                      'src/core/lib/promise/for_each.h',
                      'src/core/lib/promise/intra_activity_waiter.h',
                      'src/core/lib/promise/latch.h',
                      'src/core/lib/promise/loop.h',
                      'src/core/lib/promise/map.h',
                      'src/core/lib/promise/map_pipe.h',
                      'src/core/lib/promise/pipe.cc',
                      'src/core/lib/promise/pipe.h',
                      'src/core/lib/promise/poll.h',
                      'src/core/lib/promise/promise.h',
                      'src/core/lib/promise/race.h',
                      'src/core/lib/promise/seq.h',
                      'src/core/lib/promise/sleep.cc',
                      'src/core/lib/promise/sleep.h',
                      'src/core/lib/promise/try_concurrently.h',
                      'src/core/lib/promise/try_seq.h',
                      'src/core/lib/resolver/resolver.cc',
                      'src/core/lib/resolver/resolver.h',
                      'src/core/lib/resolver/resolver_factory.h',
                      'src/core/lib/resolver/resolver_registry.cc',
                      'src/core/lib/resolver/resolver_registry.h',
                      'src/core/lib/resolver/server_address.cc',
                      'src/core/lib/resolver/server_address.h',
                      'src/core/lib/resource_quota/api.cc',
                      'src/core/lib/resource_quota/api.h',
                      'src/core/lib/resource_quota/arena.cc',
                      'src/core/lib/resource_quota/arena.h',
                      'src/core/lib/resource_quota/memory_quota.cc',
                      'src/core/lib/resource_quota/memory_quota.h',
                      'src/core/lib/resource_quota/periodic_update.cc',
                      'src/core/lib/resource_quota/periodic_update.h',
                      'src/core/lib/resource_quota/resource_quota.cc',
                      'src/core/lib/resource_quota/resource_quota.h',
                      'src/core/lib/resource_quota/thread_quota.cc',
                      'src/core/lib/resource_quota/thread_quota.h',
                      'src/core/lib/resource_quota/trace.cc',
                      'src/core/lib/resource_quota/trace.h',
                      'src/core/lib/security/authorization/authorization_engine.h',
                      'src/core/lib/security/authorization/authorization_policy_provider.h',
                      'src/core/lib/security/authorization/authorization_policy_provider_vtable.cc',
                      'src/core/lib/security/authorization/evaluate_args.cc',
                      'src/core/lib/security/authorization/evaluate_args.h',
                      'src/core/lib/security/authorization/grpc_authorization_engine.cc',
                      'src/core/lib/security/authorization/grpc_authorization_engine.h',
                      'src/core/lib/security/authorization/grpc_server_authz_filter.cc',
                      'src/core/lib/security/authorization/grpc_server_authz_filter.h',
                      'src/core/lib/security/authorization/matchers.cc',
                      'src/core/lib/security/authorization/matchers.h',
                      'src/core/lib/security/authorization/rbac_policy.cc',
                      'src/core/lib/security/authorization/rbac_policy.h',
                      'src/core/lib/security/certificate_provider/certificate_provider_factory.h',
                      'src/core/lib/security/certificate_provider/certificate_provider_registry.cc',
                      'src/core/lib/security/certificate_provider/certificate_provider_registry.h',
                      'src/core/lib/security/context/security_context.cc',
                      'src/core/lib/security/context/security_context.h',
                      'src/core/lib/security/credentials/alts/alts_credentials.cc',
                      'src/core/lib/security/credentials/alts/alts_credentials.h',
                      'src/core/lib/security/credentials/alts/check_gcp_environment.cc',
                      'src/core/lib/security/credentials/alts/check_gcp_environment.h',
                      'src/core/lib/security/credentials/alts/check_gcp_environment_linux.cc',
                      'src/core/lib/security/credentials/alts/check_gcp_environment_no_op.cc',
                      'src/core/lib/security/credentials/alts/check_gcp_environment_windows.cc',
                      'src/core/lib/security/credentials/alts/grpc_alts_credentials_client_options.cc',
                      'src/core/lib/security/credentials/alts/grpc_alts_credentials_options.cc',
                      'src/core/lib/security/credentials/alts/grpc_alts_credentials_options.h',
                      'src/core/lib/security/credentials/alts/grpc_alts_credentials_server_options.cc',
                      'src/core/lib/security/credentials/call_creds_util.cc',
                      'src/core/lib/security/credentials/call_creds_util.h',
                      'src/core/lib/security/credentials/channel_creds_registry.h',
                      'src/core/lib/security/credentials/channel_creds_registry_init.cc',
                      'src/core/lib/security/credentials/composite/composite_credentials.cc',
                      'src/core/lib/security/credentials/composite/composite_credentials.h',
                      'src/core/lib/security/credentials/credentials.cc',
                      'src/core/lib/security/credentials/credentials.h',
                      'src/core/lib/security/credentials/external/aws_external_account_credentials.cc',
                      'src/core/lib/security/credentials/external/aws_external_account_credentials.h',
                      'src/core/lib/security/credentials/external/aws_request_signer.cc',
                      'src/core/lib/security/credentials/external/aws_request_signer.h',
                      'src/core/lib/security/credentials/external/external_account_credentials.cc',
                      'src/core/lib/security/credentials/external/external_account_credentials.h',
                      'src/core/lib/security/credentials/external/file_external_account_credentials.cc',
                      'src/core/lib/security/credentials/external/file_external_account_credentials.h',
                      'src/core/lib/security/credentials/external/url_external_account_credentials.cc',
                      'src/core/lib/security/credentials/external/url_external_account_credentials.h',
                      'src/core/lib/security/credentials/fake/fake_credentials.cc',
                      'src/core/lib/security/credentials/fake/fake_credentials.h',
                      'src/core/lib/security/credentials/google_default/credentials_generic.cc',
                      'src/core/lib/security/credentials/google_default/google_default_credentials.cc',
                      'src/core/lib/security/credentials/google_default/google_default_credentials.h',
                      'src/core/lib/security/credentials/iam/iam_credentials.cc',
                      'src/core/lib/security/credentials/iam/iam_credentials.h',
                      'src/core/lib/security/credentials/insecure/insecure_credentials.cc',
                      'src/core/lib/security/credentials/insecure/insecure_credentials.h',
                      'src/core/lib/security/credentials/jwt/json_token.cc',
                      'src/core/lib/security/credentials/jwt/json_token.h',
                      'src/core/lib/security/credentials/jwt/jwt_credentials.cc',
                      'src/core/lib/security/credentials/jwt/jwt_credentials.h',
                      'src/core/lib/security/credentials/jwt/jwt_verifier.cc',
                      'src/core/lib/security/credentials/jwt/jwt_verifier.h',
                      'src/core/lib/security/credentials/local/local_credentials.cc',
                      'src/core/lib/security/credentials/local/local_credentials.h',
                      'src/core/lib/security/credentials/oauth2/oauth2_credentials.cc',
                      'src/core/lib/security/credentials/oauth2/oauth2_credentials.h',
                      'src/core/lib/security/credentials/plugin/plugin_credentials.cc',
                      'src/core/lib/security/credentials/plugin/plugin_credentials.h',
                      'src/core/lib/security/credentials/ssl/ssl_credentials.cc',
                      'src/core/lib/security/credentials/ssl/ssl_credentials.h',
                      'src/core/lib/security/credentials/tls/grpc_tls_certificate_distributor.cc',
                      'src/core/lib/security/credentials/tls/grpc_tls_certificate_distributor.h',
                      'src/core/lib/security/credentials/tls/grpc_tls_certificate_provider.cc',
                      'src/core/lib/security/credentials/tls/grpc_tls_certificate_provider.h',
                      'src/core/lib/security/credentials/tls/grpc_tls_certificate_verifier.cc',
                      'src/core/lib/security/credentials/tls/grpc_tls_certificate_verifier.h',
                      'src/core/lib/security/credentials/tls/grpc_tls_credentials_options.cc',
                      'src/core/lib/security/credentials/tls/grpc_tls_credentials_options.h',
                      'src/core/lib/security/credentials/tls/tls_credentials.cc',
                      'src/core/lib/security/credentials/tls/tls_credentials.h',
                      'src/core/lib/security/credentials/tls/tls_utils.cc',
                      'src/core/lib/security/credentials/tls/tls_utils.h',
                      'src/core/lib/security/credentials/xds/xds_credentials.cc',
                      'src/core/lib/security/credentials/xds/xds_credentials.h',
                      'src/core/lib/security/security_connector/alts/alts_security_connector.cc',
                      'src/core/lib/security/security_connector/alts/alts_security_connector.h',
                      'src/core/lib/security/security_connector/fake/fake_security_connector.cc',
                      'src/core/lib/security/security_connector/fake/fake_security_connector.h',
                      'src/core/lib/security/security_connector/insecure/insecure_security_connector.cc',
                      'src/core/lib/security/security_connector/insecure/insecure_security_connector.h',
                      'src/core/lib/security/security_connector/load_system_roots.h',
                      'src/core/lib/security/security_connector/load_system_roots_fallback.cc',
                      'src/core/lib/security/security_connector/load_system_roots_supported.cc',
                      'src/core/lib/security/security_connector/load_system_roots_supported.h',
                      'src/core/lib/security/security_connector/local/local_security_connector.cc',
                      'src/core/lib/security/security_connector/local/local_security_connector.h',
                      'src/core/lib/security/security_connector/security_connector.cc',
                      'src/core/lib/security/security_connector/security_connector.h',
                      'src/core/lib/security/security_connector/ssl/ssl_security_connector.cc',
                      'src/core/lib/security/security_connector/ssl/ssl_security_connector.h',
                      'src/core/lib/security/security_connector/ssl_utils.cc',
                      'src/core/lib/security/security_connector/ssl_utils.h',
                      'src/core/lib/security/security_connector/ssl_utils_config.cc',
                      'src/core/lib/security/security_connector/ssl_utils_config.h',
                      'src/core/lib/security/security_connector/tls/tls_security_connector.cc',
                      'src/core/lib/security/security_connector/tls/tls_security_connector.h',
                      'src/core/lib/security/transport/auth_filters.h',
                      'src/core/lib/security/transport/client_auth_filter.cc',
                      'src/core/lib/security/transport/secure_endpoint.cc',
                      'src/core/lib/security/transport/secure_endpoint.h',
                      'src/core/lib/security/transport/security_handshaker.cc',
                      'src/core/lib/security/transport/security_handshaker.h',
                      'src/core/lib/security/transport/server_auth_filter.cc',
                      'src/core/lib/security/transport/tsi_error.cc',
                      'src/core/lib/security/transport/tsi_error.h',
                      'src/core/lib/security/util/json_util.cc',
                      'src/core/lib/security/util/json_util.h',
                      'src/core/lib/service_config/service_config.h',
                      'src/core/lib/service_config/service_config_call_data.h',
                      'src/core/lib/service_config/service_config_impl.cc',
                      'src/core/lib/service_config/service_config_impl.h',
                      'src/core/lib/service_config/service_config_parser.cc',
                      'src/core/lib/service_config/service_config_parser.h',
                      'src/core/lib/slice/b64.cc',
                      'src/core/lib/slice/b64.h',
                      'src/core/lib/slice/percent_encoding.cc',
                      'src/core/lib/slice/percent_encoding.h',
                      'src/core/lib/slice/slice.cc',
                      'src/core/lib/slice/slice.h',
                      'src/core/lib/slice/slice_buffer.cc',
                      'src/core/lib/slice/slice_buffer.h',
                      'src/core/lib/slice/slice_internal.h',
                      'src/core/lib/slice/slice_refcount.h',
                      'src/core/lib/slice/slice_string_helpers.cc',
                      'src/core/lib/slice/slice_string_helpers.h',
                      'src/core/lib/surface/api_trace.cc',
                      'src/core/lib/surface/api_trace.h',
                      'src/core/lib/surface/builtins.cc',
                      'src/core/lib/surface/builtins.h',
                      'src/core/lib/surface/byte_buffer.cc',
                      'src/core/lib/surface/byte_buffer_reader.cc',
                      'src/core/lib/surface/call.cc',
                      'src/core/lib/surface/call.h',
                      'src/core/lib/surface/call_details.cc',
                      'src/core/lib/surface/call_log_batch.cc',
                      'src/core/lib/surface/call_test_only.h',
                      'src/core/lib/surface/call_trace.cc',
                      'src/core/lib/surface/call_trace.h',
                      'src/core/lib/surface/channel.cc',
                      'src/core/lib/surface/channel.h',
                      'src/core/lib/surface/channel_init.cc',
                      'src/core/lib/surface/channel_init.h',
                      'src/core/lib/surface/channel_ping.cc',
                      'src/core/lib/surface/channel_stack_type.cc',
                      'src/core/lib/surface/channel_stack_type.h',
                      'src/core/lib/surface/completion_queue.cc',
                      'src/core/lib/surface/completion_queue.h',
                      'src/core/lib/surface/completion_queue_factory.cc',
                      'src/core/lib/surface/completion_queue_factory.h',
                      'src/core/lib/surface/event_string.cc',
                      'src/core/lib/surface/event_string.h',
                      'src/core/lib/surface/init.cc',
                      'src/core/lib/surface/init.h',
                      'src/core/lib/surface/init_internally.cc',
                      'src/core/lib/surface/init_internally.h',
                      'src/core/lib/surface/lame_client.cc',
                      'src/core/lib/surface/lame_client.h',
                      'src/core/lib/surface/metadata_array.cc',
                      'src/core/lib/surface/server.cc',
                      'src/core/lib/surface/server.h',
                      'src/core/lib/surface/validate_metadata.cc',
                      'src/core/lib/surface/validate_metadata.h',
                      'src/core/lib/surface/version.cc',
                      'src/core/lib/transport/bdp_estimator.cc',
                      'src/core/lib/transport/bdp_estimator.h',
                      'src/core/lib/transport/connectivity_state.cc',
                      'src/core/lib/transport/connectivity_state.h',
                      'src/core/lib/transport/error_utils.cc',
                      'src/core/lib/transport/error_utils.h',
                      'src/core/lib/transport/handshaker.cc',
                      'src/core/lib/transport/handshaker.h',
                      'src/core/lib/transport/handshaker_factory.h',
                      'src/core/lib/transport/handshaker_registry.cc',
                      'src/core/lib/transport/handshaker_registry.h',
                      'src/core/lib/transport/http2_errors.h',
                      'src/core/lib/transport/http_connect_handshaker.cc',
                      'src/core/lib/transport/http_connect_handshaker.h',
                      'src/core/lib/transport/metadata_batch.cc',
                      'src/core/lib/transport/metadata_batch.h',
                      'src/core/lib/transport/parsed_metadata.cc',
                      'src/core/lib/transport/parsed_metadata.h',
                      'src/core/lib/transport/pid_controller.cc',
                      'src/core/lib/transport/pid_controller.h',
                      'src/core/lib/transport/status_conversion.cc',
                      'src/core/lib/transport/status_conversion.h',
                      'src/core/lib/transport/tcp_connect_handshaker.cc',
                      'src/core/lib/transport/tcp_connect_handshaker.h',
                      'src/core/lib/transport/timeout_encoding.cc',
                      'src/core/lib/transport/timeout_encoding.h',
                      'src/core/lib/transport/transport.cc',
                      'src/core/lib/transport/transport.h',
                      'src/core/lib/transport/transport_fwd.h',
                      'src/core/lib/transport/transport_impl.h',
                      'src/core/lib/transport/transport_op_string.cc',
                      'src/core/lib/uri/uri_parser.cc',
                      'src/core/lib/uri/uri_parser.h',
                      'src/core/plugin_registry/grpc_plugin_registry.cc',
                      'src/core/plugin_registry/grpc_plugin_registry_extra.cc',
                      'src/core/tsi/alts/crypt/aes_gcm.cc',
                      'src/core/tsi/alts/crypt/gsec.cc',
                      'src/core/tsi/alts/crypt/gsec.h',
                      'src/core/tsi/alts/frame_protector/alts_counter.cc',
                      'src/core/tsi/alts/frame_protector/alts_counter.h',
                      'src/core/tsi/alts/frame_protector/alts_crypter.cc',
                      'src/core/tsi/alts/frame_protector/alts_crypter.h',
                      'src/core/tsi/alts/frame_protector/alts_frame_protector.cc',
                      'src/core/tsi/alts/frame_protector/alts_frame_protector.h',
                      'src/core/tsi/alts/frame_protector/alts_record_protocol_crypter_common.cc',
                      'src/core/tsi/alts/frame_protector/alts_record_protocol_crypter_common.h',
                      'src/core/tsi/alts/frame_protector/alts_seal_privacy_integrity_crypter.cc',
                      'src/core/tsi/alts/frame_protector/alts_unseal_privacy_integrity_crypter.cc',
                      'src/core/tsi/alts/frame_protector/frame_handler.cc',
                      'src/core/tsi/alts/frame_protector/frame_handler.h',
                      'src/core/tsi/alts/handshaker/alts_handshaker_client.cc',
                      'src/core/tsi/alts/handshaker/alts_handshaker_client.h',
                      'src/core/tsi/alts/handshaker/alts_shared_resource.cc',
                      'src/core/tsi/alts/handshaker/alts_shared_resource.h',
                      'src/core/tsi/alts/handshaker/alts_tsi_handshaker.cc',
                      'src/core/tsi/alts/handshaker/alts_tsi_handshaker.h',
                      'src/core/tsi/alts/handshaker/alts_tsi_handshaker_private.h',
                      'src/core/tsi/alts/handshaker/alts_tsi_utils.cc',
                      'src/core/tsi/alts/handshaker/alts_tsi_utils.h',
                      'src/core/tsi/alts/handshaker/transport_security_common_api.cc',
                      'src/core/tsi/alts/handshaker/transport_security_common_api.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_integrity_only_record_protocol.cc',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_integrity_only_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_privacy_integrity_record_protocol.cc',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_privacy_integrity_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol_common.cc',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol_common.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_iovec_record_protocol.cc',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_iovec_record_protocol.h',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_zero_copy_grpc_protector.cc',
                      'src/core/tsi/alts/zero_copy_frame_protector/alts_zero_copy_grpc_protector.h',
                      'src/core/tsi/fake_transport_security.cc',
                      'src/core/tsi/fake_transport_security.h',
                      'src/core/tsi/local_transport_security.cc',
                      'src/core/tsi/local_transport_security.h',
                      'src/core/tsi/ssl/key_logging/ssl_key_logging.cc',
                      'src/core/tsi/ssl/key_logging/ssl_key_logging.h',
                      'src/core/tsi/ssl/session_cache/ssl_session.h',
                      'src/core/tsi/ssl/session_cache/ssl_session_boringssl.cc',
                      'src/core/tsi/ssl/session_cache/ssl_session_cache.cc',
                      'src/core/tsi/ssl/session_cache/ssl_session_cache.h',
                      'src/core/tsi/ssl/session_cache/ssl_session_openssl.cc',
                      'src/core/tsi/ssl_transport_security.cc',
                      'src/core/tsi/ssl_transport_security.h',
                      'src/core/tsi/ssl_transport_security_utils.cc',
                      'src/core/tsi/ssl_transport_security_utils.h',
                      'src/core/tsi/ssl_types.h',
                      'src/core/tsi/transport_security.cc',
                      'src/core/tsi/transport_security.h',
                      'src/core/tsi/transport_security_grpc.cc',
                      'src/core/tsi/transport_security_grpc.h',
                      'src/core/tsi/transport_security_interface.h',
                      'third_party/re2/re2/bitmap256.h',
                      'third_party/re2/re2/bitstate.cc',
                      'third_party/re2/re2/compile.cc',
                      'third_party/re2/re2/dfa.cc',
                      'third_party/re2/re2/filtered_re2.cc',
                      'third_party/re2/re2/filtered_re2.h',
                      'third_party/re2/re2/mimics_pcre.cc',
                      'third_party/re2/re2/nfa.cc',
                      'third_party/re2/re2/onepass.cc',
                      'third_party/re2/re2/parse.cc',
                      'third_party/re2/re2/perl_groups.cc',
                      'third_party/re2/re2/pod_array.h',
                      'third_party/re2/re2/prefilter.cc',
                      'third_party/re2/re2/prefilter.h',
                      'third_party/re2/re2/prefilter_tree.cc',
                      'third_party/re2/re2/prefilter_tree.h',
                      'third_party/re2/re2/prog.cc',
                      'third_party/re2/re2/prog.h',
                      'third_party/re2/re2/re2.cc',
                      'third_party/re2/re2/re2.h',
                      'third_party/re2/re2/regexp.cc',
                      'third_party/re2/re2/regexp.h',
                      'third_party/re2/re2/set.cc',
                      'third_party/re2/re2/set.h',
                      'third_party/re2/re2/simplify.cc',
                      'third_party/re2/re2/sparse_array.h',
                      'third_party/re2/re2/sparse_set.h',
                      'third_party/re2/re2/stringpiece.cc',
                      'third_party/re2/re2/stringpiece.h',
                      'third_party/re2/re2/tostring.cc',
                      'third_party/re2/re2/unicode_casefold.cc',
                      'third_party/re2/re2/unicode_casefold.h',
                      'third_party/re2/re2/unicode_groups.cc',
                      'third_party/re2/re2/unicode_groups.h',
                      'third_party/re2/re2/walker-inl.h',
                      'third_party/re2/util/benchmark.h',
                      'third_party/re2/util/flags.h',
                      'third_party/re2/util/logging.h',
                      'third_party/re2/util/malloc_counter.h',
                      'third_party/re2/util/mix.h',
                      'third_party/re2/util/mutex.h',
                      'third_party/re2/util/pcre.cc',
                      'third_party/re2/util/pcre.h',
                      'third_party/re2/util/rune.cc',
                      'third_party/re2/util/strutil.cc',
                      'third_party/re2/util/strutil.h',
                      'third_party/re2/util/test.h',
                      'third_party/re2/util/utf.h',
                      'third_party/re2/util/util.h',
                      'third_party/upb/third_party/utf8_range/naive.c',
                      'third_party/upb/third_party/utf8_range/range2-neon.c',
                      'third_party/upb/third_party/utf8_range/range2-sse.c',
                      'third_party/upb/third_party/utf8_range/utf8_range.h',
                      'third_party/upb/upb/arena.c',
                      'third_party/upb/upb/arena.h',
                      'third_party/upb/upb/array.c',
                      'third_party/upb/upb/array.h',
                      'third_party/upb/upb/collections.h',
                      'third_party/upb/upb/decode.c',
                      'third_party/upb/upb/decode.h',
                      'third_party/upb/upb/decode_fast.c',
                      'third_party/upb/upb/decode_fast.h',
                      'third_party/upb/upb/def.c',
                      'third_party/upb/upb/def.h',
                      'third_party/upb/upb/def.hpp',
                      'third_party/upb/upb/encode.c',
                      'third_party/upb/upb/encode.h',
                      'third_party/upb/upb/extension_registry.c',
                      'third_party/upb/upb/extension_registry.h',
                      'third_party/upb/upb/internal/decode.h',
                      'third_party/upb/upb/internal/table.h',
                      'third_party/upb/upb/internal/upb.h',
                      'third_party/upb/upb/internal/vsnprintf_compat.h',
                      'third_party/upb/upb/json_decode.c',
                      'third_party/upb/upb/json_decode.h',
                      'third_party/upb/upb/json_encode.c',
                      'third_party/upb/upb/json_encode.h',
                      'third_party/upb/upb/map.c',
                      'third_party/upb/upb/map.h',
                      'third_party/upb/upb/message_value.h',
                      'third_party/upb/upb/mini_table.c',
                      'third_party/upb/upb/mini_table.h',
                      'third_party/upb/upb/mini_table.hpp',
                      'third_party/upb/upb/msg.c',
                      'third_party/upb/upb/msg.h',
                      'third_party/upb/upb/msg_internal.h',
                      'third_party/upb/upb/port_def.inc',
                      'third_party/upb/upb/port_undef.inc',
                      'third_party/upb/upb/reflection.c',
                      'third_party/upb/upb/reflection.h',
                      'third_party/upb/upb/reflection.hpp',
                      'third_party/upb/upb/status.c',
                      'third_party/upb/upb/status.h',
                      'third_party/upb/upb/table.c',
                      'third_party/upb/upb/table_internal.h',
                      'third_party/upb/upb/text_encode.c',
                      'third_party/upb/upb/text_encode.h',
                      'third_party/upb/upb/upb.c',
                      'third_party/upb/upb/upb.h',
                      'third_party/upb/upb/upb.hpp',
                      'third_party/xxhash/xxhash.h'
    ss.private_header_files = 'src/core/ext/filters/channel_idle/channel_idle_filter.h',
                              'src/core/ext/filters/channel_idle/idle_filter_state.h',
                              'src/core/ext/filters/client_channel/backend_metric.h',
                              'src/core/ext/filters/client_channel/backup_poller.h',
                              'src/core/ext/filters/client_channel/client_channel.h',
                              'src/core/ext/filters/client_channel/client_channel_channelz.h',
                              'src/core/ext/filters/client_channel/client_channel_factory.h',
                              'src/core/ext/filters/client_channel/client_channel_service_config.h',
                              'src/core/ext/filters/client_channel/config_selector.h',
                              'src/core/ext/filters/client_channel/connector.h',
                              'src/core/ext/filters/client_channel/dynamic_filters.h',
                              'src/core/ext/filters/client_channel/global_subchannel_pool.h',
                              'src/core/ext/filters/client_channel/health/health_check_client.h',
                              'src/core/ext/filters/client_channel/http_proxy.h',
                              'src/core/ext/filters/client_channel/lb_call_state_internal.h',
                              'src/core/ext/filters/client_channel/lb_policy/address_filtering.h',
                              'src/core/ext/filters/client_channel/lb_policy/backend_metric_data.h',
                              'src/core/ext/filters/client_channel/lb_policy/child_policy_handler.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/client_load_reporting_filter.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_balancer_addresses.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/grpclb_client_stats.h',
                              'src/core/ext/filters/client_channel/lb_policy/grpclb/load_balancer_api.h',
                              'src/core/ext/filters/client_channel/lb_policy/oob_backend_metric.h',
                              'src/core/ext/filters/client_channel/lb_policy/outlier_detection/outlier_detection.h',
                              'src/core/ext/filters/client_channel/lb_policy/ring_hash/ring_hash.h',
                              'src/core/ext/filters/client_channel/lb_policy/subchannel_list.h',
                              'src/core/ext/filters/client_channel/lb_policy/xds/xds_attributes.h',
                              'src/core/ext/filters/client_channel/lb_policy/xds/xds_channel_args.h',
                              'src/core/ext/filters/client_channel/lb_policy/xds/xds_override_host.h',
                              'src/core/ext/filters/client_channel/local_subchannel_pool.h',
                              'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_ev_driver.h',
                              'src/core/ext/filters/client_channel/resolver/dns/c_ares/grpc_ares_wrapper.h',
                              'src/core/ext/filters/client_channel/resolver/dns/dns_resolver_selection.h',
                              'src/core/ext/filters/client_channel/resolver/fake/fake_resolver.h',
                              'src/core/ext/filters/client_channel/resolver/polling_resolver.h',
                              'src/core/ext/filters/client_channel/resolver/xds/xds_resolver.h',
                              'src/core/ext/filters/client_channel/retry_filter.h',
                              'src/core/ext/filters/client_channel/retry_service_config.h',
                              'src/core/ext/filters/client_channel/retry_throttle.h',
                              'src/core/ext/filters/client_channel/subchannel.h',
                              'src/core/ext/filters/client_channel/subchannel_interface_internal.h',
                              'src/core/ext/filters/client_channel/subchannel_pool_interface.h',
                              'src/core/ext/filters/client_channel/subchannel_stream_client.h',
                              'src/core/ext/filters/deadline/deadline_filter.h',
                              'src/core/ext/filters/fault_injection/fault_injection_filter.h',
                              'src/core/ext/filters/fault_injection/fault_injection_service_config_parser.h',
                              'src/core/ext/filters/http/client/http_client_filter.h',
                              'src/core/ext/filters/http/client_authority_filter.h',
                              'src/core/ext/filters/http/message_compress/compression_filter.h',
                              'src/core/ext/filters/http/server/http_server_filter.h',
                              'src/core/ext/filters/message_size/message_size_filter.h',
                              'src/core/ext/filters/rbac/rbac_filter.h',
                              'src/core/ext/filters/rbac/rbac_service_config_parser.h',
                              'src/core/ext/filters/server_config_selector/server_config_selector.h',
                              'src/core/ext/filters/server_config_selector/server_config_selector_filter.h',
                              'src/core/ext/filters/stateful_session/stateful_session_filter.h',
                              'src/core/ext/filters/stateful_session/stateful_session_service_config_parser.h',
                              'src/core/ext/transport/chttp2/alpn/alpn.h',
                              'src/core/ext/transport/chttp2/client/chttp2_connector.h',
                              'src/core/ext/transport/chttp2/server/chttp2_server.h',
                              'src/core/ext/transport/chttp2/transport/bin_decoder.h',
                              'src/core/ext/transport/chttp2/transport/bin_encoder.h',
                              'src/core/ext/transport/chttp2/transport/chttp2_transport.h',
                              'src/core/ext/transport/chttp2/transport/context_list.h',
                              'src/core/ext/transport/chttp2/transport/decode_huff.h',
                              'src/core/ext/transport/chttp2/transport/flow_control.h',
                              'src/core/ext/transport/chttp2/transport/frame.h',
                              'src/core/ext/transport/chttp2/transport/frame_data.h',
                              'src/core/ext/transport/chttp2/transport/frame_goaway.h',
                              'src/core/ext/transport/chttp2/transport/frame_ping.h',
                              'src/core/ext/transport/chttp2/transport/frame_rst_stream.h',
                              'src/core/ext/transport/chttp2/transport/frame_settings.h',
                              'src/core/ext/transport/chttp2/transport/frame_window_update.h',
                              'src/core/ext/transport/chttp2/transport/hpack_constants.h',
                              'src/core/ext/transport/chttp2/transport/hpack_encoder.h',
                              'src/core/ext/transport/chttp2/transport/hpack_encoder_table.h',
                              'src/core/ext/transport/chttp2/transport/hpack_parser.h',
                              'src/core/ext/transport/chttp2/transport/hpack_parser_table.h',
                              'src/core/ext/transport/chttp2/transport/http2_settings.h',
                              'src/core/ext/transport/chttp2/transport/http_trace.h',
                              'src/core/ext/transport/chttp2/transport/huffsyms.h',
                              'src/core/ext/transport/chttp2/transport/internal.h',
                              'src/core/ext/transport/chttp2/transport/stream_map.h',
                              'src/core/ext/transport/chttp2/transport/varint.h',
                              'src/core/ext/transport/inproc/inproc_transport.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/certs.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/clusters.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/config_dump.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/config_dump_shared.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/init_dump.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/listeners.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/memory.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/metrics.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/mutex_stats.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/server_info.upb.h',
                              'src/core/ext/upb-generated/envoy/admin/v3/tap.upb.h',
                              'src/core/ext/upb-generated/envoy/annotations/deprecation.upb.h',
                              'src/core/ext/upb-generated/envoy/annotations/resource.upb.h',
                              'src/core/ext/upb-generated/envoy/config/accesslog/v3/accesslog.upb.h',
                              'src/core/ext/upb-generated/envoy/config/bootstrap/v3/bootstrap.upb.h',
                              'src/core/ext/upb-generated/envoy/config/cluster/v3/circuit_breaker.upb.h',
                              'src/core/ext/upb-generated/envoy/config/cluster/v3/cluster.upb.h',
                              'src/core/ext/upb-generated/envoy/config/cluster/v3/filter.upb.h',
                              'src/core/ext/upb-generated/envoy/config/cluster/v3/outlier_detection.upb.h',
                              'src/core/ext/upb-generated/envoy/config/common/matcher/v3/matcher.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/address.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/backoff.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/base.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/config_source.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/event_service_config.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/extension.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/grpc_method_list.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/grpc_service.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/health_check.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/http_uri.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/protocol.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/proxy_protocol.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/resolver.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/socket_option.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/substitution_format_string.upb.h',
                              'src/core/ext/upb-generated/envoy/config/core/v3/udp_socket_config.upb.h',
                              'src/core/ext/upb-generated/envoy/config/endpoint/v3/endpoint.upb.h',
                              'src/core/ext/upb-generated/envoy/config/endpoint/v3/endpoint_components.upb.h',
                              'src/core/ext/upb-generated/envoy/config/endpoint/v3/load_report.upb.h',
                              'src/core/ext/upb-generated/envoy/config/listener/v3/api_listener.upb.h',
                              'src/core/ext/upb-generated/envoy/config/listener/v3/listener.upb.h',
                              'src/core/ext/upb-generated/envoy/config/listener/v3/listener_components.upb.h',
                              'src/core/ext/upb-generated/envoy/config/listener/v3/quic_config.upb.h',
                              'src/core/ext/upb-generated/envoy/config/listener/v3/udp_listener_config.upb.h',
                              'src/core/ext/upb-generated/envoy/config/metrics/v3/metrics_service.upb.h',
                              'src/core/ext/upb-generated/envoy/config/metrics/v3/stats.upb.h',
                              'src/core/ext/upb-generated/envoy/config/overload/v3/overload.upb.h',
                              'src/core/ext/upb-generated/envoy/config/rbac/v3/rbac.upb.h',
                              'src/core/ext/upb-generated/envoy/config/route/v3/route.upb.h',
                              'src/core/ext/upb-generated/envoy/config/route/v3/route_components.upb.h',
                              'src/core/ext/upb-generated/envoy/config/route/v3/scoped_route.upb.h',
                              'src/core/ext/upb-generated/envoy/config/tap/v3/common.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/datadog.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/dynamic_ot.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/http_tracer.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/lightstep.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/opencensus.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/opentelemetry.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/service.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/skywalking.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/trace.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/xray.upb.h',
                              'src/core/ext/upb-generated/envoy/config/trace/v3/zipkin.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/clusters/aggregate/v3/cluster.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/common/fault/v3/fault.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/http/fault/v3/fault.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/http/rbac/v3/rbac.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/http/router/v3/router.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/http/stateful_session/v3/stateful_session.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/filters/network/http_connection_manager/v3/http_connection_manager.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/http/stateful_session/cookie/v3/cookie.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/load_balancing_policies/ring_hash/v3/ring_hash.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/load_balancing_policies/wrr_locality/v3/wrr_locality.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/cert.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/common.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/secret.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/tls.upb.h',
                              'src/core/ext/upb-generated/envoy/extensions/transport_sockets/tls/v3/tls_spiffe_validator_config.upb.h',
                              'src/core/ext/upb-generated/envoy/service/discovery/v3/ads.upb.h',
                              'src/core/ext/upb-generated/envoy/service/discovery/v3/discovery.upb.h',
                              'src/core/ext/upb-generated/envoy/service/load_stats/v3/lrs.upb.h',
                              'src/core/ext/upb-generated/envoy/service/status/v3/csds.upb.h',
                              'src/core/ext/upb-generated/envoy/type/http/v3/cookie.upb.h',
                              'src/core/ext/upb-generated/envoy/type/http/v3/path_transformation.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/http_inputs.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/metadata.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/node.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/number.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/path.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/regex.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/string.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/struct.upb.h',
                              'src/core/ext/upb-generated/envoy/type/matcher/v3/value.upb.h',
                              'src/core/ext/upb-generated/envoy/type/metadata/v3/metadata.upb.h',
                              'src/core/ext/upb-generated/envoy/type/tracing/v3/custom_tag.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/hash_policy.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/http.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/http_status.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/percent.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/range.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/ratelimit_strategy.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/ratelimit_unit.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/semantic_version.upb.h',
                              'src/core/ext/upb-generated/envoy/type/v3/token_bucket.upb.h',
                              'src/core/ext/upb-generated/google/api/annotations.upb.h',
                              'src/core/ext/upb-generated/google/api/expr/v1alpha1/checked.upb.h',
                              'src/core/ext/upb-generated/google/api/expr/v1alpha1/syntax.upb.h',
                              'src/core/ext/upb-generated/google/api/http.upb.h',
                              'src/core/ext/upb-generated/google/api/httpbody.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/any.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/descriptor.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/duration.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/empty.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/struct.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/timestamp.upb.h',
                              'src/core/ext/upb-generated/google/protobuf/wrappers.upb.h',
                              'src/core/ext/upb-generated/google/rpc/status.upb.h',
                              'src/core/ext/upb-generated/opencensus/proto/trace/v1/trace_config.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/gcp/altscontext.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/gcp/handshaker.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/gcp/transport_security_common.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/health/v1/health.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/lb/v1/load_balancer.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/lookup/v1/rls.upb.h',
                              'src/core/ext/upb-generated/src/proto/grpc/lookup/v1/rls_config.upb.h',
                              'src/core/ext/upb-generated/udpa/annotations/migrate.upb.h',
                              'src/core/ext/upb-generated/udpa/annotations/security.upb.h',
                              'src/core/ext/upb-generated/udpa/annotations/sensitive.upb.h',
                              'src/core/ext/upb-generated/udpa/annotations/status.upb.h',
                              'src/core/ext/upb-generated/udpa/annotations/versioning.upb.h',
                              'src/core/ext/upb-generated/validate/validate.upb.h',
                              'src/core/ext/upb-generated/xds/annotations/v3/migrate.upb.h',
                              'src/core/ext/upb-generated/xds/annotations/v3/security.upb.h',
                              'src/core/ext/upb-generated/xds/annotations/v3/sensitive.upb.h',
                              'src/core/ext/upb-generated/xds/annotations/v3/status.upb.h',
                              'src/core/ext/upb-generated/xds/annotations/v3/versioning.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/authority.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/cidr.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/collection_entry.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/context_params.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/extension.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/resource.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/resource_locator.upb.h',
                              'src/core/ext/upb-generated/xds/core/v3/resource_name.upb.h',
                              'src/core/ext/upb-generated/xds/data/orca/v3/orca_load_report.upb.h',
                              'src/core/ext/upb-generated/xds/service/orca/v3/orca.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/cel.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/domain.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/http_inputs.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/ip.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/matcher.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/range.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/regex.upb.h',
                              'src/core/ext/upb-generated/xds/type/matcher/v3/string.upb.h',
                              'src/core/ext/upb-generated/xds/type/v3/cel.upb.h',
                              'src/core/ext/upb-generated/xds/type/v3/range.upb.h',
                              'src/core/ext/upb-generated/xds/type/v3/typed_struct.upb.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/certs.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/clusters.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/config_dump.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/config_dump_shared.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/init_dump.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/listeners.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/memory.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/metrics.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/mutex_stats.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/server_info.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/admin/v3/tap.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/annotations/deprecation.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/annotations/resource.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/accesslog/v3/accesslog.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/bootstrap/v3/bootstrap.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/circuit_breaker.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/cluster.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/filter.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/cluster/v3/outlier_detection.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/common/matcher/v3/matcher.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/address.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/backoff.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/base.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/config_source.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/event_service_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/extension.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/grpc_method_list.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/grpc_service.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/health_check.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/http_uri.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/protocol.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/proxy_protocol.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/resolver.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/socket_option.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/substitution_format_string.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/core/v3/udp_socket_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/endpoint.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/endpoint_components.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/endpoint/v3/load_report.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/listener/v3/api_listener.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/listener/v3/listener.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/listener/v3/listener_components.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/listener/v3/quic_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/listener/v3/udp_listener_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/metrics/v3/metrics_service.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/metrics/v3/stats.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/overload/v3/overload.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/rbac/v3/rbac.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/route/v3/route.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/route/v3/route_components.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/route/v3/scoped_route.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/tap/v3/common.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/datadog.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/dynamic_ot.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/http_tracer.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/lightstep.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/opencensus.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/opentelemetry.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/service.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/skywalking.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/trace.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/xray.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/config/trace/v3/zipkin.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/clusters/aggregate/v3/cluster.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/common/fault/v3/fault.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/fault/v3/fault.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/rbac/v3/rbac.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/router/v3/router.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/http/stateful_session/v3/stateful_session.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/filters/network/http_connection_manager/v3/http_connection_manager.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/http/stateful_session/cookie/v3/cookie.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/cert.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/common.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/secret.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/tls.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/extensions/transport_sockets/tls/v3/tls_spiffe_validator_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/service/discovery/v3/ads.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/service/discovery/v3/discovery.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/service/load_stats/v3/lrs.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/service/status/v3/csds.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/http/v3/cookie.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/http/v3/path_transformation.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/http_inputs.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/metadata.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/node.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/number.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/path.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/regex.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/string.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/struct.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/matcher/v3/value.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/metadata/v3/metadata.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/tracing/v3/custom_tag.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/hash_policy.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/http.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/http_status.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/percent.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/range.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/ratelimit_strategy.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/ratelimit_unit.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/semantic_version.upbdefs.h',
                              'src/core/ext/upbdefs-generated/envoy/type/v3/token_bucket.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/api/annotations.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/api/expr/v1alpha1/checked.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/api/expr/v1alpha1/syntax.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/api/http.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/api/httpbody.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/any.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/descriptor.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/duration.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/empty.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/struct.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/timestamp.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/protobuf/wrappers.upbdefs.h',
                              'src/core/ext/upbdefs-generated/google/rpc/status.upbdefs.h',
                              'src/core/ext/upbdefs-generated/opencensus/proto/trace/v1/trace_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/src/proto/grpc/lookup/v1/rls_config.upbdefs.h',
                              'src/core/ext/upbdefs-generated/udpa/annotations/migrate.upbdefs.h',
                              'src/core/ext/upbdefs-generated/udpa/annotations/security.upbdefs.h',
                              'src/core/ext/upbdefs-generated/udpa/annotations/sensitive.upbdefs.h',
                              'src/core/ext/upbdefs-generated/udpa/annotations/status.upbdefs.h',
                              'src/core/ext/upbdefs-generated/udpa/annotations/versioning.upbdefs.h',
                              'src/core/ext/upbdefs-generated/validate/validate.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/annotations/v3/migrate.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/annotations/v3/security.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/annotations/v3/sensitive.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/annotations/v3/status.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/annotations/v3/versioning.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/authority.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/cidr.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/collection_entry.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/context_params.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/extension.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/resource.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/resource_locator.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/core/v3/resource_name.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/cel.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/domain.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/http_inputs.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/ip.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/matcher.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/range.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/regex.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/matcher/v3/string.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/v3/cel.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/v3/range.upbdefs.h',
                              'src/core/ext/upbdefs-generated/xds/type/v3/typed_struct.upbdefs.h',
                              'src/core/ext/xds/certificate_provider_store.h',
                              'src/core/ext/xds/file_watcher_certificate_provider_factory.h',
                              'src/core/ext/xds/upb_utils.h',
                              'src/core/ext/xds/xds_api.h',
                              'src/core/ext/xds/xds_bootstrap.h',
                              'src/core/ext/xds/xds_bootstrap_grpc.h',
                              'src/core/ext/xds/xds_certificate_provider.h',
                              'src/core/ext/xds/xds_channel_args.h',
                              'src/core/ext/xds/xds_channel_stack_modifier.h',
                              'src/core/ext/xds/xds_client.h',
                              'src/core/ext/xds/xds_client_grpc.h',
                              'src/core/ext/xds/xds_client_stats.h',
                              'src/core/ext/xds/xds_cluster.h',
                              'src/core/ext/xds/xds_cluster_specifier_plugin.h',
                              'src/core/ext/xds/xds_common_types.h',
                              'src/core/ext/xds/xds_endpoint.h',
                              'src/core/ext/xds/xds_health_status.h',
                              'src/core/ext/xds/xds_http_fault_filter.h',
                              'src/core/ext/xds/xds_http_filters.h',
                              'src/core/ext/xds/xds_http_rbac_filter.h',
                              'src/core/ext/xds/xds_http_stateful_session_filter.h',
                              'src/core/ext/xds/xds_lb_policy_registry.h',
                              'src/core/ext/xds/xds_listener.h',
                              'src/core/ext/xds/xds_resource_type.h',
                              'src/core/ext/xds/xds_resource_type_impl.h',
                              'src/core/ext/xds/xds_route_config.h',
                              'src/core/ext/xds/xds_routing.h',
                              'src/core/ext/xds/xds_transport.h',
                              'src/core/ext/xds/xds_transport_grpc.h',
                              'src/core/lib/address_utils/parse_address.h',
                              'src/core/lib/address_utils/sockaddr_utils.h',
                              'src/core/lib/avl/avl.h',
                              'src/core/lib/backoff/backoff.h',
                              'src/core/lib/channel/call_finalization.h',
                              'src/core/lib/channel/call_tracer.h',
                              'src/core/lib/channel/channel_args.h',
                              'src/core/lib/channel/channel_args_preconditioning.h',
                              'src/core/lib/channel/channel_fwd.h',
                              'src/core/lib/channel/channel_stack.h',
                              'src/core/lib/channel/channel_stack_builder.h',
                              'src/core/lib/channel/channel_stack_builder_impl.h',
                              'src/core/lib/channel/channel_trace.h',
                              'src/core/lib/channel/channelz.h',
                              'src/core/lib/channel/channelz_registry.h',
                              'src/core/lib/channel/connected_channel.h',
                              'src/core/lib/channel/context.h',
                              'src/core/lib/channel/promise_based_filter.h',
                              'src/core/lib/channel/status_util.h',
                              'src/core/lib/compression/compression_internal.h',
                              'src/core/lib/compression/message_compress.h',
                              'src/core/lib/config/core_configuration.h',
                              'src/core/lib/debug/event_log.h',
                              'src/core/lib/debug/histogram_view.h',
                              'src/core/lib/debug/stats.h',
                              'src/core/lib/debug/stats_data.h',
                              'src/core/lib/debug/trace.h',
                              'src/core/lib/event_engine/channel_args_endpoint_config.h',
                              'src/core/lib/event_engine/common_closures.h',
                              'src/core/lib/event_engine/default_event_engine.h',
                              'src/core/lib/event_engine/default_event_engine_factory.h',
                              'src/core/lib/event_engine/executor/executor.h',
                              'src/core/lib/event_engine/forkable.h',
                              'src/core/lib/event_engine/handle_containers.h',
                              'src/core/lib/event_engine/poller.h',
                              'src/core/lib/event_engine/posix_engine/ev_epoll1_linux.h',
                              'src/core/lib/event_engine/posix_engine/ev_poll_posix.h',
                              'src/core/lib/event_engine/posix_engine/event_poller.h',
                              'src/core/lib/event_engine/posix_engine/event_poller_posix_default.h',
                              'src/core/lib/event_engine/posix_engine/internal_errqueue.h',
                              'src/core/lib/event_engine/posix_engine/lockfree_event.h',
                              'src/core/lib/event_engine/posix_engine/posix_endpoint.h',
                              'src/core/lib/event_engine/posix_engine/posix_engine.h',
                              'src/core/lib/event_engine/posix_engine/posix_engine_closure.h',
                              'src/core/lib/event_engine/posix_engine/posix_engine_listener.h',
                              'src/core/lib/event_engine/posix_engine/posix_engine_listener_utils.h',
                              'src/core/lib/event_engine/posix_engine/tcp_socket_utils.h',
                              'src/core/lib/event_engine/posix_engine/timer.h',
                              'src/core/lib/event_engine/posix_engine/timer_heap.h',
                              'src/core/lib/event_engine/posix_engine/timer_manager.h',
                              'src/core/lib/event_engine/posix_engine/traced_buffer_list.h',
                              'src/core/lib/event_engine/posix_engine/wakeup_fd_eventfd.h',
                              'src/core/lib/event_engine/posix_engine/wakeup_fd_pipe.h',
                              'src/core/lib/event_engine/posix_engine/wakeup_fd_posix.h',
                              'src/core/lib/event_engine/posix_engine/wakeup_fd_posix_default.h',
                              'src/core/lib/event_engine/socket_notifier.h',
                              'src/core/lib/event_engine/tcp_socket_utils.h',
                              'src/core/lib/event_engine/thread_pool.h',
                              'src/core/lib/event_engine/time_util.h',
                              'src/core/lib/event_engine/trace.h',
                              'src/core/lib/event_engine/utils.h',
                              'src/core/lib/event_engine/windows/iocp.h',
                              'src/core/lib/event_engine/windows/win_socket.h',
                              'src/core/lib/event_engine/windows/windows_engine.h',
                              'src/core/lib/experiments/config.h',
                              'src/core/lib/experiments/experiments.h',
                              'src/core/lib/gpr/alloc.h',
                              'src/core/lib/gpr/spinlock.h',
                              'src/core/lib/gpr/string.h',
                              'src/core/lib/gpr/time_precise.h',
                              'src/core/lib/gpr/tmpfile.h',
                              'src/core/lib/gpr/useful.h',
                              'src/core/lib/gprpp/atomic_utils.h',
                              'src/core/lib/gprpp/bitset.h',
                              'src/core/lib/gprpp/chunked_vector.h',
                              'src/core/lib/gprpp/construct_destruct.h',
                              'src/core/lib/gprpp/cpp_impl_of.h',
                              'src/core/lib/gprpp/crash.h',
                              'src/core/lib/gprpp/debug_location.h',
                              'src/core/lib/gprpp/dual_ref_counted.h',
                              'src/core/lib/gprpp/env.h',
                              'src/core/lib/gprpp/examine_stack.h',
                              'src/core/lib/gprpp/fork.h',
                              'src/core/lib/gprpp/global_config.h',
                              'src/core/lib/gprpp/global_config_custom.h',
                              'src/core/lib/gprpp/global_config_env.h',
                              'src/core/lib/gprpp/global_config_generic.h',
                              'src/core/lib/gprpp/host_port.h',
                              'src/core/lib/gprpp/load_file.h',
                              'src/core/lib/gprpp/manual_constructor.h',
                              'src/core/lib/gprpp/match.h',
                              'src/core/lib/gprpp/memory.h',
                              'src/core/lib/gprpp/mpscq.h',
                              'src/core/lib/gprpp/no_destruct.h',
                              'src/core/lib/gprpp/notification.h',
                              'src/core/lib/gprpp/orphanable.h',
                              'src/core/lib/gprpp/overload.h',
                              'src/core/lib/gprpp/packed_table.h',
                              'src/core/lib/gprpp/per_cpu.h',
                              'src/core/lib/gprpp/ref_counted.h',
                              'src/core/lib/gprpp/ref_counted_ptr.h',
                              'src/core/lib/gprpp/single_set_ptr.h',
                              'src/core/lib/gprpp/sorted_pack.h',
                              'src/core/lib/gprpp/stat.h',
                              'src/core/lib/gprpp/status_helper.h',
                              'src/core/lib/gprpp/strerror.h',
                              'src/core/lib/gprpp/sync.h',
                              'src/core/lib/gprpp/table.h',
                              'src/core/lib/gprpp/tchar.h',
                              'src/core/lib/gprpp/thd.h',
                              'src/core/lib/gprpp/time.h',
                              'src/core/lib/gprpp/time_averaged_stats.h',
                              'src/core/lib/gprpp/time_util.h',
                              'src/core/lib/gprpp/unique_type_name.h',
                              'src/core/lib/gprpp/validation_errors.h',
                              'src/core/lib/gprpp/work_serializer.h',
                              'src/core/lib/handshaker/proxy_mapper.h',
                              'src/core/lib/handshaker/proxy_mapper_registry.h',
                              'src/core/lib/http/format_request.h',
                              'src/core/lib/http/httpcli.h',
                              'src/core/lib/http/httpcli_ssl_credentials.h',
                              'src/core/lib/http/parser.h',
                              'src/core/lib/iomgr/block_annotate.h',
                              'src/core/lib/iomgr/buffer_list.h',
                              'src/core/lib/iomgr/call_combiner.h',
                              'src/core/lib/iomgr/cfstream_handle.h',
                              'src/core/lib/iomgr/closure.h',
                              'src/core/lib/iomgr/combiner.h',
                              'src/core/lib/iomgr/dynamic_annotations.h',
                              'src/core/lib/iomgr/endpoint.h',
                              'src/core/lib/iomgr/endpoint_cfstream.h',
                              'src/core/lib/iomgr/endpoint_pair.h',
                              'src/core/lib/iomgr/error.h',
                              'src/core/lib/iomgr/error_cfstream.h',
                              'src/core/lib/iomgr/ev_apple.h',
                              'src/core/lib/iomgr/ev_epoll1_linux.h',
                              'src/core/lib/iomgr/ev_poll_posix.h',
                              'src/core/lib/iomgr/ev_posix.h',
                              'src/core/lib/iomgr/exec_ctx.h',
                              'src/core/lib/iomgr/executor.h',
                              'src/core/lib/iomgr/gethostname.h',
                              'src/core/lib/iomgr/grpc_if_nametoindex.h',
                              'src/core/lib/iomgr/internal_errqueue.h',
                              'src/core/lib/iomgr/iocp_windows.h',
                              'src/core/lib/iomgr/iomgr.h',
                              'src/core/lib/iomgr/iomgr_fwd.h',
                              'src/core/lib/iomgr/iomgr_internal.h',
                              'src/core/lib/iomgr/load_file.h',
                              'src/core/lib/iomgr/lockfree_event.h',
                              'src/core/lib/iomgr/nameser.h',
                              'src/core/lib/iomgr/polling_entity.h',
                              'src/core/lib/iomgr/pollset.h',
                              'src/core/lib/iomgr/pollset_set.h',
                              'src/core/lib/iomgr/pollset_set_windows.h',
                              'src/core/lib/iomgr/pollset_windows.h',
                              'src/core/lib/iomgr/port.h',
                              'src/core/lib/iomgr/python_util.h',
                              'src/core/lib/iomgr/resolve_address.h',
                              'src/core/lib/iomgr/resolve_address_impl.h',
                              'src/core/lib/iomgr/resolve_address_posix.h',
                              'src/core/lib/iomgr/resolve_address_windows.h',
                              'src/core/lib/iomgr/resolved_address.h',
                              'src/core/lib/iomgr/sockaddr.h',
                              'src/core/lib/iomgr/sockaddr_posix.h',
                              'src/core/lib/iomgr/sockaddr_windows.h',
                              'src/core/lib/iomgr/socket_factory_posix.h',
                              'src/core/lib/iomgr/socket_mutator.h',
                              'src/core/lib/iomgr/socket_utils.h',
                              'src/core/lib/iomgr/socket_utils_posix.h',
                              'src/core/lib/iomgr/socket_windows.h',
                              'src/core/lib/iomgr/systemd_utils.h',
                              'src/core/lib/iomgr/tcp_client.h',
                              'src/core/lib/iomgr/tcp_client_posix.h',
                              'src/core/lib/iomgr/tcp_posix.h',
                              'src/core/lib/iomgr/tcp_server.h',
                              'src/core/lib/iomgr/tcp_server_utils_posix.h',
                              'src/core/lib/iomgr/tcp_windows.h',
                              'src/core/lib/iomgr/timer.h',
                              'src/core/lib/iomgr/timer_generic.h',
                              'src/core/lib/iomgr/timer_heap.h',
                              'src/core/lib/iomgr/timer_manager.h',
                              'src/core/lib/iomgr/unix_sockets_posix.h',
                              'src/core/lib/iomgr/wakeup_fd_pipe.h',
                              'src/core/lib/iomgr/wakeup_fd_posix.h',
                              'src/core/lib/json/json.h',
                              'src/core/lib/json/json_args.h',
                              'src/core/lib/json/json_channel_args.h',
                              'src/core/lib/json/json_object_loader.h',
                              'src/core/lib/json/json_util.h',
                              'src/core/lib/load_balancing/lb_policy.h',
                              'src/core/lib/load_balancing/lb_policy_factory.h',
                              'src/core/lib/load_balancing/lb_policy_registry.h',
                              'src/core/lib/load_balancing/subchannel_interface.h',
                              'src/core/lib/matchers/matchers.h',
                              'src/core/lib/promise/activity.h',
                              'src/core/lib/promise/arena_promise.h',
                              'src/core/lib/promise/context.h',
                              'src/core/lib/promise/detail/basic_seq.h',
                              'src/core/lib/promise/detail/promise_factory.h',
                              'src/core/lib/promise/detail/promise_like.h',
                              'src/core/lib/promise/detail/status.h',
                              'src/core/lib/promise/detail/switch.h',
                              'src/core/lib/promise/exec_ctx_wakeup_scheduler.h',
                              'src/core/lib/promise/for_each.h',
                              'src/core/lib/promise/intra_activity_waiter.h',
                              'src/core/lib/promise/latch.h',
                              'src/core/lib/promise/loop.h',
                              'src/core/lib/promise/map.h',
                              'src/core/lib/promise/map_pipe.h',
                              'src/core/lib/promise/pipe.h',
                              'src/core/lib/promise/poll.h',
                              'src/core/lib/promise/promise.h',
                              'src/core/lib/promise/race.h',
                              'src/core/lib/promise/seq.h',
                              'src/core/lib/promise/sleep.h',
                              'src/core/lib/promise/try_concurrently.h',
                              'src/core/lib/promise/try_seq.h',
                              'src/core/lib/resolver/resolver.h',
                              'src/core/lib/resolver/resolver_factory.h',
                              'src/core/lib/resolver/resolver_registry.h',
                              'src/core/lib/resolver/server_address.h',
                              'src/core/lib/resource_quota/api.h',
                              'src/core/lib/resource_quota/arena.h',
                              'src/core/lib/resource_quota/memory_quota.h',
                              'src/core/lib/resource_quota/periodic_update.h',
                              'src/core/lib/resource_quota/resource_quota.h',
                              'src/core/lib/resource_quota/thread_quota.h',
                              'src/core/lib/resource_quota/trace.h',
                              'src/core/lib/security/authorization/authorization_engine.h',
                              'src/core/lib/security/authorization/authorization_policy_provider.h',
                              'src/core/lib/security/authorization/evaluate_args.h',
                              'src/core/lib/security/authorization/grpc_authorization_engine.h',
                              'src/core/lib/security/authorization/grpc_server_authz_filter.h',
                              'src/core/lib/security/authorization/matchers.h',
                              'src/core/lib/security/authorization/rbac_policy.h',
                              'src/core/lib/security/certificate_provider/certificate_provider_factory.h',
                              'src/core/lib/security/certificate_provider/certificate_provider_registry.h',
                              'src/core/lib/security/context/security_context.h',
                              'src/core/lib/security/credentials/alts/alts_credentials.h',
                              'src/core/lib/security/credentials/alts/check_gcp_environment.h',
                              'src/core/lib/security/credentials/alts/grpc_alts_credentials_options.h',
                              'src/core/lib/security/credentials/call_creds_util.h',
                              'src/core/lib/security/credentials/channel_creds_registry.h',
                              'src/core/lib/security/credentials/composite/composite_credentials.h',
                              'src/core/lib/security/credentials/credentials.h',
                              'src/core/lib/security/credentials/external/aws_external_account_credentials.h',
                              'src/core/lib/security/credentials/external/aws_request_signer.h',
                              'src/core/lib/security/credentials/external/external_account_credentials.h',
                              'src/core/lib/security/credentials/external/file_external_account_credentials.h',
                              'src/core/lib/security/credentials/external/url_external_account_credentials.h',
                              'src/core/lib/security/credentials/fake/fake_credentials.h',
                              'src/core/lib/security/credentials/google_default/google_default_credentials.h',
                              'src/core/lib/security/credentials/iam/iam_credentials.h',
                              'src/core/lib/security/credentials/insecure/insecure_credentials.h',
                              'src/core/lib/security/credentials/jwt/json_token.h',
                              'src/core/lib/security/credentials/jwt/jwt_credentials.h',
                              'src/core/lib/security/credentials/jwt/jwt_verifier.h',
                              'src/core/lib/security/credentials/local/local_credentials.h',
                              'src/core/lib/security/credentials/oauth2/oauth2_credentials.h',
                              'src/core/lib/security/credentials/plugin/plugin_credentials.h',
                              'src/core/lib/security/credentials/ssl/ssl_credentials.h',
                              'src/core/lib/security/credentials/tls/grpc_tls_certificate_distributor.h',
                              'src/core/lib/security/credentials/tls/grpc_tls_certificate_provider.h',
                              'src/core/lib/security/credentials/tls/grpc_tls_certificate_verifier.h',
                              'src/core/lib/security/credentials/tls/grpc_tls_credentials_options.h',
                              'src/core/lib/security/credentials/tls/tls_credentials.h',
                              'src/core/lib/security/credentials/tls/tls_utils.h',
                              'src/core/lib/security/credentials/xds/xds_credentials.h',
                              'src/core/lib/security/security_connector/alts/alts_security_connector.h',
                              'src/core/lib/security/security_connector/fake/fake_security_connector.h',
                              'src/core/lib/security/security_connector/insecure/insecure_security_connector.h',
                              'src/core/lib/security/security_connector/load_system_roots.h',
                              'src/core/lib/security/security_connector/load_system_roots_supported.h',
                              'src/core/lib/security/security_connector/local/local_security_connector.h',
                              'src/core/lib/security/security_connector/security_connector.h',
                              'src/core/lib/security/security_connector/ssl/ssl_security_connector.h',
                              'src/core/lib/security/security_connector/ssl_utils.h',
                              'src/core/lib/security/security_connector/ssl_utils_config.h',
                              'src/core/lib/security/security_connector/tls/tls_security_connector.h',
                              'src/core/lib/security/transport/auth_filters.h',
                              'src/core/lib/security/transport/secure_endpoint.h',
                              'src/core/lib/security/transport/security_handshaker.h',
                              'src/core/lib/security/transport/tsi_error.h',
                              'src/core/lib/security/util/json_util.h',
                              'src/core/lib/service_config/service_config.h',
                              'src/core/lib/service_config/service_config_call_data.h',
                              'src/core/lib/service_config/service_config_impl.h',
                              'src/core/lib/service_config/service_config_parser.h',
                              'src/core/lib/slice/b64.h',
                              'src/core/lib/slice/percent_encoding.h',
                              'src/core/lib/slice/slice.h',
                              'src/core/lib/slice/slice_buffer.h',
                              'src/core/lib/slice/slice_internal.h',
                              'src/core/lib/slice/slice_refcount.h',
                              'src/core/lib/slice/slice_string_helpers.h',
                              'src/core/lib/surface/api_trace.h',
                              'src/core/lib/surface/builtins.h',
                              'src/core/lib/surface/call.h',
                              'src/core/lib/surface/call_test_only.h',
                              'src/core/lib/surface/call_trace.h',
                              'src/core/lib/surface/channel.h',
                              'src/core/lib/surface/channel_init.h',
                              'src/core/lib/surface/channel_stack_type.h',
                              'src/core/lib/surface/completion_queue.h',
                              'src/core/lib/surface/completion_queue_factory.h',
                              'src/core/lib/surface/event_string.h',
                              'src/core/lib/surface/init.h',
                              'src/core/lib/surface/init_internally.h',
                              'src/core/lib/surface/lame_client.h',
                              'src/core/lib/surface/server.h',
                              'src/core/lib/surface/validate_metadata.h',
                              'src/core/lib/transport/bdp_estimator.h',
                              'src/core/lib/transport/connectivity_state.h',
                              'src/core/lib/transport/error_utils.h',
                              'src/core/lib/transport/handshaker.h',
                              'src/core/lib/transport/handshaker_factory.h',
                              'src/core/lib/transport/handshaker_registry.h',
                              'src/core/lib/transport/http2_errors.h',
                              'src/core/lib/transport/http_connect_handshaker.h',
                              'src/core/lib/transport/metadata_batch.h',
                              'src/core/lib/transport/parsed_metadata.h',
                              'src/core/lib/transport/pid_controller.h',
                              'src/core/lib/transport/status_conversion.h',
                              'src/core/lib/transport/tcp_connect_handshaker.h',
                              'src/core/lib/transport/timeout_encoding.h',
                              'src/core/lib/transport/transport.h',
                              'src/core/lib/transport/transport_fwd.h',
                              'src/core/lib/transport/transport_impl.h',
                              'src/core/lib/uri/uri_parser.h',
                              'src/core/tsi/alts/crypt/gsec.h',
                              'src/core/tsi/alts/frame_protector/alts_counter.h',
                              'src/core/tsi/alts/frame_protector/alts_crypter.h',
                              'src/core/tsi/alts/frame_protector/alts_frame_protector.h',
                              'src/core/tsi/alts/frame_protector/alts_record_protocol_crypter_common.h',
                              'src/core/tsi/alts/frame_protector/frame_handler.h',
                              'src/core/tsi/alts/handshaker/alts_handshaker_client.h',
                              'src/core/tsi/alts/handshaker/alts_shared_resource.h',
                              'src/core/tsi/alts/handshaker/alts_tsi_handshaker.h',
                              'src/core/tsi/alts/handshaker/alts_tsi_handshaker_private.h',
                              'src/core/tsi/alts/handshaker/alts_tsi_utils.h',
                              'src/core/tsi/alts/handshaker/transport_security_common_api.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_integrity_only_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_privacy_integrity_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_grpc_record_protocol_common.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_iovec_record_protocol.h',
                              'src/core/tsi/alts/zero_copy_frame_protector/alts_zero_copy_grpc_protector.h',
                              'src/core/tsi/fake_transport_security.h',
                              'src/core/tsi/local_transport_security.h',
                              'src/core/tsi/ssl/key_logging/ssl_key_logging.h',
                              'src/core/tsi/ssl/session_cache/ssl_session.h',
                              'src/core/tsi/ssl/session_cache/ssl_session_cache.h',
                              'src/core/tsi/ssl_transport_security.h',
                              'src/core/tsi/ssl_transport_security_utils.h',
                              'src/core/tsi/ssl_types.h',
                              'src/core/tsi/transport_security.h',
                              'src/core/tsi/transport_security_grpc.h',
                              'src/core/tsi/transport_security_interface.h',
                              'third_party/re2/re2/bitmap256.h',
                              'third_party/re2/re2/filtered_re2.h',
                              'third_party/re2/re2/pod_array.h',
                              'third_party/re2/re2/prefilter.h',
                              'third_party/re2/re2/prefilter_tree.h',
                              'third_party/re2/re2/prog.h',
                              'third_party/re2/re2/re2.h',
                              'third_party/re2/re2/regexp.h',
                              'third_party/re2/re2/set.h',
                              'third_party/re2/re2/sparse_array.h',
                              'third_party/re2/re2/sparse_set.h',
                              'third_party/re2/re2/stringpiece.h',
                              'third_party/re2/re2/unicode_casefold.h',
                              'third_party/re2/re2/unicode_groups.h',
                              'third_party/re2/re2/walker-inl.h',
                              'third_party/re2/util/benchmark.h',
                              'third_party/re2/util/flags.h',
                              'third_party/re2/util/logging.h',
                              'third_party/re2/util/malloc_counter.h',
                              'third_party/re2/util/mix.h',
                              'third_party/re2/util/mutex.h',
                              'third_party/re2/util/pcre.h',
                              'third_party/re2/util/strutil.h',
                              'third_party/re2/util/test.h',
                              'third_party/re2/util/utf.h',
                              'third_party/re2/util/util.h',
                              'third_party/upb/third_party/utf8_range/utf8_range.h',
                              'third_party/upb/upb/arena.h',
                              'third_party/upb/upb/array.h',
                              'third_party/upb/upb/collections.h',
                              'third_party/upb/upb/decode.h',
                              'third_party/upb/upb/decode_fast.h',
                              'third_party/upb/upb/def.h',
                              'third_party/upb/upb/def.hpp',
                              'third_party/upb/upb/encode.h',
                              'third_party/upb/upb/extension_registry.h',
                              'third_party/upb/upb/internal/decode.h',
                              'third_party/upb/upb/internal/table.h',
                              'third_party/upb/upb/internal/upb.h',
                              'third_party/upb/upb/internal/vsnprintf_compat.h',
                              'third_party/upb/upb/json_decode.h',
                              'third_party/upb/upb/json_encode.h',
                              'third_party/upb/upb/map.h',
                              'third_party/upb/upb/message_value.h',
                              'third_party/upb/upb/mini_table.h',
                              'third_party/upb/upb/mini_table.hpp',
                              'third_party/upb/upb/msg.h',
                              'third_party/upb/upb/msg_internal.h',
                              'third_party/upb/upb/port_def.inc',
                              'third_party/upb/upb/port_undef.inc',
                              'third_party/upb/upb/reflection.h',
                              'third_party/upb/upb/reflection.hpp',
                              'third_party/upb/upb/status.h',
                              'third_party/upb/upb/table_internal.h',
                              'third_party/upb/upb/text_encode.h',
                              'third_party/upb/upb/upb.h',
                              'third_party/upb/upb/upb.hpp',
                              'third_party/xxhash/xxhash.h'
  end

  # CFStream is now default. Leaving this subspec only for compatibility purpose.
  s.subspec 'CFStream-Implementation' do |ss|
    ss.dependency "#{s.name}/Implementation", version
  end

  s.subspec 'Cronet-Interface' do |ss|
    ss.header_mappings_dir = 'include/grpc'
    ss.source_files = 'include/grpc/grpc_cronet.h'
  end

  s.subspec 'Cronet-Implementation' do |ss|
    ss.header_mappings_dir = '.'

    ss.dependency "#{s.name}/Interface", version
    ss.dependency "#{s.name}/Implementation", version
    ss.dependency "#{s.name}/Cronet-Interface", version

    ss.source_files = 'src/core/ext/transport/cronet/client/secure/cronet_channel_create.cc',
                      'src/core/ext/transport/cronet/client/secure/cronet_channel_create.h',
                      'src/core/ext/transport/cronet/transport/cronet_status.cc',
                      'src/core/ext/transport/cronet/transport/cronet_status.h',
                      'src/core/ext/transport/cronet/transport/cronet_transport.cc',
                      'src/core/ext/transport/cronet/transport/cronet_transport.h',
                      'third_party/objective_c/Cronet/bidirectional_stream_c.h'
  end

  s.subspec 'Tests' do |ss|
    ss.header_mappings_dir = '.'

    ss.dependency "#{s.name}/Interface", version
    ss.dependency "#{s.name}/Implementation", version
    ss.dependency 'abseil/debugging/failure_signal_handler', abseil_version
    ss.dependency 'abseil/debugging/stacktrace', abseil_version
    ss.dependency 'abseil/debugging/symbolize', abseil_version

    ss.source_files = 'src/core/lib/security/authorization/grpc_authorization_policy_provider.cc',
                      'src/core/lib/security/authorization/grpc_authorization_policy_provider.h',
                      'src/core/lib/security/authorization/rbac_translator.cc',
                      'src/core/lib/security/authorization/rbac_translator.h',
                      'test/core/end2end/cq_verifier.cc',
                      'test/core/end2end/cq_verifier.h',
                      'test/core/end2end/data/client_certs.cc',
                      'test/core/end2end/data/server1_cert.cc',
                      'test/core/end2end/data/server1_key.cc',
                      'test/core/end2end/data/ssl_test_data.h',
                      'test/core/end2end/data/test_root_cert.cc',
                      'test/core/end2end/end2end_test_utils.cc',
                      'test/core/end2end/end2end_tests.cc',
                      'test/core/end2end/end2end_tests.h',
                      'test/core/end2end/fixtures/http_proxy_fixture.cc',
                      'test/core/end2end/fixtures/http_proxy_fixture.h',
                      'test/core/end2end/fixtures/local_util.cc',
                      'test/core/end2end/fixtures/local_util.h',
                      'test/core/end2end/fixtures/proxy.cc',
                      'test/core/end2end/fixtures/proxy.h',
                      'test/core/end2end/tests/authority_not_supported.cc',
                      'test/core/end2end/tests/bad_hostname.cc',
                      'test/core/end2end/tests/bad_ping.cc',
                      'test/core/end2end/tests/binary_metadata.cc',
                      'test/core/end2end/tests/call_creds.cc',
                      'test/core/end2end/tests/call_host_override.cc',
                      'test/core/end2end/tests/cancel_after_accept.cc',
                      'test/core/end2end/tests/cancel_after_client_done.cc',
                      'test/core/end2end/tests/cancel_after_invoke.cc',
                      'test/core/end2end/tests/cancel_after_round_trip.cc',
                      'test/core/end2end/tests/cancel_before_invoke.cc',
                      'test/core/end2end/tests/cancel_in_a_vacuum.cc',
                      'test/core/end2end/tests/cancel_test_helpers.h',
                      'test/core/end2end/tests/cancel_with_status.cc',
                      'test/core/end2end/tests/channelz.cc',
                      'test/core/end2end/tests/client_streaming.cc',
                      'test/core/end2end/tests/compressed_payload.cc',
                      'test/core/end2end/tests/connectivity.cc',
                      'test/core/end2end/tests/default_host.cc',
                      'test/core/end2end/tests/disappearing_server.cc',
                      'test/core/end2end/tests/empty_batch.cc',
                      'test/core/end2end/tests/filter_causes_close.cc',
                      'test/core/end2end/tests/filter_context.cc',
                      'test/core/end2end/tests/filter_init_fails.cc',
                      'test/core/end2end/tests/filter_latency.cc',
                      'test/core/end2end/tests/filter_status_code.cc',
                      'test/core/end2end/tests/filtered_metadata.cc',
                      'test/core/end2end/tests/graceful_server_shutdown.cc',
                      'test/core/end2end/tests/grpc_authz.cc',
                      'test/core/end2end/tests/high_initial_seqno.cc',
                      'test/core/end2end/tests/hpack_size.cc',
                      'test/core/end2end/tests/invoke_large_request.cc',
                      'test/core/end2end/tests/keepalive_timeout.cc',
                      'test/core/end2end/tests/large_metadata.cc',
                      'test/core/end2end/tests/max_concurrent_streams.cc',
                      'test/core/end2end/tests/max_connection_age.cc',
                      'test/core/end2end/tests/max_connection_idle.cc',
                      'test/core/end2end/tests/max_message_length.cc',
                      'test/core/end2end/tests/negative_deadline.cc',
                      'test/core/end2end/tests/no_logging.cc',
                      'test/core/end2end/tests/no_op.cc',
                      'test/core/end2end/tests/payload.cc',
                      'test/core/end2end/tests/ping.cc',
                      'test/core/end2end/tests/ping_pong_streaming.cc',
                      'test/core/end2end/tests/proxy_auth.cc',
                      'test/core/end2end/tests/registered_call.cc',
                      'test/core/end2end/tests/request_with_flags.cc',
                      'test/core/end2end/tests/request_with_payload.cc',
                      'test/core/end2end/tests/resource_quota_server.cc',
                      'test/core/end2end/tests/retry.cc',
                      'test/core/end2end/tests/retry_cancel_after_first_attempt_starts.cc',
                      'test/core/end2end/tests/retry_cancel_during_delay.cc',
                      'test/core/end2end/tests/retry_cancel_with_multiple_send_batches.cc',
                      'test/core/end2end/tests/retry_cancellation.cc',
                      'test/core/end2end/tests/retry_disabled.cc',
                      'test/core/end2end/tests/retry_exceeds_buffer_size_in_delay.cc',
                      'test/core/end2end/tests/retry_exceeds_buffer_size_in_initial_batch.cc',
                      'test/core/end2end/tests/retry_exceeds_buffer_size_in_subsequent_batch.cc',
                      'test/core/end2end/tests/retry_lb_drop.cc',
                      'test/core/end2end/tests/retry_lb_fail.cc',
                      'test/core/end2end/tests/retry_non_retriable_status.cc',
                      'test/core/end2end/tests/retry_non_retriable_status_before_recv_trailing_metadata_started.cc',
                      'test/core/end2end/tests/retry_per_attempt_recv_timeout.cc',
                      'test/core/end2end/tests/retry_per_attempt_recv_timeout_on_last_attempt.cc',
                      'test/core/end2end/tests/retry_recv_initial_metadata.cc',
                      'test/core/end2end/tests/retry_recv_message.cc',
                      'test/core/end2end/tests/retry_recv_message_replay.cc',
                      'test/core/end2end/tests/retry_recv_trailing_metadata_error.cc',
                      'test/core/end2end/tests/retry_send_initial_metadata_refs.cc',
                      'test/core/end2end/tests/retry_send_op_fails.cc',
                      'test/core/end2end/tests/retry_send_recv_batch.cc',
                      'test/core/end2end/tests/retry_server_pushback_delay.cc',
                      'test/core/end2end/tests/retry_server_pushback_disabled.cc',
                      'test/core/end2end/tests/retry_streaming.cc',
                      'test/core/end2end/tests/retry_streaming_after_commit.cc',
                      'test/core/end2end/tests/retry_streaming_succeeds_before_replay_finished.cc',
                      'test/core/end2end/tests/retry_throttled.cc',
                      'test/core/end2end/tests/retry_too_many_attempts.cc',
                      'test/core/end2end/tests/retry_transparent_goaway.cc',
                      'test/core/end2end/tests/retry_transparent_max_concurrent_streams.cc',
                      'test/core/end2end/tests/retry_transparent_not_sent_on_wire.cc',
                      'test/core/end2end/tests/retry_unref_before_finish.cc',
                      'test/core/end2end/tests/retry_unref_before_recv.cc',
                      'test/core/end2end/tests/server_finishes_request.cc',
                      'test/core/end2end/tests/server_streaming.cc',
                      'test/core/end2end/tests/shutdown_finishes_calls.cc',
                      'test/core/end2end/tests/shutdown_finishes_tags.cc',
                      'test/core/end2end/tests/simple_delayed_request.cc',
                      'test/core/end2end/tests/simple_metadata.cc',
                      'test/core/end2end/tests/simple_request.cc',
                      'test/core/end2end/tests/streaming_error_response.cc',
                      'test/core/end2end/tests/trailing_metadata.cc',
                      'test/core/end2end/tests/write_buffering.cc',
                      'test/core/end2end/tests/write_buffering_at_end.cc',
                      'test/core/event_engine/test_init.cc',
                      'test/core/event_engine/test_init.h',
                      'test/core/util/build.cc',
                      'test/core/util/build.h',
                      'test/core/util/port.cc',
                      'test/core/util/port.h',
                      'test/core/util/port_isolated_runtime_environment.cc',
                      'test/core/util/port_server_client.cc',
                      'test/core/util/port_server_client.h',
                      'test/core/util/reconnect_server.cc',
                      'test/core/util/reconnect_server.h',
                      'test/core/util/stack_tracer.cc',
                      'test/core/util/stack_tracer.h',
                      'test/core/util/test_config.cc',
                      'test/core/util/test_config.h',
                      'test/core/util/test_lb_policies.cc',
                      'test/core/util/test_lb_policies.h',
                      'test/core/util/test_tcp_server.cc',
                      'test/core/util/test_tcp_server.h',
                      'test/core/util/tls_utils.cc',
                      'test/core/util/tls_utils.h'
  end

  # patch include of openssl to openssl_grpc
  s.prepare_command = <<-END_OF_COMMAND
    set -e
    find src/core -type f \\( -path '*.h' -or -path '*.cc' \\) -print0 | xargs -0 -L1 sed -E -i'.grpc_back' 's;#include <openssl/(.*)>;#if COCOAPODS==1\\\n  #include <openssl_grpc/\\1>\\\n#else\\\n  #include <openssl/\\1>\\\n#endif;g'
    find src/core/ -type f -name '*.grpc_back' -print0 | xargs -0 rm
  END_OF_COMMAND
end
